<?php

namespace App\DataTables;

use App\AuctionObject;
use Illuminate\Validation\Rule;
use Yajra\DataTables\DataTablesEditor;
use Illuminate\Database\Eloquent\Model;

class AuctionObjectDataTableEditor extends DataTablesEditor
{
    protected $model = AuctionObject::class;

    /**
     * Get create action validation rules.
     *
     * @return array
     */
    public function createRules()
    {
        return [
            't_artist_id'           => 'sometimes|required',
            't_medium_category_id'  => 'sometimes|required',
        ];
    }

    /**
     * Get edit action validation rules.
     *
     * @param Model $model
     * @return array
     */
    public function editRules(Model $model)
    {
        return [
            't_artist_id'           => 'sometimes|required',
            't_medium_category_id'  => 'sometimes|required',
        ];
    }

    /**
     * @return array
     */
    public function editMessages()
    {
        return [
            't_artist_id.required' => 'Bitte weisen Sie einen Künstler zu',
            't_medium_category_id.required' => 'Bitte weisen Sie eine Grobtechnik zu',
        ];
    }

    /**
     * Get remove action validation rules.
     *
     * @param Model $model
     * @return array
     */
    public function removeRules(Model $model)
    {
        return [];
    }
}
