<?php

namespace App\DataTables;

use App\Medium;
use Illuminate\Validation\Rule;
use Yajra\DataTables\DataTablesEditor;
use Illuminate\Database\Eloquent\Model;

class MediumDataTableEditor extends DataTablesEditor
{
    protected $model = Medium::class;

    /**
     * Get create action validation rules.
     *
     * @return array
     */
    public function createRules()
    {
        return [
            'searchword_de'         => 'sometimes',
            'searchword_en'         => 'sometimes',
            'searchword_fr'         => 'sometimes',
            't_medium_category_id'  => 'sometimes',
        ];
    }

    /**
     * Get edit action validation rules.
     *
     * @param Model $model
     * @return array
     */
    public function editRules(Model $model)
    {
        return [
            'searchword_de'         => 'sometimes',
            'searchword_en'         => 'sometimes',
            'searchword_fr'         => 'sometimes',
            't_medium_category_id'  => 'sometimes',
        ];
    }

    /**
     * Get remove action validation rules.
     *
     * @param Model $model
     * @return array
     */
    public function removeRules(Model $model)
    {
        return [];
    }

    /**
     * Override messages with custom messages
     *
     * @return array
     */
    public function editMessages()
    {
        return [
            'searchword_de'          => 'Bitte geben Sie das deutsche Suchwort ein',
            'searchword_en'          => 'Bitte geben Sie das englische Suchwort ein',
            'searchword_fr'          => 'Bitte geben Sie das französische Suchwort ein',
            't_medium_category_id'   => 'Bitte geben Sie die Grobtechnik ID ein',
        ];
    }

    /**
     * Pre-create action event hook.
     *
     * @param Model $model
     * @return array
     */
    public function creating(Model $model, array $data)
    {
        //$data['searchword_de'] = $data['searchword_de'];

        return $data;
    }

    /**
     * Pre-update action event hook.
     *
     * @param Model $model
     * @return array
     */
    public function updating(Model $model, array $data)
    {
        /*if (empty($data['searchword_de'])) {
            unset($data['searchword_de']);
        } else {
            $data['searchword_de'] = $data['searchword_de'];
        }*/

        return $data;
    }
}
