<?php

namespace App\Helpers;

use App\AuctionObject;
use App\AuctionObjectImported;

class AuctionObjectImportedHelper
{

    /**
     *
     * @param $id Auction Object ID
     * @return int Status
     */
    public static function adjustStatus($id)
    {
        $auctionObjectImported = new AuctionObjectImported();
        $auctionObjectImported = $auctionObjectImported->find($id);

        // get artist ID
        $artistId = $auctionObjectImported->t_artist_id;

        // get medium category ID
        $mediumCategoryId = $auctionObjectImported->t_medium_category_id;

        // case 1: artist ID or category ID is null
        if (!is_null($artistId) && !is_null($mediumCategoryId)) {

            $auctionObjectImported->status = 1;

        } elseif (is_null($artistId) || is_null($mediumCategoryId)) {

            $auctionObjectImported->status = 3;
        }

        $auctionObjectImported->save();

        return $auctionObjectImported->status;
    }

    /**
     * @param $auctionObjectId
     * @return \Illuminate\Http\RedirectResponse
     */
    public static function saveManuallyArtistAssignment($auctionObjectId) {

        $data = array(
            "TAuctionObjectID" => $auctionObjectId
        );

        $jsonData = json_encode($data);

        $curl = curl_init();

        curl_setopt_array($curl, array(
            CURLOPT_URL => env('SERVICE_URL_SAVEMANUALLYARTISTASSIGNMENT',null)."?TAuctionObjectID=$auctionObjectId",
            CURLOPT_USERPWD => env('SERVICE_USERPASSWORD'),
            CURLOPT_RETURNTRANSFER => true,
            CURLOPT_ENCODING => "",
            CURLOPT_MAXREDIRS => 10,
            CURLOPT_TIMEOUT => 30000,
            CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
            CURLOPT_CUSTOMREQUEST => "POST",
            CURLOPT_POSTFIELDS => $jsonData,
            CURLOPT_HTTPHEADER => array(
                "accept: */*",
                "accept-language: en-US,en;q=0.8",
                "content-type: application/json",
            ),
        ));

        $response = curl_exec($curl);
        $err = curl_error($curl);

        curl_close($curl);

        if ($err) {
            echo "cURL Error #:" . $err;
        } else {
            print_r(json_decode($response));

            //return redirect()->route('auction-objects-stage', ['ps' => 1]);
        }

    }

    /**
     * @param $auctionObjectId
     * @return \Illuminate\Http\RedirectResponse
     */
    public static function deleteManuallyArtistAssignment($auctionObjectId) {

        $data = array(
            "TAuctionObjectID" => $auctionObjectId
        );

        $jsonData = json_encode($data);

        $curl = curl_init();

        curl_setopt_array($curl, array(
            CURLOPT_URL => env('SERVICE_URL_DELETEMANUALLYARTISTASSIGNMENT',null)."?TAuctionObjectID=$auctionObjectId",
            CURLOPT_USERPWD => "admin:admin",
            CURLOPT_RETURNTRANSFER => true,
            CURLOPT_ENCODING => "",
            CURLOPT_MAXREDIRS => 10,
            CURLOPT_TIMEOUT => 30000,
            CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
            CURLOPT_CUSTOMREQUEST => "POST",
            CURLOPT_POSTFIELDS => $jsonData,
            CURLOPT_HTTPHEADER => array(
                "accept: */*",
                "accept-language: en-US,en;q=0.8",
                "content-type: application/json",
            ),
        ));

        $response = curl_exec($curl);
        $err = curl_error($curl);

        curl_close($curl);

        if ($err) {
            echo "cURL Error #:" . $err;
        } else {
            print_r(json_decode($response));

            //return redirect()->route('auction-objects-stage', ['ps' => 1]);
        }

    }
}
