<?php

namespace App\Http\Controllers\Ajax;

use App\Artist;
use Illuminate\Http\Request;
use App\Http\Controllers\Controller;
use Illuminate\Support\Facades\DB;
use Yajra\DataTables\DataTables;

class ArtistsOverviewController extends Controller
{

    /**
     * @param Request $request
     * @return mixed
     * @throws \Exception
     */
    public function getData(Request $request) {

        $filterStatus = $request->status;

        $data  = DB::table('t_artist')
            ->select('*');

        if(!is_null($filterStatus)) {
            $data->where('status', $filterStatus);
        }

        return Datatables::of($data)->make(true);
    }

    /**
     * @param Request $request
     * @return string
     */
    public function bulkEditStatus(Request $request) {

        $bulkAction = $request->bulk_action;

        if ($bulkAction == 0 || $bulkAction == 1 || $bulkAction == 2) {

            $arrSelectedRows = $request->dt_checkbox;

            foreach($arrSelectedRows as $selectedRowId) {

                $artist = new Artist();
                $artist = $artist->find($selectedRowId);

                $artist->status = $bulkAction;
                $artist->save();
            }
        } elseif ($bulkAction == 3) {

            // Delete
            $arrSelectedRows = $request->dt_checkbox;

            foreach($arrSelectedRows as $selectedRowId) {

                $artist = Artist::find($selectedRowId);
                $artist->delete();
            }
        }

        return '200';
    }

}
