<?php

namespace App\Http\Controllers;

use App\Artist;
use App\AuctionObject;
use App\AuctionObjectError;
use App\AuctionObjectHistory;
use App\FeSettings;
use Illuminate\Http\Request;

class DashboardController extends Controller
{

    /**
     * DashboardController constructor.
     */
    public function __construct()
    {
        $this->middleware('auth');
        $this->middleware('maintenanceMode');
    }

    /**
     * Display a listing of the resource.
     *
     * @return \Illuminate\Http\Response
     */
    public function index()
    {
        $cntAuctionObjectStatus1 = AuctionObject::where('status', 1)
            ->count();

        $cntAuctionObjectStatus2 = AuctionObject::where('status', 2)
            ->count();

        $cntAuctionObjectStatus3 = AuctionObject::where('status', 3)
            ->count();

        $cntAuctionObjectLangDE = AuctionObject::where('t_language_id', 1)
            ->count();

        $cntAuctionObjectLangEN = AuctionObject::where('t_language_id', 2)
            ->count();

        $cntAuctionObjectLangFR = AuctionObject::where('t_language_id', 3)
            ->count();

        $cntAuctionObjectErrorLangDE = AuctionObjectError::where('t_language_id', 1)
            ->count();

        $cntAuctionObjectErrorLangEN = AuctionObjectError::where('t_language_id', 2)
            ->count();

        $cntAuctionObjectErrorLangFR = AuctionObjectError::where('t_language_id', 3)
            ->count();

        $cntAuctionObjectErrorLangAll = AuctionObjectError::count();

        $cntArtistStatus1 = Artist::where('status', 0)
            ->count();

        $cntArtistStatus2 = Artist::where('status', 1)
            ->count();

        $cntArtistStatus3 = Artist::where('status', 2)
            ->count();

        return view('dashboard', ['cntAuctionObjectStatus1'=>$cntAuctionObjectStatus1, 'cntAuctionObjectStatus2'=>$cntAuctionObjectStatus2, 'cntAuctionObjectStatus3'=>$cntAuctionObjectStatus3, 'cntAuctionObjectLangDE'=>$cntAuctionObjectLangDE, 'cntAuctionObjectLangEN'=>$cntAuctionObjectLangEN, 'cntAuctionObjectLangFR'=>$cntAuctionObjectLangFR, 'cntAuctionObjectErrorLangDE'=>$cntAuctionObjectErrorLangDE, 'cntAuctionObjectErrorLangEN'=>$cntAuctionObjectErrorLangEN, 'cntAuctionObjectErrorLangFR'=>$cntAuctionObjectErrorLangFR, 'cntAuctionObjectErrorLangAll'=>$cntAuctionObjectErrorLangAll, 'cntArtistStatus1'=>$cntArtistStatus1, 'cntArtistStatus2'=>$cntArtistStatus2, 'cntArtistStatus3'=>$cntArtistStatus3]);
    }

    /**
     * Show the form for creating a new resource.
     *
     * @return \Illuminate\Http\Response
     */
    public function create()
    {
        //
    }

    /**
     * Store a newly created resource in storage.
     *
     * @param  \Illuminate\Http\Request  $request
     * @return \Illuminate\Http\Response
     */
    public function store(Request $request)
    {
        //
    }

    /**
     * Display the specified resource.
     *
     * @param  int  $id
     * @return \Illuminate\Http\Response
     */
    public function show($id)
    {
        //
    }

    /**
     * Show the form for editing the specified resource.
     *
     * @param  int  $id
     * @return \Illuminate\Http\Response
     */
    public function edit($id)
    {
        //
    }

    /**
     * Update the specified resource in storage.
     *
     * @param  \Illuminate\Http\Request  $request
     * @param  int  $id
     * @return \Illuminate\Http\Response
     */
    public function update(Request $request, $id)
    {
        //
    }

    /**
     * Remove the specified resource from storage.
     *
     * @param  int  $id
     * @return \Illuminate\Http\Response
     */
    public function destroy($id)
    {
        //
    }
}
