<?php

namespace App\Http\Controllers\GenderLookup;

use App\DataTables\GenderLookupDataTable;
use App\DataTables\GenderLookupDataTableEditor;
use Illuminate\Http\Request;
use App\Http\Controllers\Controller;
use Illuminate\Support\Facades\Auth;

class GenderLookupOverviewController extends Controller
{
    /**
     * GenderLookupOverviewController constructor.
     */
    public function __construct()
    {
        $this->middleware('auth');
    }

    /**
     * Display a listing of the resource.
     *
     * @return \Illuminate\Http\Response
     */
    /*public function index(Request $request)
    {
        if ($request->filtered == 1) {

            $this->handleRequest($request);
        } else {

            if (is_null(session('genderLookupLen'))) {
                // set table length
                session(['genderLookupLen' => Auth::user()->table_page_length]);
            }
        }

        $page = session('genderLookupPage');
        $pageLength = session('genderLookupLen');

        return view('gender-lookup.gender-lookup-overview', ['page'=>$page, 'pageLength'=>$pageLength]);
    }*/

    public function index(GenderLookupDataTable $dataTable, Request $request)
    {

        if ($request->filtered == 1) {

            $this->handleRequest($request);
        } else {

            if (is_null(session('genderLookupLen'))) {
                // set table length
                session(['genderLookupLen' => Auth::user()->table_page_length]);
            }
        }

        $page = session('genderLookupPage');
        $pageLength = session('genderLookupLen');
        $pageParam = $request->page;
        $lenParam = $request->len;
        $sortc = session('genderLookupSortColumn');
        $sortd = session('genderLookupSortDirection');
        $sortcParam = $request->sortc;
        $sortdParam = $request->sortd;

        return $dataTable->with(['page'=>$page, 'pageLength'=>$pageLength, 'pageParam'=>$pageParam, 'lenParam'=>$lenParam, 'sortc'=>$sortc, 'sortd'=>$sortd, 'sortcParam'=>$sortcParam, 'sortdParam'=>$sortdParam])
            ->render('gender-lookup.gender-lookup-overview', ['page'=>$page, 'pageLength'=>$pageLength, 'pageParam'=>$pageParam, 'lenParam'=>$lenParam, 'sortc'=>$sortc, 'sortd'=>$sortd, 'sortcParam'=>$sortcParam, 'sortdParam'=>$sortdParam]);
    }


    /**
     * @param GenderLookupDataTableEditor $editor
     * @return \Illuminate\Http\JsonResponse|mixed
     * @throws \Yajra\DataTables\DataTablesEditorException
     */
    public function store(GenderLookupDataTableEditor $editor)
    {
        return $editor->process(request());
    }

    /**
     * @param $request
     */
    public function handleRequest($request) {

        // set page in session
        if (!is_null($request->page)) {
            session(['genderLookupPage' => $request->page]);
        } else {
            session(['genderLookupPage' => null]);
        }

        // set page length in session
        if ($request->len > 0) {
            session(['genderLookupLen' => $request->len]);
        } else {
            session(['genderLookupLen' => Auth::user()->table_page_length]);
        }

        // set sort column in session
        if (!is_null($request->sortc)) {
            session(['genderLookupSortColumn' => $request->sortc]);
        } else {
            session(['genderLookupSortColumn' => null]);
        }

        // set sort direction in session
        if (!is_null($request->sortd)) {
            session(['genderLookupSortDirection' => $request->sortd]);
        } else {
            session(['genderLookupSortDirection' => null]);
        }

    }
}
