<?php

namespace App\Http\Controllers\Maintenance;

use App\FeSettings;
use Illuminate\Http\Request;
use App\Http\Controllers\Controller;

class MaintenanceModeController extends Controller
{

    /**
     * @return \Illuminate\Contracts\View\Factory|\Illuminate\View\View
     */
    public function index() {

        return view('maintenance', []);
    }

    /**
     * Display a listing of the resource.
     *
     * @return \Illuminate\Http\Response
     */
    public function setMode(Request $request)
    {
        $mode = $request->maintenance_mode;

        $settingsId = FeSettings::where('key', '=', 'maintenance_mode')
            ->first()
            ->id;

        $feSettings = FeSettings::find($settingsId);

        // enable maintenance mode
        if ($mode == 1) {

            $feSettings->value = 1;
            session(['feSettingsMaintenance' => 1]);

        // disable maintenance mode
        } else {

            $feSettings->value = 0;
            session(['feSettingsMaintenance' => 0]);
        }

        $feSettings->save();

        return redirect()->route('dashboard');
    }
}
