<?php

namespace App\Http\Controllers\Users;

use App\User;
use Illuminate\Http\Request;
use App\Http\Controllers\Controller;
use Illuminate\Support\Facades\Auth;

class UsersOverviewController extends Controller
{

    /**
     * UsersOverviewController constructor.
     */
    public function __construct()
    {
        $this->middleware('auth');

    }

    /**
     * Display a listing of the resource.
     *
     * @return \Illuminate\Http\Response
     */
    public function index(Request $request)
    {

        if (Auth::user()->user_role_id == 2) {
            return redirect()->route('dashboard', []);
        }

        $page = $request->page;

        if ($request->len > 0) {
            $pageLength = (int) $request->len;
        } else {
            $pageLength = Auth::user()->table_page_length;
        }

        $users = User::join('t_user_role', 't_user_role.id', '=', 't_user.user_role_id')
            ->select('t_user.*', 't_user_role.title as user_role_title')
            ->orderBy('id', 'desc')
            ->get();

        $alert = '';

        if (!is_null($request->del) && $request->del == 0) {
            $alert = 'errorDelete';
        } elseif ($request->del == 1) {
            $alert = 'successDelete';
        } elseif ($request->c == 1) {
            $alert = 'successCreate';
        } elseif ($request->u == 1) {
            $alert = 'successUpdate';
        }

        return view('users.users-overview', ['users'=>$users, 'alert'=>$alert, 'page'=>$page, 'pageLength'=>$pageLength]);
    }
}
