<?php

namespace App\Http\Middleware;

use App\FeSettings;
use Closure;

class MaintenanceMode
{
    /**
     * Handle an incoming request.
     *
     * @param  \Illuminate\Http\Request  $request
     * @param  \Closure  $next
     * @return mixed
     */
    public function handle($request, Closure $next)
    {
        $settingsId = FeSettings::where('key', '=', 'maintenance_mode')
            ->first()
            ->id;

        $maintenanceMode = FeSettings::find($settingsId)->value;

        session(['feSettingsMaintenance' => $maintenanceMode]);

        if ($maintenanceMode == 1) {
            return redirect('maintenance');
        } else {
            return $next($request);
        }

        //return $next($request);
    }
}
