<?php

use Illuminate\Database\Migrations\Migration;
use Illuminate\Database\Schema\Blueprint;

class CreateAuctionObjectsDeTable extends Migration {

	/**
	 * Run the migrations.
	 *
	 * @return void
	 */
	public function up()
	{
		Schema::create('t_auction_object', function(Blueprint $table)
		{
			$table->bigInteger('id', true)->unsigned();
			$table->bigInteger('org_id')->unsigned()->nullable();
            $table->integer('status')->nullable();
            $table->string('object_id', 128)->nullable();
			$table->string('source_type')->nullable();
			$table->integer('t_source_type_id')->unsigned()->nullable();
			$table->bigInteger('t_artist_id')->unsigned()->nullable();
			$table->integer('t_language_id')->unsigned()->nullable();
			$table->bigInteger('t_medium_id')->unsigned()->nullable();
			$table->string('lot_no')->nullable();
			$table->bigInteger('auction_no')->nullable();
			$table->text('auction_name')->nullable();
			$table->text('auction_loc')->nullable();
			$table->text('auction_date')->nullable();
			$table->text('artist_firstname')->nullable();
			$table->text('artist_lastname')->nullable();
			$table->text('artist_born_loc')->nullable();
			$table->text('artist_born_date')->nullable();
			$table->text('artist_died_date')->nullable();
			$table->text('artist_died_loc')->nullable();
			$table->text('object_title')->nullable();
			$table->text('object_medium')->nullable();
			$table->text('object_date_pre')->nullable();
			$table->string('object_date')->nullable();
			$table->text('object_date_post')->nullable();
			$table->float('object_height')->nullable();
			$table->float('object_width')->nullable();
			$table->float('object_depth')->nullable();
			$table->text('object_size_unit')->nullable();
			$table->float('object_est_from')->nullable();
			$table->float('object_est_to')->nullable();
			$table->string('object_est_curr', 3)->nullable();
			$table->bigInteger('t_currency_est_id')->unsigned()->nullable();
			$table->boolean('object_sold')->default(0)->nullable();
			$table->string('object_result_curr', 3)->nullable();
            $table->bigInteger('t_currency_result_id')->unsigned()->nullable();
			$table->float('object_result')->nullable();
			$table->text('object_url')->nullable();
			$table->text('object_image_url')->nullable();
			$table->text('object_indicators')->nullable();
			$table->string('crawled_at')->nullable();
			$table->timestamp('created_at')->nullable();
            $table->string('hash_value')->nullable();
            $table->integer('editor')->nullable();
            $table->dateTime('lastchange')->nullable();
		});
	}


	/**
	 * Reverse the migrations.
	 *
	 * @return void
	 */
	public function down()
	{
		Schema::drop('t_auction_object');
	}

}
