<?php

use Illuminate\Support\Facades\Schema;
use Illuminate\Database\Schema\Blueprint;
use Illuminate\Database\Migrations\Migration;

class CreateArtistTable extends Migration
{
    /**
     * Run the migrations.
     *
     * @return void
     */
    public function up()
    {
        Schema::create('t_artist', function (Blueprint $table) {
            $table->bigIncrements('id');
            $table->string('status', 45)->nullable();
            $table->text('firstname_DE')->nullable();
            $table->text('firstname_EN')->nullable();
            $table->text('firstname_FR')->nullable();
            $table->text('lastname_DE')->nullable();
            $table->text('lastname_EN')->nullable();
            $table->text('lastname_FR')->nullable();
            $table->string('born_date', 50)->nullable();
            $table->text('born_location_DE')->nullable();
            $table->text('born_location_EN')->nullable();
            $table->text('born_location_FR')->nullable();
            $table->string('died_date', 50)->nullable();
            $table->text('died_location_DE')->nullable();
            $table->text('died_location_EN')->nullable();
            $table->text('died_location_FR')->nullable();
            $table->dateTime('identified')->nullable();
            $table->tinyInteger('lead')->nullable()->default(0);
        });
    }

    /**
     * Reverse the migrations.
     *
     * @return void
     */
    public function down()
    {
        Schema::dropIfExists('t_artist');
    }
}
