@extends('layouts.main')
@section('title', 'Künstler verwalten')
@section('headline', 'Künstler verwalten')
@section('content')

    {{--<div class="page-title">
        <h3 class="breadcrumb-header pull-left">@yield('headline')</h3>
    </div>--}}

    <div id="main-wrapper">
        <div class="row">
            <div class="col-md-12">
                @if(request()->get('del') == '1')
                    <div class="alert alert-success" role="alert">
                        Der Künstler wurde erfolgreich gelöscht und die Objektzuweisungen entfernt!
                    </div>
                @elseif(request()->get('del') == '0')
                    <div class="alert alert-danger" role="alert">
                        Der Künstler kann nicht gelöscht werden!
                    </div>
                @endif

                <div class="panel panel-white">

                    <div class="panel-body">
                        <div class="table-responsive">
                            <div class="filter-container" id="filterContainer">

                                {!! Form::open(['action' => 'Artists\ArtistsOverviewController@index', 'class' => 'form-horizontal', 'id' => 'filterArtistForm', 'method' => 'get', 'role' => 'form', 'files' => true]) !!}
                                <input name="filtered" id="filtered" type="hidden" value="1">
                                <input name="page" id="page" type="hidden" value="{{$page}}">
                                    <div id="customSearch" style="float: right; margin-left: 20px;">
                                        <label style="float: left; padding: 7px 5px 0;">Suchen:</label>
                                        <select class="form-control" id="selectFilterObjectSearchColumn" name="sc" style="float: left; width: 150px; margin-right: 5px;">
                                            <option value="all" @if($selectedFilterSearchColumn == 'all' || $selectedFilterSearchColumn == '') selected @endif>Alle</option>
                                            @foreach(trans()->get('artists_table_columns') as $key => $value)
                                                @if($key != 'status')
                                                    <option value="{{ $key }}" @if($selectedFilterSearchColumn == $key) selected @endif>{{ $value }}</option>
                                                @endif
                                            @endforeach
                                        </select>
                                        <input class="form-control" name="s" id="inputSearch" type="text" max="999" maxlength="" value="@if(!is_null($selectedFilterSearch)){{$selectedFilterSearch}}@endif" style="float: left; width: 150px;">
                                    </div>
                                    <div id="pageLen" style="float: right; margin-left: 20px;">
                                        <input class="form-control" name="len" id="inputPageLen" type="text" max="999" maxlength="3" value="@if($pageLength){{$pageLength}}@else{{auth()->user()->table_page_length}}@endif" style="float: left; width: 50px;"> <label style="float: right; padding: 7px 5px 0;">Einträge anzeigen</label>
                                    </div>
                                    <select class="form-control" id="selectFilterArtistStatus" onchange="this.form.submit()" name="status" style="width: 175px; float: right;">
                                        <option value="" @if(is_null($selectedFilterStatus) || $selectedFilterStatus == '') selected @endif>- Filter wählen -</option>
                                        <option value="0" @if($selectedFilterStatus == 0 && !is_null($selectedFilterStatus)) selected @endif>Neu</option>
                                        <option value="1" @if($selectedFilterStatus == 1) selected @endif>Geprüft</option>
                                        <option value="2" @if($selectedFilterStatus == 2) selected @endif>Nicht Künstler</option>
                                        <option value="3" @if($selectedFilterStatus == 3) selected @endif>Online-Geprüft</option>
                                    </select>
                                    <label style="float: right; padding: 7px 5px 0;">Filtern:</label>
                                {!! Form::close() !!}

                            </div>
                            <div class="button-line" id="buttonLine">
                                <a class="btn btn-primary" href="{{ route('create-artist') }}"><i class="menu-icon icon-plus"></i> Neuer Künstler</a>
                            </div>

                            {!! Form::open(['action' => 'Ajax\ArtistsOverviewController@bulkEditStatus', 'class' => 'form-horizontal', 'id' => 'frm-bulk-edit', 'method' => 'post', 'role' => 'form', 'files' => true]) !!}
                                {{$dataTable->table(['id' => 'data-table-artist'])}}

                                <div class="row" style="padding-bottom: 20px;">
                                    <div class="col-md-12">
                                        <label for="bulk_action" class="control-label pull-left" style="padding: 0 20px; font-size: 24px;"><i class="fa fa-level-up" aria-hidden="true" style="transform: rotate(90deg);"></i></label>
                                        <select class="form-control pull-left" name="bulk_action" id="bulk_action" style="margin-right: 20px; width: 200px;">
                                            <option value="">- Aktion wählen -</option>
                                            <option value="0">Status: Neu</option>
                                            <option value="1">Status: Geprüft</option>
                                            <option value="2">Status: Nicht Künstler</option>
                                            <option value="3">Löschen!</option>
                                        </select>
                                        <button type="submit" id="btnBulkAction" class="btn btn-primary">Absenden</button>
                                    </div>
                                </div>
                            {!! Form::close() !!}

                            <script>

                                // Init Editor
                                $(function() {
                                    $.ajaxSetup({
                                        headers: {
                                            'X-CSRF-TOKEN': '{{csrf_token()}}'
                                        }
                                    });

                                    var editor = new $.fn.dataTable.Editor({
                                        ajax: "/kuenstler",
                                        table: "#data-table-artist",
                                        method: 'POST',
                                        //display: "bootstrap",
                                        idSrc:  'id',
                                        fields: [
                                            {label: "Geb.Dat.", name: "born_date"},
                                            {label: "Gest.Dat.", name: "died_date"},
                                            {label: "Vorname EN", name: "firstname_en"},
                                            {label: "Nachname EN", name: "lastname_en"},
                                            {label: "Vorname DE", name: "firstname_de"},
                                            {label: "Nachname DE", name: "lastname_de"},
                                            {label: "Vorname FR", name: "firstname_fr"},
                                            {label: "Nachname FR", name: "lastname_fr"},
                                            {label: "Geb.Ort EN", name: "born_location_en"},
                                            {label: "Gest.Ort EN", name: "died_location_en"},
                                            {label: "Geb.Ort DE", name: "born_location_de"},
                                            {label: "Gest.Ort DE", name: "died_location_de"},
                                            {label: "Geb.Ort FR", name: "born_location_fr"},
                                            {label: "Gest.Ort FR", name: "died_location_fr"},
                                        ]
                                    });

                                    $('#data-table-artist').on('click', 'tbody td:not(:first-child)', function (e) {
                                        editor.inline(this);
                                    });

                                    {{$dataTable->generateScripts()}}

                                });

                                // start artist rematching, if input values are changed
                                $(document).on('keydown', '#DTE_Field_born_date, #DTE_Field_died_date, #DTE_Field_firstname_en, #DTE_Field_lastname_en, #DTE_Field_firstname_de, #DTE_Field_lastname_de, #DTE_Field_firstname_fr, #DTE_Field_lastname_fr, #DTE_Field_born_location_en, #DTE_Field_died_location_en, #DTE_Field_born_location_de, #DTE_Field_died_location_de, #DTE_Field_born_location_fr, #DTE_Field_died_location_fr', function(e){

                                    var artistId = $(this).closest('tr').attr('id');

                                    var keyCode = (e.keyCode ? e.keyCode : e.which);
                                    if (keyCode == 13) {

                                        // Ajax request
                                        $.ajax({
                                            url: '/ajax/post-ajax-edit-artist-rematching',
                                            type: 'POST',
                                            beforeSend: function (xhr) {
                                                var token = $('meta[name="csrf_token"]').attr('content');

                                                if (token) {
                                                    return xhr.setRequestHeader('X-CSRF-TOKEN', token);
                                                }
                                            },
                                            data: {
                                                artist_id : artistId,
                                            },
                                            success:function(data){
                                                console.log('Ajax rematching wurde angestossen');
                                            },
                                            error:function(e){
                                                console.log(e);
                                                console.log('Ajax Error while assigning');
                                            }
                                        });
                                    }
                                });

                                // Bulk edit
                                $('#frm-bulk-edit').on('submit', function(e){

                                    e.preventDefault();

                                    var form = this;

                                    // Ajax request
                                    $.ajax({
                                        url: '/ajax/artist-bulk-edit-status',
                                        type: 'POST',
                                        beforeSend: function (xhr) {
                                            var token = $('meta[name="csrf_token"]').attr('content');

                                            if (token) {
                                                return xhr.setRequestHeader('X-CSRF-TOKEN', token);
                                            }
                                        },
                                        data: $('#frm-bulk-edit').serialize(),
                                        success:function(data){
                                            $('#data-table-artist').DataTable().ajax.reload(null, false);
                                            $('#dt-check-all').prop('checked', false);
                                            $('#bulk_action').val(''); // reset select field
                                            $('.selectedRow').remove(); // remove temporary hidden fields
                                        },
                                        error:function(e){
                                            console.log(e);
                                            console.log('Ajax Error while assigning');
                                        }
                                    });
                                });

                                // check all checkboxes
                                $(document).on('change', '#dt-check-all', function(e){

                                    if(this.checked){
                                        $('.dt-checkboxes').each(function(){
                                            this.checked = true;
                                        });
                                    } else {
                                        $('.dt-checkboxes').each(function(){
                                            this.checked = false;
                                            //this.parent().parent().removeClass('selected');
                                        });
                                    }
                                });

                                // check selected checkbox range
                                var lastChecked = null;

                                $(document).on('mousedown', '.dt-checkboxes', function(e){

                                    if(!lastChecked) {
                                        lastChecked = this;
                                        return;
                                    }

                                    if(e.shiftKey) {
                                        var from = $('.dt-checkboxes').index(this);
                                        var to = $('.dt-checkboxes').index(lastChecked);

                                        var start = Math.min(from, to);
                                        var end = Math.max(from, to) + 0;

                                        $('.dt-checkboxes').slice(start, end)
                                            .filter(':not(:disabled)')
                                            .prop('checked', true)
                                            .parent().parent().addClass('selected');

                                    }

                                    lastChecked = this;

                                    if(e.altKey){

                                        $('.dt-checkboxes')
                                            .filter(':not(:disabled)')
                                            .each(function () {
                                                var $checkbox = $(this);
                                                $checkbox.prop('checked', !$checkbox.is(':checked'));
                                            });
                                    }

                                });

                                $(document).on('change', '#dt-check-all', function(e){

                                    if ($(this).prop('checked')) {
                                        $('.dt-checkboxes').parent().parent().addClass('selected');
                                    } else {
                                        $('.dt-checkboxes').parent().parent().removeClass('selected');
                                    }
                                });

                                $(document).on('change', '.dt-checkboxes', function(e){

                                    if ($(this).prop('checked')) {
                                        $(this).parent().parent().addClass('selected');
                                    } else {
                                        $(this).parent().parent().removeClass('selected');
                                    }
                                });

                                $('#inputSearch, #inputPageLen').on( 'keyup', function (e) {

                                    var keycode = (e.keyCode ? e.keyCode : e.which);
                                    if(keycode == '13'){
                                        $('#filterArtistForm').submit();
                                    }
                                });

                                // assign status
                                function dynamicAssignArtistStatus(id, selectObject) {

                                    var artistId = id;
                                    var status = selectObject.value;

                                    // Ajax request
                                    $.ajax({
                                        url: '/ajax/post-ajax-artist-assignment-status',
                                        type: 'POST',
                                        beforeSend: function (xhr) {
                                            var token = $('meta[name="csrf_token"]').attr('content');

                                            if (token) {
                                                return xhr.setRequestHeader('X-CSRF-TOKEN', token);
                                            }
                                        },
                                        data: {
                                            artist_id : artistId,
                                            status : status
                                        },
                                        success:function(data){
                                            $('#data-table-artist').DataTable().ajax.reload(null, false);
                                            //alert('Der Status wurde erfolgreich zugewiesen!');
                                        },error:function(e){
                                            console.log(e);
                                            console.log('Ajax Error while assigning');
                                        }
                                    });
                                }

                                // assign status
                                function dynamicAssignArtistGender(id, selectObject) {

                                    var artistId = id;
                                    var genderId = selectObject.value;

                                    // Ajax request
                                    $.ajax({
                                        url: '/ajax/post-ajax-artist-assignment-gender',
                                        type: 'POST',
                                        beforeSend: function (xhr) {
                                            var token = $('meta[name="csrf_token"]').attr('content');

                                            if (token) {
                                                return xhr.setRequestHeader('X-CSRF-TOKEN', token);
                                            }
                                        },
                                        data: {
                                            artist_id : artistId,
                                            gender_id : genderId
                                        },
                                        success:function(data){
                                            $('#data-table-artist').DataTable().ajax.reload(null, false);
                                            //alert('Der Status wurde erfolgreich zugewiesen!');
                                        },error:function(e){
                                            console.log(e);
                                            console.log('Ajax Error while assigning');
                                        }
                                    });
                                }
                            </script>

                            {!! Form::open(['action' => 'Artists\ArtistController@destroy', 'class' => 'form-horizontal', 'id' => 'deleteArtistForm', 'method' => 'post', 'role' => 'form', 'files' => true]) !!}
                                <input type="hidden" id="deleteArtistId" name="artist_id" value="">
                                <input type="hidden" id="deleteArtistPage" name="artist_page" value="">
                                <input type="hidden" id="deleteArtistLength" name="artist_length" value="">
                                <input type="hidden" id="deleteArtistSortColumn" name="artist_sort_column" value="">
                                <input type="hidden" id="deleteArtistSortDirection" name="artist_sort_direction" value="">
                            {!! Form::close() !!}
                        </div>
                    </div>
                    <p>* Spalte editierbar</p>
                </div>


            </div>
        </div><!-- Row -->
    </div><!-- Main Wrapper -->


@stop
