@extends('layouts.main')
@section('title', 'Neuen Künstler anlegen')
@section('headline', 'Neuen Künstler anlegen')
@section('content')

    <style>
        #main-wrapper .form-group {
            clear: both;
            margin-bottom: 20px;
        }
    </style>

    {{--<div class="page-title">
        <h3 class="breadcrumb-header">Neuen Künstler anlegen</h3>
    </div>--}}
    <div id="main-wrapper">
        <div class="row">
            <div class="col-md-12">
                <div class="panel panel-white">
                    {!! Form::open(['action' => 'Artists\ArtistController@store', 'class' => 'form-horizontal', 'method' => 'post', 'role' => 'form', 'files' => true]) !!}
                        <div class="panel-body">
                            <div class="row">
                                <div class="col-md-6">
                                    <div class="form-group {{ $errors->formErrors->has('status') ? 'has-error' : '' }}">
                                        <label for="status" class="col-sm-3 control-label">Status: <span>*</span></label>
                                        <div class="col-sm-9">
                                            <select class="form-control" name="status" id="status">
                                                <option value="">- Bitte wählen -</option>
                                                <option value="0" @if(old('status') == 0) selected @endif>Neu</option>
                                                <option value="1" @if(is_null(old('status')) || old('status') == 1) selected @endif>Geprüft</option>
                                                <option value="2" @if(old('status') == 2) selected @endif>Nicht Künstler</option>
                                            </select>
                                        </div>
                                    </div>
                                </div>
                                <div class="col-md-6">
                                    <div class="form-group {{ $errors->formErrors->has('gender_id') ? 'has-error' : '' }}">
                                        <label for="gender_id" class="col-sm-3 control-label">Geschlecht:</label>
                                        <div class="col-sm-9">
                                            <select class="form-control" name="gender_id" id="gender_id">
                                                <option value="">- Bitte wählen -</option>
                                                <option value="3" @if(old('gender_id') == 3) selected @endif>weiblich</option>
                                                <option value="4" @if(old('gender_id') == 4) selected @endif>männlich</option>
                                                <option value="6" @if(old('gender_id') == 6) selected @endif>divers</option>
                                            </select>
                                        </div>
                                    </div>
                                </div>
                                <div class="col-md-6">
                                    <div class="form-group {{ $errors->formErrors->has('firstname_de') ? 'has-error' : '' }}">
                                        <label for="firstname_de" class="col-sm-3 control-label">Vorname DE:</label>
                                        <div class="col-sm-9">
                                            <input name="firstname_de" type="text" class="form-control" id="firstname_de" value="{{ old('firstname_de') }}">
                                        </div>
                                    </div>
                                </div>
                                <div class="col-md-6">
                                    <div class="form-group {{ $errors->formErrors->has('firstname_en') ? 'has-error' : '' }}">
                                        <label for="firstname_en" class="col-sm-3 control-label">Vorname EN:</label>
                                        <div class="col-sm-9">
                                            <input name="firstname_en" type="text" class="form-control" id="firstname_en" value="{{ old('firstname_en') }}">
                                        </div>
                                    </div>
                                </div>
                                <div class="col-md-6">
                                    <div class="form-group {{ $errors->formErrors->has('firstname_fr') ? 'has-error' : '' }}">
                                        <label for="firstname_fr" class="col-sm-3 control-label">Vorname FR:</label>
                                        <div class="col-sm-9">
                                            <input name="firstname_fr" type="text" class="form-control" id="firstname_fr" value="{{ old('firstname_fr') }}">
                                        </div>
                                    </div>
                                </div>

                                <div class="col-md-6">
                                    <div class="form-group {{ $errors->formErrors->has('lastname_de') ? 'has-error' : '' }}">
                                        <label for=lastname_de"" class="col-sm-3 control-label">Nachname DE:</label>
                                        <div class="col-sm-9">
                                            <input name="lastname_de" type="text" class="form-control" id="lastname_de" value="{{ old('lastname_de') }}">
                                        </div>
                                    </div>
                                </div>
                                <div class="col-md-6">
                                    <div class="form-group {{ $errors->formErrors->has('lastname_en') ? 'has-error' : '' }}">
                                        <label for=lastname_en"" class="col-sm-3 control-label">Nachname EN:</label>
                                        <div class="col-sm-9">
                                            <input name="lastname_en" type="text" class="form-control" id="lastname_en" value="{{ old('lastname_en') }}">
                                        </div>
                                    </div>
                                </div>
                                <div class="col-md-6">
                                    <div class="form-group {{ $errors->formErrors->has('lastname_fr') ? 'has-error' : '' }}">
                                        <label for=lastname_fr"" class="col-sm-3 control-label">Nachname FR:</label>
                                        <div class="col-sm-9">
                                            <input name="lastname_fr" type="text" class="form-control" id="lastname_fr" value="{{ old('lastname_fr') }}">
                                        </div>
                                    </div>
                                </div>

                                <div class="col-md-6">
                                    <div class="form-group {{ $errors->formErrors->has('born_date') ? 'has-error' : '' }}">
                                        <label for="bornDate" class="col-sm-3 control-label">Geburtsdatum:</label>
                                        <div class="col-sm-9">
                                            <input name="born_date" type="text" class="form-control" id="bornDate" value="{{ old('born_date') }}">
                                        </div>
                                    </div>
                                </div>
                                <div class="col-md-6">
                                    <div class="form-group {{ $errors->formErrors->has('born_location_de') ? 'has-error' : '' }}">
                                        <label for="born_location_de" class="col-sm-3 control-label">Geburtsort DE:</label>
                                        <div class="col-sm-9">
                                            <input name="born_location_de" type="text" class="form-control" id="born_location_de" value="{{ old('born_location_de') }}">
                                        </div>
                                    </div>
                                </div>
                                <div class="col-md-6">
                                    <div class="form-group {{ $errors->formErrors->has('born_location_en') ? 'has-error' : '' }}">
                                        <label for="born_location_en" class="col-sm-3 control-label">Geburtsort EN:</label>
                                        <div class="col-sm-9">
                                            <input name="born_location_en" type="text" class="form-control" id="born_location_en" value="{{ old('born_location_en') }}">
                                        </div>
                                    </div>
                                </div>
                                <div class="col-md-6">
                                    <div class="form-group {{ $errors->formErrors->has('born_location_fr') ? 'has-error' : '' }}">
                                        <label for="born_location_fr" class="col-sm-3 control-label">Geburtsort FR:</label>
                                        <div class="col-sm-9">
                                            <input name="born_location_fr" type="text" class="form-control" id="born_location_fr" value="{{ old('born_location_fr') }}">
                                        </div>
                                    </div>
                                </div>

                                <div class="col-md-6">
                                    <div class="form-group {{ $errors->formErrors->has('died_date') ? 'has-error' : '' }}">
                                        <label for="diedDate" class="col-sm-3 control-label">Sterbedatum:</label>
                                        <div class="col-sm-9">
                                            <input name="died_date" type="text" class="form-control" id="diedDate" value="{{ old('died_date') }}">
                                        </div>
                                    </div>
                                </div>
                                <div class="col-md-6">
                                    <div class="form-group {{ $errors->formErrors->has('died_location_de') ? 'has-error' : '' }}">
                                        <label for="died_location_de" class="col-sm-3 control-label">Sterbeort DE:</label>
                                        <div class="col-sm-9">
                                            <input name="died_location_de" type="text" class="form-control" id="died_location_de" value="{{ old('died_location_de') }}">
                                        </div>
                                    </div>
                                </div>
                                <div class="col-md-6">
                                    <div class="form-group {{ $errors->formErrors->has('died_location_en') ? 'has-error' : '' }}">
                                        <label for="died_location_en" class="col-sm-3 control-label">Sterbeort EN:</label>
                                        <div class="col-sm-9">
                                            <input name="died_location_en" type="text" class="form-control" id="died_location_en" value="{{ old('died_location_en') }}">
                                        </div>
                                    </div>
                                </div>
                                <div class="col-md-6">
                                    <div class="form-group {{ $errors->formErrors->has('died_location_fr') ? 'has-error' : '' }}">
                                        <label for="died_location_fr" class="col-sm-3 control-label">Sterbeort FR:</label>
                                        <div class="col-sm-9">
                                            <input name="died_location_fr" type="text" class="form-control" id="died_location_fr" value="{{ old('died_location_fr') }}">
                                        </div>
                                    </div>
                                </div>
                                <div class="col-md-6">
                                    <div class="form-group {{ $errors->formErrors->has('editor') ? 'has-error' : '' }}">
                                        <label for="editor" class="col-sm-3 control-label">Bearbeiter:</label>
                                        <div class="col-sm-9">
                                            <input name="editor" type="text" class="form-control" id="editor" value="{{ Auth::user()->id }}" readonly>
                                        </div>
                                    </div>
                                </div>
                            </div>

                            <div class="row" style="margin-top: 30px;">
                                <div class="col-md-6">
                                     <a class="btn btn-default" type="button" href="{{ route('artists') }}"><i class="fa fa-times" aria-hidden="true"></i>&nbsp; Abbrechen & zurück</a>
                                </div>
                                <div class="col-md-6">
                                    <button class="btn btn-primary pull-right" type="submit"><i class="fa fa-floppy-o" aria-hidden="true"></i>&nbsp; Änderungen speichern</button>
                                </div>
                            </div>
                        </div>
                    {!! Form::close() !!}
                </div>
            </div>
        </div>
    </div>


@stop
