@extends('layouts.main')
@section('title', 'Künstler bearbeiten')
@section('headline', 'Künstler bearbeiten')
@section('content')

    <style>
        #main-wrapper .form-group {
            clear: both;
            margin-bottom: 20px;
        }
    </style>

    {{--<div class="page-title">
        <h3 class="breadcrumb-header">Künstler bearbeiten</h3>
    </div>--}}
    <div id="main-wrapper">
        <div class="row">
            <div class="col-md-12">
                <div class="panel panel-white">

                    {{ Form::open(array('route' => array('edit-artist', $artist->id), 'class' => 'form-horizontal', 'method' => 'post', 'role' => 'form', 'files' => true )) }}

                        <input type="hidden" name="selected_status" value="{{ $status }}">
                        <input type="hidden" name="page" value="{{ $page }}">
                        <input type="hidden" name="len" value="{{ $len }}">
                        <input type="hidden" name="sortc" value="{{ $sortc }}">
                        <input type="hidden" name="sortd" value="{{ $sortd }}">

                        <div class="panel-body">
                            <div class="row">
                                <div class="col-md-6">
                                    <div class="form-group {{ $errors->formErrors->has('id') ? 'has-error' : '' }}">
                                        <label for="artistId" class="col-sm-3 control-label">Künstler ID:</label>
                                        <div class="col-sm-9">
                                            <input name="id" type="text" class="form-control" id="artistId" value="{{ $artist->id }}" disabled>
                                        </div>
                                    </div>
                                </div>
                                <div class="col-md-6">
                                    <div class="form-group {{ $errors->formErrors->has('status') ? 'has-error' : '' }}">
                                        <label for="status" class="col-sm-3 control-label">Status:</label>
                                        <div class="col-sm-9">
                                            <select class="form-control" name="status" id="status">
                                                <option value="" @if($artist->status == '' || old('status') == '') selected @endif>- Bitte wählen -</option>
                                                <option value="0" @if($artist->status == 0 || old('status') == 0) selected @endif>Neu</option>
                                                <option value="1" @if($artist->status == 1 || old('status') == 1) selected @endif>Geprüft</option>
                                                <option value="2" @if($artist->status == 2 || old('status') == 2) selected @endif>Nicht Künstler</option>
                                            </select>
                                        </div>
                                    </div>
                                </div>
                            </div>
                            <div class="row">
                                <div class="col-md-6">
                                    <div class="form-group {{ $errors->formErrors->has('firstname_de') ? 'has-error' : '' }}">
                                        <label for="firstname_de" class="col-sm-3 control-label">Vorname DE:</label>
                                        <div class="col-sm-9">
                                            <input name="firstname_de" type="text" class="form-control" id="firstname_de" value="{{ $artist->firstname_de }}">
                                        </div>
                                    </div>
                                </div>
                                <div class="col-md-6">
                                    <div class="form-group {{ $errors->formErrors->has('firstname_en') ? 'has-error' : '' }}">
                                        <label for="firstname_en" class="col-sm-3 control-label">Vorname EN:</label>
                                        <div class="col-sm-9">
                                            <input name="firstname_en" type="text" class="form-control" id="firstname_en" value="{{ $artist->firstname_en }}">
                                        </div>
                                    </div>
                                </div>
                                <div class="col-md-6">
                                    <div class="form-group {{ $errors->formErrors->has('firstname_fr') ? 'has-error' : '' }}">
                                        <label for="firstname_fr" class="col-sm-3 control-label">Vorname FR:</label>
                                        <div class="col-sm-9">
                                            <input name="firstname_fr" type="text" class="form-control" id="firstname_fr" value="{{ $artist->firstname_fr }}">
                                        </div>
                                    </div>
                                </div>

                                <div class="col-md-6">
                                    <div class="form-group {{ $errors->formErrors->has('lastname_de') ? 'has-error' : '' }}">
                                        <label for="lastname_de" class="col-sm-3 control-label">Nachname DE:</label>
                                        <div class="col-sm-9">
                                            <input name="lastname_de" type="text" class="form-control" id="lastname_de" value="{{ $artist->lastname_de }}">
                                        </div>
                                    </div>
                                </div>
                                <div class="col-md-6">
                                    <div class="form-group {{ $errors->formErrors->has('lastname_en') ? 'has-error' : '' }}">
                                        <label for="lastname_en" class="col-sm-3 control-label">Nachname EN:</label>
                                        <div class="col-sm-9">
                                            <input name="lastname_en" type="text" class="form-control" id="lastname_en" value="{{ $artist->lastname_en }}">
                                        </div>
                                    </div>
                                </div>
                                <div class="col-md-6">
                                    <div class="form-group {{ $errors->formErrors->has('lastname_fr') ? 'has-error' : '' }}">
                                        <label for="lastname_fr" class="col-sm-3 control-label">Nachname FR:</label>
                                        <div class="col-sm-9">
                                            <input name="lastname_fr" type="text" class="form-control" id="lastname_fr" value="{{ $artist->lastname_fr }}">
                                        </div>
                                    </div>
                                </div>

                                <div class="col-md-6">
                                    <div class="form-group {{ $errors->formErrors->has('born_date') ? 'has-error' : '' }}">
                                        <label for="bornDate" class="col-sm-3 control-label">Geburtsdatum:</label>
                                        <div class="col-sm-9">
                                            <input name="born_date" type="text" class="form-control" id="bornDate" value="{{ $artist->born_date }}">
                                        </div>
                                    </div>
                                </div>
                                <div class="col-md-6">
                                    <div class="form-group {{ $errors->formErrors->has('born_location_de') ? 'has-error' : '' }}">
                                        <label for="born_location_de" class="col-sm-3 control-label">Geburtsort DE:</label>
                                        <div class="col-sm-9">
                                            <input name="born_location_de" type="text" class="form-control" id="born_location_de" value="{{ $artist->born_location_de }}">
                                        </div>
                                    </div>
                                </div>
                                <div class="col-md-6">
                                    <div class="form-group {{ $errors->formErrors->has('born_location_en') ? 'has-error' : '' }}">
                                        <label for="born_location_en" class="col-sm-3 control-label">Geburtsort EN:</label>
                                        <div class="col-sm-9">
                                            <input name="born_location_en" type="text" class="form-control" id="born_location_en" value="{{ $artist->born_location_en }}">
                                        </div>
                                    </div>
                                </div>
                                <div class="col-md-6">
                                    <div class="form-group {{ $errors->formErrors->has('born_location_fr') ? 'has-error' : '' }}">
                                        <label for="born_location_fr" class="col-sm-3 control-label">Geburtsort FR:</label>
                                        <div class="col-sm-9">
                                            <input name="born_location_fr" type="text" class="form-control" id="born_location_fr" value="{{ $artist->born_location_fr }}">
                                        </div>
                                    </div>
                                </div>

                                <div class="col-md-6">
                                    <div class="form-group {{ $errors->formErrors->has('died_date') ? 'has-error' : '' }}">
                                        <label for="diedDate" class="col-sm-3 control-label">Sterbedatum:</label>
                                        <div class="col-sm-9">
                                            <input name="died_date" type="text" class="form-control" id="diedDate" value="{{ $artist->died_date }}">
                                        </div>
                                    </div>
                                </div>
                                <div class="col-md-6">
                                    <div class="form-group {{ $errors->formErrors->has('died_location_de') ? 'has-error' : '' }}">
                                        <label for="died_location_de" class="col-sm-3 control-label">Sterbeort DE:</label>
                                        <div class="col-sm-9">
                                            <input name="died_location_de" type="text" class="form-control" id="died_location_de" value="{{ $artist->died_location_de }}">
                                        </div>
                                    </div>
                                </div>
                                <div class="col-md-6">
                                    <div class="form-group {{ $errors->formErrors->has('died_location_en') ? 'has-error' : '' }}">
                                        <label for="died_location_en" class="col-sm-3 control-label">Sterbeort EN:</label>
                                        <div class="col-sm-9">
                                            <input name="died_location_en" type="text" class="form-control" id="died_location_en" value="{{ $artist->died_location_en }}">
                                        </div>
                                    </div>
                                </div>
                                <div class="col-md-6">
                                    <div class="form-group {{ $errors->formErrors->has('died_location_fr') ? 'has-error' : '' }}">
                                        <label for="died_location_fr" class="col-sm-3 control-label">Sterbeort FR:</label>
                                        <div class="col-sm-9">
                                            <input name="died_location_fr" type="text" class="form-control" id="died_location_fr" value="{{ $artist->died_location_fr }}">
                                        </div>
                                    </div>
                                </div>

                                <div class="col-md-6">
                                    <div class="form-group {{ $errors->formErrors->has('editor ') ? 'has-error' : '' }}">
                                        <label for="editor" class="col-sm-3 control-label">Bearbeiter:</label>
                                        <div class="col-sm-9">
                                            <input name="editor" type="text" class="form-control" id="editor" value="{{ $artist->editor }}">
                                        </div>
                                    </div>
                                </div>
                            </div>

                            <div class="row" style="margin-top: 30px;">
                                <div class="col-md-6">
                                     <a class="btn btn-default" type="button" href="{{ route('artists', ['status'=>$status, 'page'=>$page, 'len'=>$len, 'sortc'=>$sortc, 'sortd'=>$sortd]) }}"><i class="fa fa-times" aria-hidden="true"></i>&nbsp; Abbrechen & zurück</a>
                                </div>
                                <div class="col-md-6">
                                    <button class="btn btn-primary pull-right" type="submit"><i class="fa fa-floppy-o" aria-hidden="true"></i>&nbsp; Änderungen speichern</button>
                                </div>
                            </div>
                        </div>
                    {!! Form::close() !!}

                </div>
            </div>
        </div>
    </div>


@stop
