@extends('layouts.main')
@section('title', 'Import Stage verwalten')
@section('headline', 'Import Stage verwalten')
@section('content')

    <div id="main-wrapper">
        <div class="row">
            <div class="col-md-12">
                @if($alert == 'successUpload')
                    <div class="alert alert-success" role="alert">
                        Das Kunstobjekt wurde erfolgreich aktualisiert!
                    </div>
                @endif

                <div class="panel panel-white">
                    <div class="panel-heading clearfix">
                    </div>
                    <div class="panel-body">
                        <div class="table-responsive">
                            <div class="filter-container" id="filterContainer">
                                {!! Form::open(['action' => 'AuctionObjectsImport\AuctionObjectsImportOverviewController@index', 'class' => 'form-horizontal', 'id' => 'filterAuctionObjectForm', 'method' => 'get', 'role' => 'form', 'files' => true]) !!}
                                    <input name="filtered" id="filtered" type="hidden" value="1">
                                    <input name="page" id="page" type="hidden" value="{{$page}}">
                                    <div id="pageLen" style="float: right; margin-left: 20px;">
                                        <input class="form-control" name="len" id="inputPageLen" type="text" max="999" maxlength="3" value="@if($pageLength){{$pageLength}}@else{{auth()->user()->table_page_length}}@endif" style="float: left; width: 50px;"> <label style="float: right; padding: 7px 5px 0;">Einträge anzeigen</label>
                                    </div>
                                    <select class="form-control" id="selectFilterArtistStatus" onchange="this.form.submit()" name="status" style="width: 175px; float: right;">
                                        <option value="" @if(is_null($selectedFilterStatus)) selected @endif>- Status wählen -</option>
                                        <option value="0" @if($selectedFilterStatus == 0 && !is_null($selectedFilterStatus)) selected @endif>Neu</option>
                                        <option value="1" @if($selectedFilterStatus == 1) selected @endif>Übernehmen</option>
                                        <option value="2" @if($selectedFilterStatus == 2) selected @endif>Verwerfen</option>
                                        <option value="3" @if($selectedFilterStatus == 3) selected @endif>Übernommen</option>
                                        <option value="4" @if($selectedFilterStatus == 4) selected @endif>Verworfen</option>
                                    </select>
                                    <label style="float: right; padding: 7px 5px 0;">Filtern:</label>
                                {!! Form::close() !!}
                            </div>

                            {!! Form::open(['action' => 'Ajax\AuctionObjectsImportOverviewController@bulkEditStatus', 'class' => 'form-horizontal', 'id' => 'frm-bulk-edit', 'method' => 'post', 'role' => 'form', 'files' => true]) !!}
                            <table id="data-table-auction-objects-import" class="cell-border data-table display table table-data-width nowrap hover">
                                <thead>
                                    <tr>
                                        <th class="col-bulk">
                                            <input id="dt-check-all" type="checkbox">
                                        </th>
                                        <th>Status</th>
                                        <th>Dateiname</th>
                                        <th>user</th>
                                        <th>uploadTime</th>
                                        <th>auctionHouse</th>
                                        <th>auctionName</th>
                                        <th>auctionDate</th>
                                        <th>lotnum</th>
                                        <th>artist</th>
                                        <th>title</th>
                                        <th>indicators</th>
                                        <th>workDate</th>
                                        <th>medium</th>
                                        <th>dimensions</th>
                                        <th>estimates</th>
                                        <th>publisher</th>
                                        <th>printer</th>
                                        <th>catRaisAuthor</th>
                                        <th>catRaisNumber</th>
                                        <th>edition</th>
                                        <th>printingDate</th>
                                        <th>imageUrl</th>
                                        <th>lotUrl</th>
                                        <th class="col-id">ID</th>
                                    </tr>
                                </thead>
                            </table>

                            <div class="row" style="padding-bottom: 20px;">
                                <div class="col-md-12">
                                    <label for="bulk_action" class="control-label pull-left" style="padding: 0 20px; font-size: 24px;"><i class="fa fa-level-up" aria-hidden="true" style="transform: rotate(90deg);"></i></label>
                                    <select class="form-control pull-left" name="bulk_action" id="bulk_action" style="margin-right: 20px; width: 200px;">
                                        <option value="">- Aktion wählen -</option>
                                        <option value="0">Status: Neu</option>
                                        <option value="1">Status: Übernehmen</option>
                                        <option value="2">Status: Verwerfen</option>
                                    </select>
                                    <button type="submit" id="btnBulkAction" class="btn btn-primary">Absenden</button>
                                    {{--<button type="button" id="btnStartTransferProcess" class="btn btn-primary pull-right" style="margin-left: 75px;">
                                        <span class="button-text"><i class="fa fa-check" aria-hidden="true"></i> Datenübertragung starten</span>
                                        <span class="message-running-service" style="display: none;"><i class="fa fa-hourglass-start" aria-hidden="true"></i> Bitte warten...</span>
                                    </button>--}}
                                </div>
                            </div>
                            {!! Form::close() !!}

                            {{--
                            {!! Form::open(['action' => 'AuctionObjectsStage\AuctionObjectsStageOverviewController@startTransferProcess', 'class' => 'form-horizontal', 'id' => 'transferProcessForm', 'method' => 'post', 'role' => 'form', 'files' => true]) !!}
                                <input type="hidden" name="transfer-process-started" id="transfer-process-started" value="1">
                                <input type="hidden" name="editor" id="editor" value="{{Auth::user()->id}}">
                            {!! Form::close() !!}
                            --}}

                            <div class="clear"></div>

                            @if (Auth::user()->user_role_id == 1 || Auth::user()->user_role_id == 2)
                                {!! Form::open(['action' => 'AuctionObjectsImport\StageImportFileController@upload', 'class' => 'form-horizontal', 'id' => 'transferProcessForm', 'method' => 'post', 'role' => 'form', 'files' => true]) !!}

                                    <div class="container-fluid" style="background: #eee; padding: 25px 50px;">
                                        <div class="row">
                                            <div class="col-md-6 col-sm-12">
                                                <div class="form-group" id="logoUploadField">
                                                    <h2>Datei-Upload</h2>
                                                    <label for="file_logo">Excel Datei auswählen</label>
                                                    <input type="file" class="form-control-file" id="import_file" name="import_file">
                                                    <button class="btn btn-primary" type="submit" style="margin-top: 15px;">Datei hochladen</button>
                                                </div>
                                            </div>
                                        </div>
                                    </div>

                                {!! Form::close() !!}
                            @endif

                            <script type="text/javascript">
                                var filterStatus = @if(!is_null($selectedFilterStatus)) {{$selectedFilterStatus}} @else null @endif;
                                var filterLanguage = @if($selectedFilterLanguage) {{$selectedFilterLanguage}} @else null @endif;
                                var filterAuctionName = @if($selectedFilterAuctionName) '{{$selectedFilterAuctionName}}' @else null @endif;

                                var pageParam = @if($page) {{$page}} @else null @endif;
                                var lenParam = @if($pageLength) {{$pageLength}} @else 10 @endif;
                                var displayStart = 0;

                                if (pageParam != null) {

                                    displayStart = (pageParam - 1) * lenParam;
                                }

                                var table = $('#data-table-auction-objects-import').DataTable({
                                    fixedHeader: {
                                        header: true,
                                        headerOffset: $('.page-header').outerHeight()
                                    },
                                    processing: true,
                                    serverSide: true,
                                    ordering: true,
                                    autoWidth: false,
                                    "displayStart": displayStart,
                                    "pageLength": {{ $pageLength }},
                                    "lengthMenu": [ 10, 25, 50, 100 ],
                                    "lengthChange": false,
                                    "order": [[ 23, "asc" ]],
                                    "ajax": {
                                        "url": "/ajax/ajax-auction-objects-import-overview",
                                        "type": "POST",
                                        "headers": {'X-CSRF-TOKEN': $('meta[name="csrf_token"]').attr('content')},
                                        "dataSrc": "data",
                                        "data": {
                                            'status': filterStatus,
                                            'lang': filterLanguage,
                                            'an': filterAuctionName,
                                        },
                                    },
                                    "deferRender": true,
                                    "columns": [
                                        {
                                            "data": "id",
                                            "name": "ao.id",
                                            "searchable": false,
                                            "orderable": false,
                                            className: "col-bulk",
                                            "mRender": function ( data, type, row ) {

                                                return '<input class="dt-checkboxes" name="dt_checkbox[]" type="checkbox" value="'+row.id+'">';
                                            },
                                        },
                                        {
                                            "data": "status",
                                            "name": "ao.status",
                                            "mRender": function ( data, type, row ) {
                                                var status = '';

                                                if (row.status == 0 ||row.status == 1 || row.status == 2) {
                                                    status += '<select class="" name="" onchange="dynamicAssignStatus(' + row.id + ', this)" style="width: 120px;">';
                                                    status += '<option value="">- Bitte wählen -</option>';
                                                    status += '<option value="0" ' + (row.status == 0 ? 'selected' : '') + '>Neu</option>';
                                                    status += '<option value="1" ' + (row.status == 1 ? 'selected' : '') + '>Übernehmen</option>';
                                                    status += '<option value="2" ' + (row.status == 2 ? 'selected' : '') + '>Verwerfen</option>';
                                                    status += '</select>';
                                                } else if (row.status == 3) {
                                                    status += '<i class="fa fa-check" aria-hidden="true"></i> Übernommen';
                                                } else if (row.status == 4) {
                                                    status += '<i class="fa fa-ban" aria-hidden="true"></i> Verworfen';
                                                }

                                                return status;
                                            },
                                            width: 100,
                                            "searchable": false,
                                            "sortable": false,
                                        },
                                        { "data": "filename", "name": "ao.filename", "searchable": true },
                                        { "data": "user", "name": "ao.user", "searchable": true },
                                        { "data": "uploadTime", "name": "uploadTime", "searchable": false },
                                        { "data": "auctionHouse", "name": "ao.auctionHouse", "searchable": true },
                                        { "data": "auctionName", "name": "ao.auctionName", "searchable": false },
                                        {
                                            "data": "auctionDate",
                                            "name": "ao.auctionDate",
                                            "searchable": false,
                                        },
                                        {
                                            "data": "lotnum",
                                            "name": "ao.lotnum",
                                            "searchable": true,
                                        },
                                        { "data": "artist", "name": "ao.artist", "searchable": true },
                                        { "data": "title", "name": "ao.title", "searchable": true },
                                        { "data": "indicators", "name": "ao.indicators", "searchable": true },
                                        { "data": "workDate", "name": "ao.workDate", "searchable": true },
                                        { "data": "medium", "name": "ao.medium", "searchable": true },
                                        { "data": "dimensions", "name": "ao.dimensions", "searchable": false },
                                        { "data": "estimates", "name": "ao.estimates", "searchable": false },
                                        { "data": "publisher", "name": "ao.publisher", "searchable": false },
                                        { "data": "printer", "name": "ao.printer", "searchable": false },
                                        { "data": "catRaisAuthor", "name": "ao.catRaisAuthor", "searchable": false },
                                        { "data": "catRaisNumber", "name": "ao.catRaisNumber", "searchable": false },
                                        { "data": "edition", "name": "ao.edition", "searchable": false },
                                        { "data": "printingDate", "name": "ao.printingDate", "searchable": false },
                                        {
                                            "mRender": function ( data, type, row ) {
                                                return '<a href="'+row.imageUrl+'" target="_blank">'+row.imageUrl+'</a>';
                                            }
                                        },
                                        {
                                            "mRender": function ( data, type, row ) {
                                                return '<a href="'+row.lotUrl+'" target="_blank">'+row.lotUrl+'</a>';
                                            }
                                        },
                                        { "data": "id", "name": "ao.id", "searchable": true, "orderable": true },
                                    ],
                                    /*"columnDefs": [
                                        {
                                            targets: 4, // Auktion
                                            render: $.fn.dataTable.render.ellipsis( 20, false )
                                        },
                                        {
                                            targets: 5, // Kuenstler VN
                                            render: $.fn.dataTable.render.ellipsis( 20, true )
                                        },
                                        {
                                            targets: 6, // Kuenstler NN
                                            render: $.fn.dataTable.render.ellipsis( 20, true )
                                        },
                                        {
                                            targets: 7, // Geb. Ort
                                            render: $.fn.dataTable.render.ellipsis( 20, true )
                                        },
                                        {
                                            targets: 10, // Geb. Ort
                                            render: $.fn.dataTable.render.ellipsis( 20, true )
                                        },
                                        {
                                            targets: 11, // Technik
                                            render: $.fn.dataTable.render.ellipsis( 30, true )
                                        },
                                        {
                                            targets: 15, // Titel
                                            render: $.fn.dataTable.render.ellipsis( 30, true )
                                        },
                                        {
                                            targets: 24, // Katalog.
                                            render: $.fn.dataTable.render.ellipsis( 30, true )
                                        },
                                        {
                                            targets: 30, // Auktionsort
                                            render: $.fn.dataTable.render.ellipsis( 30, true )
                                        },
                                        {
                                            targets: 32, // Auktionshaus
                                            render: $.fn.dataTable.render.ellipsis( 30, true )
                                        }
                                    ],*/
                                    'stateSave': false,
                                    'select': 'multiple',
                                    "language": {
                                        "url": "/plugins/datatables/i18n/German.json",
                                        "processing": "<img src='/images/loading.gif'>",
                                    },
                                    "fnInitComplete": function (settings, json) {
                                        $('#filterContainer').insertAfter('#data-table-auction-objects-import_filter');
                                        $('#buttonLine').insertAfter('#data-table-auction-objects-import_filter');
                                        $('#filterContainer').show();
                                    },
                                });

                                $('.table-responsive').on('scroll', function(e) {
                                    var left = $(this).scrollLeft();
                                    var left = left - 17;
                                    $('.fixedHeader-floating').css('left', -left);
                                });

                                // Bulk edit
                                $('#frm-bulk-edit').on('submit', function(e){

                                    e.preventDefault();

                                    var form = this;

                                    // Ajax request
                                    $.ajax({
                                        url: '/ajax/auction-object-import-bulk-edit-status',
                                        type: 'POST',
                                        beforeSend: function (xhr) {
                                            var token = $('meta[name="csrf_token"]').attr('content');

                                            if (token) {
                                                return xhr.setRequestHeader('X-CSRF-TOKEN', token);
                                            }
                                        },
                                        data: $('#frm-bulk-edit').serialize(),
                                        success:function(data){
                                            table.ajax.reload(null, false);
                                            //table.column(0).checkboxes.deselect(); // deselect all checkboxes
                                            $('#dt-check-all').prop('checked', false);
                                            $('#bulk_action').val(''); // reset select field
                                            $('.selectedRow').remove(); // remove temporary hidden fields
                                        },
                                        error:function(e){
                                            console.log(e);
                                            console.log('Ajax Error while assigning');
                                        }
                                    });
                                });

                                $(document).on('change', '#dt-check-all', function(e){

                                    if(this.checked){
                                        $('.dt-checkboxes').each(function(){
                                            this.checked = true;
                                        });
                                    }else{
                                        $('.dt-checkboxes').each(function(){
                                            this.checked = false;
                                        });
                                    }
                                });

                                var lastChecked = null;

                                $(document).on('mousedown', '.dt-checkboxes', function(e){


                                    if(!lastChecked) {
                                        lastChecked = this;
                                        return;
                                    }

                                    if(e.shiftKey) {
                                        var from = $('.dt-checkboxes').index(this);
                                        var to = $('.dt-checkboxes').index(lastChecked);

                                        var start = Math.min(from, to);
                                        var end = Math.max(from, to) + 0;

                                        $('.dt-checkboxes').slice(start, end)
                                            .filter(':not(:disabled)')
                                            //.prop('checked', lastChecked.checked).parent().parent().addClass('selected')
                                            .prop('checked', true)
                                            .parent().parent().addClass('selected');

                                        console.log(table.column(0).checkboxes.selected());

                                    }

                                    lastChecked = this;

                                    if(e.altKey){

                                        $('.dt-checkboxes')
                                            .filter(':not(:disabled)')
                                            .each(function () {
                                                var $checkbox = $(this);
                                                $checkbox.prop('checked', !$checkbox.is(':checked'));
                                            });
                                    }

                                });

                                // cut column values
                                $.fn.dataTable.render.ellipsis = function ( cutoff, wordbreak, escapeHtml ) {
                                    var esc = function ( t ) {
                                        return t
                                            .replace( /&/g, '&amp;' )
                                            .replace( /</g, '&lt;' )
                                            .replace( />/g, '&gt;' )
                                            .replace( /"/g, '&quot;' );
                                    };

                                    return function ( d, type, row ) {
                                        // Order, search and type get the original data
                                        if ( type !== 'display' ) {
                                            return d;
                                        }

                                        if ( typeof d !== 'number' && typeof d !== 'string' ) {
                                            return d;
                                        }

                                        d = d.toString(); // cast numbers

                                        if ( d.length < cutoff ) {
                                            return d;
                                        }

                                        var shortened = d.substr(0, cutoff-1);

                                        // Find the last white space character in the string
                                        if ( wordbreak ) {
                                            shortened = shortened.replace(/\s([^\s]*)$/, '');
                                        }

                                        // Protect against uncontrolled HTML input
                                        if ( escapeHtml ) {
                                            shortened = esc( shortened );
                                        }

                                        return '<span class="ellipsis" title="'+esc(d)+'">'+shortened+'&#8230;</span>';
                                    };
                                };

                                // assign status
                                function dynamicAssignStatus(id, selectObject) {

                                    var auctionObjectStageId = id;
                                    var status = selectObject.value;

                                    // Ajax request
                                    $.ajax({
                                        url: '/ajax/post-ajax-auction-object-import-assignment-status',
                                        type: 'POST',
                                        beforeSend: function (xhr) {
                                            var token = $('meta[name="csrf_token"]').attr('content');

                                            if (token) {
                                                return xhr.setRequestHeader('X-CSRF-TOKEN', token);
                                            }
                                        },
                                        data: {
                                            auction_object_id : auctionObjectStageId,
                                            status : status
                                        },
                                        success:function(data){
                                            table.ajax.reload(null, false);
                                        },error:function(e){
                                            console.log(e);
                                            console.log('Ajax Error while assigning');
                                        }
                                    });
                                }

                                $(document).on('change', '.dt-checkboxes-select-all input', function(e){

                                    if ($(this).prop('checked')) {
                                        $('.dt-checkboxes').parent().parent().addClass('selected');
                                    } else {
                                        $('.dt-checkboxes').parent().parent().removeClass('selected');
                                    }
                                });

                                $(document).on('change', '.dt-checkboxes', function(e){

                                    if ($(this).prop('checked')) {
                                        $(this).parent().parent().addClass('selected');
                                    } else {
                                        $(this).parent().parent().removeClass('selected');
                                    }
                                });

                                $(document).on('click', '#btnStartTransferProcess', function(e){

                                    $('#transferProcessForm').submit();
                                });

                                if($.urlParam('ps') == 1) {

                                    $('#btnStartTransferProcess').prop("disabled",true);
                                    $('#btnStartTransferProcess .button-text').hide();
                                    $('#btnStartTransferProcess .message-running-service').show();

                                    setTimeout(function(){
                                        $('#btnStartTransferProcess .button-text').show();
                                        $('#btnStartTransferProcess .message-running-service').hide();
                                        $('#btnStartTransferProcess').prop("disabled",false);
                                    }, 5000);
                                }


                            </script>

                        </div>
                    </div>
                </div>


            </div>
        </div><!-- Row -->
    </div><!-- Main Wrapper -->

@stop
