@extends('layouts.main')
@section('title', 'Importierte Objekte verwalten')
@section('headline', 'Importierte Objekte verwalten')
@section('content')

    <div id="main-wrapper">
        <div class="row">
            <div class="col-md-12">
                @if($alert == 'successUpload')
                    <div class="alert alert-success" role="alert">
                        Das Kunstobjekt wurde erfolgreich aktualisiert!
                    </div>
                @endif

                <div class="panel panel-white">
                    <div class="panel-heading clearfix">
                    </div>
                    <div class="panel-body">
                        <div class="table-responsive">
                            <div class="filter-container" id="filterContainer">
                                {!! Form::open(['action' => 'AuctionObjectsImported\AuctionObjectsImportedOverviewController@index', 'class' => 'form-horizontal', 'id' => 'filterAuctionObjectForm', 'method' => 'get', 'role' => 'form', 'files' => true]) !!}
                                    <input name="filtered" id="filtered" type="hidden" value="1">
                                    <input name="page" id="page" type="hidden" value="{{$page}}">
                                    <div id="pageLen" style="float: right; margin-left: 20px;">
                                        <input class="form-control" name="len" id="inputPageLen" type="text" max="999" maxlength="3" value="@if($pageLength){{$pageLength}}@else{{auth()->user()->table_page_length}}@endif" style="float: left; width: 50px;"> <label style="float: right; padding: 7px 5px 0;">Einträge anzeigen</label>
                                    </div>
                                    <select class="form-control" id="selectFilterArtistStatus" onchange="this.form.submit()" name="status" style="width: 175px; float: right;">
                                        <option value="">- Status wählen -</option>
                                        <option value="1" @if($selectedFilterStatus == 1) selected @endif>Exportbereit</option>
                                        <option value="2" @if($selectedFilterStatus == 2) selected @endif>Exportiert</option>
                                        <option value="3" @if($selectedFilterStatus == 3) selected @endif>Prüffall</option>
                                    </select>
                                    <label style="float: right; padding: 7px 5px 0;">Filtern:</label>
                                {!! Form::close() !!}
                            </div>

                            {!! Form::open(['action' => 'Ajax\AuctionObjectsImportOverviewController@bulkEditStatus', 'class' => 'form-horizontal', 'id' => 'frm-bulk-edit', 'method' => 'post', 'role' => 'form', 'files' => true]) !!}
                            <table id="data-table-auction-objects-imported" class="cell-border data-table display table table-data-width nowrap hover">
                                <thead>
                                    <tr>
                                        <th class="col-bulk">
                                            <input id="dt-check-all" type="checkbox">
                                        </th>
                                        <th>Status</th>
                                        <th>Dateiname</th>
                                        <th>user</th>
                                        <th>uploadTime</th>
                                        <th>auctionHouse</th>
                                        <th>t_artist_id</th>
                                        <th>auctionName</th>
                                        <th>auctionDate</th>
                                        <th>t_medium_category_id</th>
                                        <th>lotnum</th>
                                        <th>artist</th>
                                        <th>title</th>
                                        <th>indicators</th>
                                        <th>workDate</th>
                                        <th>medium</th>
                                        <th>dimensions</th>
                                        <th>estimates</th>
                                        <th>publisher</th>
                                        <th>printer</th>
                                        <th>catRaisAuthor</th>
                                        <th>catRaisNumber</th>
                                        <th>edition</th>
                                        <th>printingDate</th>
                                        <th>imageUrl</th>
                                        <th>lotUrl</th>
                                        <th class="col-id">ID</th>
                                    </tr>
                                </thead>
                            </table>

                            <div class="row" style="padding-bottom: 20px;">
                                <div class="col-md-12">
                                    <label for="bulk_action" class="control-label pull-left" style="padding: 0 20px; font-size: 24px;"><i class="fa fa-level-up" aria-hidden="true" style="transform: rotate(90deg);"></i></label>
                                    <select class="form-control pull-left" name="bulk_action" id="bulk_action" style="margin-right: 20px; width: 200px;">
                                        <option value="">- Aktion wählen -</option>
                                        <option value="0">Status: Neu</option>
                                        <option value="1">Status: Übernehmen</option>
                                        <option value="2">Status: Verwerfen</option>
                                    </select>
                                    <button type="submit" id="btnBulkAction" class="btn btn-primary">Absenden</button>
                                </div>
                            </div>
                            {!! Form::close() !!}

                            <div class="clear"></div>

                            <script type="text/javascript">
                                var filterStatus = @if(!is_null($selectedFilterStatus)) {{$selectedFilterStatus}} @else null @endif;
                                var filterLanguage = @if($selectedFilterLanguage) {{$selectedFilterLanguage}} @else null @endif;
                                var filterAuctionName = @if($selectedFilterAuctionName) '{{$selectedFilterAuctionName}}' @else null @endif;

                                var pageParam = @if($page) {{$page}} @else null @endif;
                                var lenParam = @if($pageLength) {{$pageLength}} @else 10 @endif;
                                var displayStart = 0;

                                if (pageParam != null) {

                                    displayStart = (pageParam - 1) * lenParam;
                                }

                                var table = $('#data-table-auction-objects-imported').DataTable({
                                    fixedHeader: {
                                        header: true,
                                        headerOffset: $('.page-header').outerHeight()
                                    },
                                    processing: true,
                                    serverSide: true,
                                    ordering: true,
                                    autoWidth: false,
                                    //scrollY: '60vh',
                                    //scrollCollapse: false,
                                    "displayStart": displayStart,
                                    "pageLength": {{ $pageLength }},
                                    "lengthMenu": [ 10, 25, 50, 100 ],
                                    "lengthChange": false,
                                    "order": [[ 23, "asc" ]],
                                    "ajax": {
                                        "url": "/ajax/ajax-auction-objects-imported-overview",
                                        "type": "POST",
                                        "headers": {'X-CSRF-TOKEN': $('meta[name="csrf_token"]').attr('content')},
                                        "dataSrc": "data",
                                        "data": {
                                            'status': filterStatus,
                                            'lang': filterLanguage,
                                            'an': filterAuctionName,
                                        },
                                    },
                                    "deferRender": true,
                                    "columns": [
                                        {
                                            "data": "id",
                                            "name": "ao.id",
                                            "searchable": false,
                                            "orderable": false,
                                            className: "col-bulk",
                                            "mRender": function ( data, type, row ) {

                                                return '<input class="dt-checkboxes" name="dt_checkbox[]" type="checkbox" value="'+row.id+'">';
                                            },
                                        },
                                        {
                                            "data": "status",
                                            "name": "ao.status",
                                            "mRender": function ( data, type, row ) {
                                                var status = '';

                                                status += '<select class="" name="" onchange="dynamicAssignStatus(' + row.id + ', this)" style="width: 120px;">';
                                                status += '<option value="">- Bitte wählen -</option>';
                                                status += '<option value="1" ' + (row.status == 1 ? 'selected' : '') + '>Exportbereit</option>';
                                                status += '<option value="2" ' + (row.status == 2 ? 'selected' : '') + '>Exportiert</option>';
                                                status += '<option value="3" ' + (row.status == 3 ? 'selected' : '') + '>Prüffall</option>';
                                                status += '</select>';

                                                return status;
                                            },
                                            width: 100,
                                            "searchable": false,
                                            "sortable": false,
                                        },
                                        /*{
                                            "data": "tbd_preselected",
                                            "name": "ao.tbd_preselected",
                                            "searchable": false,
                                            "mRender": function ( data, type, row ) {
                                                var preselcted = '';

                                                if (row.tbd_preselected == 0) {
                                                    preselcted = '<span title="Neu">N</span>';
                                                } else if (row.tbd_preselected == 1) {
                                                    preselcted = '<span title="Übernommen">Ü</span>';
                                                } else if (row.tbd_preselected == 0) {
                                                    preselcted = '<span title="Verworfen">V</span>';
                                                }

                                                return preselcted;
                                            },
                                        },*/
                                        { "data": "filename", "name": "ao.filename", "searchable": true },
                                        { "data": "user", "name": "ao.user", "searchable": true },
                                        { "data": "uploadTime", "name": "uploadTime", "searchable": false },
                                        { "data": "auctionHouse", "name": "ao.auctionHouse", "searchable": true },
                                        {
                                            "data": "artist_fullname",
                                            "name": "artist_fullname",
                                            "mRender": function ( data, type, row ) {

                                                var artist_fullname = '';

                                                artist_fullname += '<a class="assign-icon" onclick="dynamicAssignArtist(\''+row.id+'\')"><i class="fa fa-search-plus" aria-hidden="true"></i></a>';
                                                artist_fullname += '<span class="assign-artist-label" id="label_'+row.id+'">'+ (data!=null ? '<a class="artist-name" href="/kuenstler-bearbeiten/'+row.t_artist_id+'" target="_blank">'+data+'</a> <a class="delete-assignment-icon" onclick="removeArtistAssignment(\''+row.id+'\')"><i class="fa fa-times-circle" aria-hidden="true"></i></a>' : '' )+'</span>';

                                                return artist_fullname;
                                            },
                                            orderable: false,
                                            "searchable": false,
                                            class: 'col-artist-fixed',
                                        },
                                        { "data": "auctionName", "name": "ao.auctionName", "searchable": false },
                                        {
                                            "data": "auctionDate",
                                            "name": "ao.auctionDate",
                                            "searchable": false,
                                        },
                                        {
                                            "mRender": function ( data, type, row ) {
                                                var dropdown = '';

                                                dropdown += '<select class="" name="" onchange="dynamicAssignMediumCategory(\''+row.id+'\', this)" style="width: 140px;">';
                                                dropdown += '<option value="">- Bitte wählen -</option>';
                                                @foreach($mediumCategories as $mediumCategory)
                                                    dropdown += '<option value="{{$mediumCategory->id}}" '+ (row.t_medium_category_id == {{$mediumCategory->id}} ? 'selected' : '' )+'>{{ $mediumCategory->name }}</option>';
                                                @endforeach
                                                    dropdown += '</select>';

                                                return dropdown;
                                            },
                                            width: 150,
                                            "searchable": false,
                                            "sortable": false,
                                        },
                                        {
                                            "data": "lotnum",
                                            "name": "ao.lotnum",
                                            "searchable": true,
                                        },
                                        { "data": "artist", "name": "ao.artist", "searchable": true },
                                        { "data": "title", "name": "ao.title", "searchable": true },
                                        { "data": "indicators", "name": "ao.indicators", "searchable": true },
                                        { "data": "workDate", "name": "ao.workDate", "searchable": true },
                                        { "data": "medium", "name": "ao.medium", "searchable": true },
                                        { "data": "dimensions", "name": "ao.dimensions", "searchable": false },
                                        { "data": "estimates", "name": "ao.estimates", "searchable": false },
                                        { "data": "publisher", "name": "ao.publisher", "searchable": false },
                                        { "data": "printer", "name": "ao.printer", "searchable": false },
                                        { "data": "catRaisAuthor", "name": "ao.catRaisAuthor", "searchable": false },
                                        { "data": "catRaisNumber", "name": "ao.catRaisNumber", "searchable": false },
                                        { "data": "edition", "name": "ao.edition", "searchable": false },
                                        { "data": "printingDate", "name": "ao.printingDate", "searchable": false },
                                        {
                                            "mRender": function ( data, type, row ) {
                                                return '<a href="'+row.imageUrl+'" target="_blank">'+row.imageUrl+'</a>';
                                            }
                                        },
                                        {
                                            "mRender": function ( data, type, row ) {
                                                return '<a href="'+row.lotUrl+'" target="_blank">'+row.lotUrl+'</a>';
                                            }
                                        },
                                        { "data": "id", "name": "ao.id", "searchable": true, "orderable": true },
                                    ],
                                    "columnDefs": [
                                        {
                                            targets: 7, // Auktionsname
                                            render: $.fn.dataTable.render.ellipsis( 25, false )
                                        },
                                    ],
                                    'stateSave': false,
                                    'select': 'multiple',
                                    "language": {
                                        "url": "/plugins/datatables/i18n/German.json",
                                        "processing": "<img src='/images/loading.gif'>",
                                    },
                                    "fnInitComplete": function (settings, json) {
                                        $('#filterContainer').insertAfter('#data-table-auction-objects-imported_filter');
                                        $('#buttonLine').insertAfter('#data-table-auction-objects-imported_filter');
                                        $('#filterContainer').show();
                                    },
                                });

                                $('.table-responsive').on('scroll', function(e) {
                                    var left = $(this).scrollLeft();
                                    var left = left - 17;
                                    $('.fixedHeader-floating').css('left', -left);
                                });

                                // Bulk edit
                                $('#frm-bulk-edit').on('submit', function(e){

                                    e.preventDefault();

                                    var form = this;

                                    // Ajax request
                                    $.ajax({
                                        url: '/ajax/auction-object-import-bulk-edit-status',
                                        type: 'POST',
                                        beforeSend: function (xhr) {
                                            var token = $('meta[name="csrf_token"]').attr('content');

                                            if (token) {
                                                return xhr.setRequestHeader('X-CSRF-TOKEN', token);
                                            }
                                        },
                                        data: $('#frm-bulk-edit').serialize(),
                                        success:function(data){
                                            table.ajax.reload(null, false);
                                            //table.column(0).checkboxes.deselect(); // deselect all checkboxes
                                            $('#dt-check-all').prop('checked', false);
                                            $('#bulk_action').val(''); // reset select field
                                            $('.selectedRow').remove(); // remove temporary hidden fields
                                        },
                                        error:function(e){
                                            console.log(e);
                                            console.log('Ajax Error while assigning');
                                        }
                                    });
                                });

                                $(document).on('change', '#dt-check-all', function(e){

                                    if(this.checked){
                                        $('.dt-checkboxes').each(function(){
                                            this.checked = true;
                                        });
                                    }else{
                                        $('.dt-checkboxes').each(function(){
                                            this.checked = false;
                                        });
                                    }
                                });

                                var lastChecked = null;

                                $(document).on('mousedown', '.dt-checkboxes', function(e){


                                    if(!lastChecked) {
                                        lastChecked = this;
                                        return;
                                    }

                                    if(e.shiftKey) {
                                        var from = $('.dt-checkboxes').index(this);
                                        var to = $('.dt-checkboxes').index(lastChecked);

                                        var start = Math.min(from, to);
                                        var end = Math.max(from, to) + 0;

                                        $('.dt-checkboxes').slice(start, end)
                                            .filter(':not(:disabled)')
                                            //.prop('checked', lastChecked.checked).parent().parent().addClass('selected')
                                            .prop('checked', true)
                                            .parent().parent().addClass('selected');

                                        console.log(table.column(0).checkboxes.selected());

                                    }

                                    lastChecked = this;

                                    if(e.altKey){

                                        $('.dt-checkboxes')
                                            .filter(':not(:disabled)')
                                            .each(function () {
                                                var $checkbox = $(this);
                                                $checkbox.prop('checked', !$checkbox.is(':checked'));
                                            });
                                    }

                                });

                                // cut column values
                                $.fn.dataTable.render.ellipsis = function ( cutoff, wordbreak, escapeHtml ) {
                                    var esc = function ( t ) {
                                        return t
                                            .replace( /&/g, '&amp;' )
                                            .replace( /</g, '&lt;' )
                                            .replace( />/g, '&gt;' )
                                            .replace( /"/g, '&quot;' );
                                    };

                                    return function ( d, type, row ) {
                                        // Order, search and type get the original data
                                        if ( type !== 'display' ) {
                                            return d;
                                        }

                                        if ( typeof d !== 'number' && typeof d !== 'string' ) {
                                            return d;
                                        }

                                        d = d.toString(); // cast numbers

                                        if ( d.length < cutoff ) {
                                            return d;
                                        }

                                        var shortened = d.substr(0, cutoff-1);

                                        // Find the last white space character in the string
                                        if ( wordbreak ) {
                                            shortened = shortened.replace(/\s([^\s]*)$/, '');
                                        }

                                        // Protect against uncontrolled HTML input
                                        if ( escapeHtml ) {
                                            shortened = esc( shortened );
                                        }

                                        return '<span class="ellipsis" title="'+esc(d)+'">'+shortened+'&#8230;</span>';
                                    };
                                };

                                // assign status
                                function dynamicAssignStatus(id, selectObject) {

                                    var auctionObjectStageId = id;
                                    var status = selectObject.value;

                                    // Ajax request
                                    $.ajax({
                                        url: '/ajax/post-ajax-auction-object-import-assignment-status',
                                        type: 'POST',
                                        beforeSend: function (xhr) {
                                            var token = $('meta[name="csrf_token"]').attr('content');

                                            if (token) {
                                                return xhr.setRequestHeader('X-CSRF-TOKEN', token);
                                            }
                                        },
                                        data: {
                                            auction_object_id : auctionObjectStageId,
                                            status : status
                                        },
                                        success:function(data){
                                            table.ajax.reload(null, false);
                                        },error:function(e){
                                            console.log(e);
                                            console.log('Ajax Error while assigning');
                                        }
                                    });
                                }

                                // assign artist
                                function dynamicAssignArtist(id, thisObject) {

                                    var auctionObjectId = id;

                                    $('#auction_object_id').val(auctionObjectId);

                                    $('.assign-artist-modal').modal('show');

                                }

                                // assign artist to row
                                function assignArtistToRow(id) {

                                    var artistId = id;
                                    var auctionObjectId = $('#auction_object_id').val();

                                    // Ajax request
                                    $.ajax({
                                        url: '/ajax/post-ajax-auction-object-imported-assignment-artist',
                                        type: 'POST',
                                        beforeSend: function (xhr) {
                                            var token = $('meta[name="csrf_token"]').attr('content');

                                            if (token) {
                                                return xhr.setRequestHeader('X-CSRF-TOKEN', token);
                                            }
                                        },
                                        data: {
                                            auction_object_id : auctionObjectId,
                                            artist_id : artistId,
                                        },
                                        success:function(data){
                                            //$('#label_'+auctionObjectId).text(data).append('<a class="delete-assignment-icon" onclick="removeArtistAssignment(\''+auctionObjectId+'\')"><i class="fa fa-times-circle" aria-hidden="true"></i></a>');
                                            table.ajax.reload(null, false);
                                            //alert('Der Künstler wurde erfolgreich zugewiesen!');
                                        },error:function(e){
                                            console.log(e);
                                            console.log('Ajax Error while assigning');
                                        }
                                    });

                                    $('.assign-artist-modal').modal('hide');
                                }

                                // remove artist assignment
                                function removeArtistAssignment(id) {

                                    var auctionObjectId = id;

                                    // Ajax request
                                    $.ajax({
                                        url: '/ajax/post-ajax-delete-auction-object-imported-artist-assignment',
                                        type: 'POST',
                                        beforeSend: function (xhr) {
                                            var token = $('meta[name="csrf_token"]').attr('content');

                                            if (token) {
                                                return xhr.setRequestHeader('X-CSRF-TOKEN', token);
                                            }
                                        },
                                        data: {
                                            auction_object_id : auctionObjectId
                                        },
                                        success:function(data){
                                            //$('#label_'+auctionObjectId).text('');
                                            table.ajax.reload(null, false);
                                            //alert('Der Künstlerzuweisung wurde erfolgreich entfernt!');
                                        },error:function(e){
                                            console.log(e);
                                            console.log('Ajax Error while assigning');
                                        }
                                    });
                                }

                                // assign medium category
                                function dynamicAssignMediumCategory(id, selectObject) {

                                    var auctionObjectId = id;
                                    var mediumCategoryId = selectObject.value;

                                    // Ajax request
                                    $.ajax({
                                        url: '/ajax/post-ajax-auction-object-imported-assignment-medium',
                                        type: 'POST',
                                        beforeSend: function (xhr) {
                                            var token = $('meta[name="csrf_token"]').attr('content');

                                            if (token) {
                                                return xhr.setRequestHeader('X-CSRF-TOKEN', token);
                                            }
                                        },
                                        data: {
                                            auction_object_id : auctionObjectId,
                                            medium_category_id : mediumCategoryId
                                        },
                                        success:function(data){
                                            //window.location = data.redirectUrl;
                                            table.ajax.reload(null, false);
                                            //alert('Die Grobtechnik wurde erfolgreich zugewiesen!');
                                        },error:function(e){
                                            console.log(e);
                                            console.log('Ajax Error while assigning');
                                        }
                                    });
                                }

                                $(document).on('change', '.dt-checkboxes-select-all input', function(e){

                                    if ($(this).prop('checked')) {
                                        $('.dt-checkboxes').parent().parent().addClass('selected');
                                    } else {
                                        $('.dt-checkboxes').parent().parent().removeClass('selected');
                                    }
                                });

                                $(document).on('change', '.dt-checkboxes', function(e){

                                    if ($(this).prop('checked')) {
                                        $(this).parent().parent().addClass('selected');
                                    } else {
                                        $(this).parent().parent().removeClass('selected');
                                    }
                                });

                            </script>

                            <div class="modal fade assign-artist-modal" tabindex="-1" role="dialog" aria-labelledby="assignArtistModalLabel" aria-hidden="true">
                                <div class="modal-dialog modal-lg">
                                    <div class="modal-content">
                                        <div class="modal-header">
                                            <button type="button" class="close" data-dismiss="modal" aria-label="Close"><span aria-hidden="true">&times;</span></button>
                                            <h4 class="modal-title" id="artistModalTitle">Künstler auswählen und zuweisen</h4>
                                        </div>
                                        <div class="modal-body">
                                            <div class="table-responsive">
                                                <input type="hidden" id="auction_object_id">
                                                <table id="data-table-assign-artist" class="data-table display table table-data-width nowrap">
                                                    <thead>
                                                    <tr>
                                                        <th class="col-action">Aktionen</th>
                                                        <th>Status</th>
                                                        <th>Geb.Datum</th>
                                                        <th>Gest. Datum</th>
                                                        <th class="col-min-120">Vorname EN</th>
                                                        <th class="col-min-120">Nachname EN</th>
                                                        <th class="col-min-120">Vorname DE</th>
                                                        <th class="col-min-120">Nachname DE</th>
                                                        <th class="col-min-120">Vorname FR</th>
                                                        <th class="col-min-120">Nachname FR</th>
                                                        <th class="col-min-120">ID</th>
                                                    </tr>
                                                    </thead>
                                                </table>

                                                <script type="text/javascript">
                                                    var tableAssignArtist = $('#data-table-assign-artist').DataTable({
                                                        processing: true,
                                                        serverSide: true,
                                                        ordering: true,
                                                        "autoWidth": false,
                                                        "pageLength": 10,
                                                        "lengthMenu": [ 10, 20, 50, 100 ],
                                                        "ajax": {
                                                            "url": "/ajax/ajax-assign-artist-overview",
                                                            "type": "GET",
                                                            "dataSrc": "data",
                                                            "headers": {'X-CSRF-TOKEN': $('meta[name="csrf_token"]').attr('content')},
                                                        },
                                                        "deferRender": true,
                                                        "columns": [
                                                            {
                                                                "mRender": function ( data, type, row ) {
                                                                    return '<a href="javascript:void(0)" title="Künstler zuweisen" onclick="assignArtistToRow('+row.id+')"><i class="fa fa-plus-circle" aria-hidden="true"></i></a>';
                                                                },
                                                                className: "col-action",
                                                                "width": "90px"
                                                            },
                                                            {
                                                                "data": "status",
                                                                "name": "a.status",
                                                                "render": function (val, type, row) {
                                                                    if(val == 0) {
                                                                        return 'Neu';
                                                                    } else if(val == 1) {
                                                                        return 'Geprüft';
                                                                    } else if(val == 2) {
                                                                        return 'Nicht Künstler';
                                                                    } else if(val == 3) {
                                                                        return 'Online-Geprüft';
                                                                    } else {
                                                                        return '';
                                                                    }
                                                                }
                                                            },
                                                            { "data": "born_date", "name": "a.born_date", "searchable": false },
                                                            { "data": "died_date", "name": "a.died_date", "searchable": false },
                                                            { "data": "firstname_en", "name": "a.firstname_en", "searchable": true },
                                                            { "data": "lastname_en", "name": "a.lastname_en", "searchable": true },
                                                            { "data": "firstname_de", "name": "a.firstname_de", "searchable": true },
                                                            { "data": "lastname_de", "name": "a.lastname_de", "searchable": true },
                                                            { "data": "firstname_fr", "name": "a.firstname_fr", "searchable": true },
                                                            { "data": "lastname_fr", "name": "a.lastname_fr", "searchable": true },
                                                            { "data": "id", "name": "a.id", "width": "120px", "searchable": true }
                                                        ],
                                                        "language": {
                                                            "url": "/plugins/datatables/i18n/German.json"
                                                        },
                                                    });
                                                </script>
                                            </div>

                                        </div>
                                        <div class="modal-footer">
                                            <button type="button" class="btn btn-info" data-dismiss="modal">Schließen</button>
                                        </div>
                                    </div>
                                </div>
                            </div>

                        </div>
                    </div>
                </div>


            </div>
        </div><!-- Row -->
    </div><!-- Main Wrapper -->

@stop
