@extends('layouts.main')
@section('title', 'Kunstobjekte Stage verwalten')
@section('headline', 'Kunstobjekte Stage verwalten')
@section('content')

    <div id="main-wrapper">
        <div class="row">
            <div class="col-md-12">
                @if($alert == 'successUpdate')
                    <div class="alert alert-success" role="alert">
                        Das Kunstobjekt wurde erfolgreich aktualisiert!
                    </div>
                @elseif($alert == 'processStarted')
                    <div class="alert alert-success" role="alert">
                        Der Übertragungsprozess wurde gestartet!
                    </div>
                @elseif($alert == 'processAlreadyStarted')
                    <div class="alert alert-danger" role="alert">
                        Der Prozess für die Datenübertragung läuft bereits. Bitte stoßen Sie den neuen Prozess zu einem späteren Zeitpunkt nochmals an.
                    </div>
                @endif

                <div class="alert alert-info" id="hint-select-data" style="display: none;">Bitte treffen Sie zunächst eine Auswahl, um die Daten anzuzeigen.</div>

                <div class="panel panel-white">
                    <div class="panel-heading clearfix">
                    </div>
                    <div class="panel-body">
                        <div class="table-responsive">
                            <div class="filter-container" id="filterContainer">
                                {!! Form::open(['action' => 'AuctionObjectsStage\AuctionObjectsStageOverviewController@index', 'class' => 'form-horizontal', 'id' => 'filterAuctionObjectForm', 'method' => 'get', 'role' => 'form', 'files' => true]) !!}
                                    <input name="filtered" id="filtered" type="hidden" value="1">
                                    <input name="page" id="page" type="hidden" value="{{$page}}">
                                    <div id="customSearch" style="float: right; margin-left: 20px;">
                                        <label style="float: left; padding: 7px 5px 0;">Suchen:</label>
                                        <select class="form-control" id="selectFilterObjectSearchColumn" name="sc" style="float: left; width: 150px; margin-right: 5px;">
                                            <option value="all" @if($selectedFilterSearchColumn == 'all' || $selectedFilterSearchColumn == '') selected @endif>Alle</option>
                                            @foreach(trans()->get('auction_object_stage_table_columns') as $key => $value)
                                                @if($key != 'status' && $key != 'lang_code')
                                                    <option value="{{ $key }}" @if($selectedFilterSearchColumn == $key) selected @endif>{{ $value }}</option>
                                                @endif
                                            @endforeach
                                            {{--@foreach($searchColumns as $searchColumn)
                                                <option value="{{$searchColumn}}" @if($selectedFilterSearchColumn == $searchColumn) selected @endif>{{$searchColumn}}</option>
                                            @endforeach--}}
                                        </select>
                                        <input class="form-control" name="s" id="inputSearch" type="text" max="999" maxlength="" value="@if(!is_null($selectedFilterSearch)){{stripslashes($selectedFilterSearch)}}@endif" style="float: left; width: 150px;">
                                    </div>
                                    <div id="pageLen" style="float: right; margin-left: 20px;">
                                        <input class="form-control" name="len" id="inputPageLen" type="text" max="999" maxlength="3" value="@if($pageLength){{$pageLength}}@else{{auth()->user()->table_page_length}}@endif" style="float: left; width: 50px;"> <label style="float: right; padding: 7px 5px 0;">Einträge anzeigen</label>
                                    </div>
                                    <select class="form-control" id="selectedFilterAuctionName" onchange="submitFilterForm(3)" name="an" style="width: 200px; float: right;">
                                        <option value="">- Auktion wählen -</option>
                                        @foreach($auctionNames as $auctionName)
                                            <option value="{{ $auctionName->auction_no }} : {{ $auctionName->source_type }}" @if($selectedFilterAuctionName == $auctionName->auction_no . ' : ' . $auctionName->source_type) selected @endif>{{ $auctionName->source_type }} - {{ $auctionName->auction_name }} - {{ \Carbon\Carbon::parse($auctionName->auction_date)->format('d.m.Y, H:i') }}</option>
                                        @endforeach
                                    </select>
                                    <select class="form-control" id="selectFilterObjectStatus" onchange="submitFilterForm(2)" name="status" style="margin-right: 20px; width: 175px; float: right;">
                                        <option value="" @if(is_null($selectedFilterStatus)) selected @endif>- Filter wählen -</option>
                                        @foreach($statuses as $status)
                                            <option value="{{$status->status}}" @if($selectedFilterStatus == $status->status && !is_null($selectedFilterStatus)) selected @endif>{{$status->status_name}}</option>
                                        @endforeach
                                    </select>
                                    <select class="form-control" id="selectFilterObjectLanguage" onchange="submitFilterForm(1)" name="lang" style="margin-right: 20px; width: 175px; float: right;">
                                        <option value="" @if(is_null($selectedFilterLanguage)) selected @endif>- Sprache wählen -</option>
                                        @foreach($languages as $language)
                                            <option value="{{ $language->id }}" @if($selectedFilterLanguage == $language->id) selected @endif>{{ $language->lang_code }}</option>
                                        @endforeach
                                    </select>
                                    <label style="float: right; padding: 7px 5px 0;">Filtern:</label>
                                {!! Form::close() !!}
                            </div>

                            {!! Form::open(['action' => 'Ajax\AuctionObjectsStageOverviewController@bulkEditStatus', 'class' => 'form-horizontal', 'id' => 'frm-bulk-edit', 'method' => 'post', 'role' => 'form', 'files' => true]) !!}
                            <table id="data-table-auction-objects" class="cell-border data-table display table table-data-width nowrap hover">
                                <thead>
                                    <tr>
                                        <th class="col-bulk">
                                            <input id="dt-check-all" type="checkbox">
                                        </th>
                                        {{--<th></th>--}}
                                        <th>Status</th>
                                        <th>Pre</th>
                                        <th>Spr.</th>
                                        <th>Auktion</th>
                                        {{--<th>Auktionshaus</th>--}}
                                        {{--<th class="col-artist-fixed">Künstler</th>--}}
                                        <th>Künstler VN</th>
                                        <th>Künstler NN</th>
                                        <th>Geb.Ort</th>
                                        <th>Geb.</th>
                                        <th>Gest.</th>
                                        <th>Gest.Ort</th>
                                        {{--<th>Grobtechnik</th>--}}
                                        <th>Technik</th>
                                        <th>Pfad</th>
                                        <th>Auktionsnr.</th>
                                        <th>Lot Nr.</th>
                                        <th>Titel</th>
                                        <th>Entst.Txt 1</th>
                                        <th>Entstehung</th>
                                        <th>Entst.Txt 2</th>
                                        <th>SP von</th>
                                        <th>SP bis</th>
                                        <th>SP Währ.</th>
                                        <th>Erlös</th>
                                        <th>Erlös Währ.</th>
                                        <th>Katalog.</th>
                                        <th>Höhe</th>
                                        <th>Breite</th>
                                        <th>Tiefe</th>
                                        <th>Einheit</th>
                                        <th>Bildpfad</th>
                                        <th>Auktionsort</th>
                                        <th>Auktionsdat.</th>
                                        <th>Auktionshaus</th>
                                        <th>Objektnr.</th>
                                        <th class="col-id">ID</th>
                                        <th>Anlagedat.</th>
                                        <th>Auslesedat.</th>
                                    </tr>
                                </thead>
                            </table>

                            <div class="row" style="padding-bottom: 20px;">
                                <div class="col-md-12">
                                    <label for="bulk_action" class="control-label pull-left" style="padding: 0 20px; font-size: 24px;"><i class="fa fa-level-up" aria-hidden="true" style="transform: rotate(90deg);"></i></label>
                                    <select class="form-control pull-left" name="bulk_action" id="bulk_action" style="margin-right: 20px; width: 200px;">
                                        <option value="">- Aktion wählen -</option>
                                        <option value="0">Status: Neu</option>
                                        <option value="1">Status: Übernehmen</option>
                                        <option value="2">Status: Verwerfen</option>
                                        <option value="3">Status: Übernehmen & übertragen</option>
                                    </select>
                                    <button type="submit" id="btnBulkAction" class="btn btn-primary">Absenden</button>
                                    <button type="button" id="btnStartTransferProcess" class="btn btn-primary pull-right" style="margin-left: 75px;">
                                        <span class="button-text"><i class="fa fa-check" aria-hidden="true"></i> Datenübertragung starten</span>
                                        <span class="message-running-service" style="display: none;"><i class="fa fa-hourglass-start" aria-hidden="true"></i> Bitte warten...</span>
                                    </button>
                                </div>
                            </div>
                            {!! Form::close() !!}

                            {!! Form::open(['action' => 'AuctionObjectsStage\AuctionObjectsStageOverviewController@startTransferProcess', 'class' => 'form-horizontal', 'id' => 'transferProcessForm', 'method' => 'post', 'role' => 'form', 'files' => true]) !!}
                                <input type="hidden" name="transfer-process-started" id="transfer-process-started" value="1">
                                <input type="hidden" name="editor" id="editor" value="{{Auth::user()->id}}">
                            {!! Form::close() !!}

                            <div class="clear"></div>

                            {{--
                            @if (Auth::user()->user_role_id == 1 || Auth::user()->user_role_id == 2)
                                {!! Form::open(['action' => 'AuctionObjectsStage\StageImportUploadFileController@upload', 'class' => 'form-horizontal', 'id' => 'transferProcessForm', 'method' => 'post', 'role' => 'form', 'files' => true]) !!}

                                    <div class="container-fluid" style="background: #eee; padding: 25px 50px;">
                                        <div class="row">
                                            <div class="col-md-6 col-sm-12">
                                                <div class="form-group" id="logoUploadField">
                                                    <h2>Datei-Upload</h2>
                                                    <label for="file_logo">Excel Datei auswählen</label>
                                                    <input type="file" class="form-control-file" id="import_file" name="import_file">
                                                    <button class="btn btn-primary" type="submit" style="margin-top: 15px;">Datei hochladen</button>
                                                </div>
                                            </div>
                                        </div>
                                    </div>

                                {!! Form::close() !!}
                            @endif--}}

                            <script type="text/javascript">
                                var filterStatus = @if(!is_null($selectedFilterStatus)) {{$selectedFilterStatus}} @else null @endif;
                                var filterLanguage = @if($selectedFilterLanguage) {{$selectedFilterLanguage}} @else null @endif;
                                var filterAuctionName = @if($selectedFilterAuctionName) '{{$selectedFilterAuctionName}}' @else null @endif;
                                var filterSearchColumn = @if($selectedFilterSearchColumn) '{{$selectedFilterSearchColumn}}' @else null @endif;
                                var filterSearch = @if($selectedFilterSearch) '{{$selectedFilterSearch}}' @else null @endif;

                                var pageParam = @if($page) {{$page}} @else null @endif;
                                var lenParam = @if($pageLength) {{$pageLength}} @else 10 @endif;
                                var sortcParam = @if($sortc) {{$sortc}} @else 34 @endif;
                                var sortdParam = @if($sortd) {{$sortd}} @else 'asc' @endif;
                                var displayStart = 0;

                                if (pageParam != null) {

                                    displayStart = (pageParam - 1) * lenParam;
                                }


                                $('#data-table-auction-objects').show();

                                var table = $('#data-table-auction-objects').DataTable({
                                    /*fixedHeader: {
                                        header: true,
                                        headerOffset: $('.page-header').outerHeight()
                                    },*/
                                    processing: true,
                                    serverSide: true,
                                    ordering: true,
                                    autoWidth: false,
                                    'dom': 'Blrtip',
                                    "displayStart": displayStart,
                                    "pageLength": {{ $pageLength }},
                                    "lengthMenu": [ 10, 25, 50, 100 ],
                                    "lengthChange": false,
                                    "order": [[ sortcParam, sortdParam ]],
                                    "ajax": {
                                        "url": "/ajax/ajax-auction-objects-stage-overview",
                                        "type": "POST",
                                        "headers": {'X-CSRF-TOKEN': $('meta[name="csrf_token"]').attr('content')},
                                        "dataSrc": "data",
                                        "data": {
                                            'status': filterStatus,
                                            'lang': filterLanguage,
                                            'an': filterAuctionName,
                                            'sc': filterSearchColumn,
                                            's': filterSearch,
                                        },
                                        initialCall: false,
                                    },
                                    "deferRender": true,
                                    "columns": [
                                        {
                                            "data": "id",
                                            "name": "ao.id",
                                            "searchable": false,
                                            "orderable": false,
                                            className: "col-bulk",
                                            "mRender": function ( data, type, row ) {

                                                if (row.status == 0 || row.status == 1 || row.status == 2) {
                                                    return '<input class="dt-checkboxes" name="dt_checkbox[]" type="checkbox" value="'+row.id+'">';
                                                } else {
                                                    return '';
                                                }
                                            },
                                        },
                                        {
                                            "data": "status",
                                            "name": "ao.status",
                                            "mRender": function ( data, type, row ) {
                                                var status = '';

                                                if (row.status == 0 ||row.status == 1 || row.status == 2) {
                                                    status += '<select class="" name="" onchange="dynamicAssignStatus(' + row.id + ', this)" style="width: 120px;">';
                                                    status += '<option value="">- Bitte wählen -</option>';
                                                    status += '<option value="0" ' + (row.status == 0 ? 'selected' : '') + '>Neu</option>';
                                                    status += '<option value="1" ' + (row.status == 1 ? 'selected' : '') + '>Übernehmen</option>';
                                                    status += '<option value="2" ' + (row.status == 2 ? 'selected' : '') + '>Verwerfen</option>';
                                                    status += '</select>';
                                                } else if (row.status == 3) {
                                                    status += '<i class="fa fa-check" aria-hidden="true"></i> Übernommen';
                                                } else if (row.status == 4) {
                                                    status += '<i class="fa fa-ban" aria-hidden="true"></i> Verworfen';
                                                } else if (row.status == 5) {
                                                    status += '<i class="fa fa-hourglass-half" aria-hidden="true"></i> in Bearbeitung';
                                                } else if (row.status == 6) {
                                                    status += '<i class="fa fa-exclamation-triangle" aria-hidden="true"></i> Fehlerhaft';
                                                }

                                                return status;
                                            },
                                            width: 100,
                                            "searchable": false,
                                            "orderDataType": "dom-select"
                                        },
                                        {
                                            "data": "tbd_preselected",
                                            "name": "ao.tbd_preselected",
                                            "searchable": false,
                                            "mRender": function ( data, type, row ) {
                                                var preselcted = '';

                                                if (row.tbd_preselected == 0) {
                                                    preselcted = '<span title="Neu">N</span>';
                                                } else if (row.tbd_preselected == 1) {
                                                    preselcted = '<span title="Übernommen">Ü</span>';
                                                } else if (row.tbd_preselected == 2) {
                                                    preselcted = '<span title="Verworfen">V</span>';
                                                }

                                                return preselcted;
                                            },
                                        },
                                        { "data": "lang_code", "name": "l.lang_code", "searchable": true },
                                        { "data": "auction_name", "name": "ao.auction_name", "searchable": true },
                                        /*{
                                            "data": "artist_fullname",
                                            "name": "artist_fullname",
                                            "mRender": function ( data, type, row ) {

                                                var artist_fullname = '';

                                                artist_fullname += '<a class="assign-icon" onclick="dynamicAssignArtist(\''+row.id+'\')"><i class="fa fa-search-plus" aria-hidden="true"></i></a>';
                                                artist_fullname += '<span class="assign-artist-label" id="label_'+row.id+'">'+ (data!=null ? '<a class="artist-name" href="/kuenstler-bearbeiten/'+row.t_artist_id+'" target="_blank">'+data+'</a> <a class="delete-assignment-icon" onclick="removeArtistAssignment(\''+row.id+'\')"><i class="fa fa-times-circle" aria-hidden="true"></i></a>' : '' )+'</span>';

                                                return artist_fullname;
                                            },
                                            orderable: false,
                                            "searchable": false,
                                            class: 'col-artist-fixed',
                                        },*/
                                        { "data": "artist_firstname", "name": "ao.artist_firstname", "searchable": true },
                                        { "data": "artist_lastname", "name": "ao.artist_lastname", "searchable": true },
                                        { "data": "artist_born_loc", "name": "ao.artist_born_loc", "searchable": true },
                                        {
                                            "data": "artist_born_date",
                                            "name": "artist_born_date",
                                            "searchable": false,
                                        },
                                        {
                                            "data": "artist_died_date",
                                            "name": "artist_died_date",
                                            "searchable": false,
                                        },
                                        { "data": "artist_died_loc", "name": "ao.artist_died_loc", "searchable": true },
                                        { "data": "object_medium", "name": "ao.object_medium", "searchable": true },
                                        {
                                            "mRender": function ( data, type, row ) {
                                                return '<a href="'+row.object_url+'" target="_blank">'+row.object_url+'</a>';
                                            }
                                        },
                                        { "data": "auction_no", "name": "ao.auction_no", "searchable": true },
                                        { "data": "lot_no", "name": "ao.lot_no", "searchable": true },
                                        { "data": "object_title", "name": "ao.object_title", "searchable": true },
                                        { "data": "object_date_pre", "name": "ao.object_date_pre", "searchable": false },
                                        { "data": "object_date", "name": "ao.object_date", "searchable": false },
                                        { "data": "object_date_post", "name": "ao.object_date_post", "searchable": false },
                                        { "data": "object_est_from", "name": "ao.object_est_from", "searchable": false },
                                        { "data": "object_est_to", "name": "ao.object_est_to", "searchable": false },
                                        { "data": "object_est_curr", "name": "ao.object_est_curr", "searchable": false },
                                        { "data": "object_result", "name": "ao.object_result", "searchable": false },
                                        { "data": "object_result_curr", "name": "ao.object_result_curr", "searchable": false },
                                        { "data": "object_indicators", "name": "ao.object_indicators", "searchable": false },
                                        { "data": "object_height", "name": "ao.object_height", "searchable": false },
                                        { "data": "object_width", "name": "ao.object_width", "searchable": false },
                                        { "data": "object_depth", "name": "ao.object_depth", "searchable": false },
                                        { "data": "object_size_unit", "name": "ao.object_size_unit", "searchable": false },
                                        {
                                            "mRender": function ( data, type, row ) {
                                                return '<a href="'+row.object_image_url+'" target="_blank">'+row.object_image_url+'</a>';
                                            }
                                        },
                                        { "data": "auction_loc", "name": "ao.auction_loc", "searchable": false },
                                        { "data": "auction_date", "name": "auction_date", "searchable": false },
                                        { "data": "source_type", "name": "ao.source_type", "searchable": true },
                                        { "data": "object_id", "name": "ao.object_id", "searchable": false },
                                        { "data": "id", "name": "ao.id", "searchable": true, "orderable": true },
                                        { "data": "created_at", "name": "created_at", "searchable": false },
                                        { "data": "crawled_at", "name": "crawled_at", "searchable": false },
                                    ],
                                    "columnDefs": [
                                        {
                                            targets: 4, // Auktion
                                            render: $.fn.dataTable.render.ellipsis( 20, false )
                                        },
                                        {
                                            targets: 5, // Kuenstler VN
                                            render: $.fn.dataTable.render.ellipsis( 20, true )
                                        },
                                        {
                                            targets: 6, // Kuenstler NN
                                            render: $.fn.dataTable.render.ellipsis( 20, true )
                                        },
                                        {
                                            targets: 7, // Geb. Ort
                                            render: $.fn.dataTable.render.ellipsis( 20, true )
                                        },
                                        {
                                            targets: 10, // Geb. Ort
                                            render: $.fn.dataTable.render.ellipsis( 20, true )
                                        },
                                        {
                                            targets: 11, // Technik
                                            render: $.fn.dataTable.render.ellipsis( 30, true )
                                        },
                                        {
                                            targets: 15, // Titel
                                            render: $.fn.dataTable.render.ellipsis( 30, true )
                                        },
                                        {
                                            targets: 24, // Katalog.
                                            render: $.fn.dataTable.render.ellipsis( 30, true )
                                        },
                                        {
                                            targets: 30, // Auktionsort
                                            render: $.fn.dataTable.render.ellipsis( 30, true )
                                        },
                                        {
                                            targets: 32, // Auktionshaus
                                            render: $.fn.dataTable.render.ellipsis( 30, true )
                                        }
                                    ],
                                    'stateSave': false,
                                    'select': 'multiple',
                                    "language": {
                                        "url": "/plugins/datatables/i18n/German.json",
                                        "processing": "<img src='/images/loading.gif'>",
                                    },
                                    "fnInitComplete": function (settings, json) {
                                        $('#filterContainer').insertAfter('#data-table-auction-objects_filter');
                                        $('#buttonLine').insertAfter('#data-table-auction-objects_filter');
                                        $('#filterContainer').show();

                                    },
                                    "drawCallback": function() {
                                        if(this.fnGetData().length > 0) {
                                            $('#hint-select-data').hide();
                                            $('#data-table-auction-objects_paginate').show();
                                        } else {
                                            $('#hint-select-data').show();
                                            $('#data-table-auction-objects_paginate').hide();
                                        }
                                    },
                                });

                                $('.table-responsive').on( 'order.dt', function () {
                                    // This will show: "Ordering on column 1 (asc)", for example
                                    var order = table.order();
                                    console.log('Ordering on column '+order[0][0]+' '+order[0][1]+'');
                                } );

                                $('.table-responsive').on('scroll', function(e) {
                                    var left = $(this).scrollLeft();
                                    var left = left - 17;
                                    $('.fixedHeader-floating').css('left', -left);
                                });

                                // Bulk edit
                                $('#frm-bulk-edit').on('submit', function(e){

                                    e.preventDefault();

                                    var form = this;

                                    // Ajax request
                                    $.ajax({
                                        url: '/ajax/auction-object-stage-bulk-edit-status',
                                        type: 'POST',
                                        beforeSend: function (xhr) {
                                            var token = $('meta[name="csrf_token"]').attr('content');

                                            if (token) {
                                                return xhr.setRequestHeader('X-CSRF-TOKEN', token);
                                            }
                                        },
                                        data: $('#frm-bulk-edit').serialize(),
                                        success:function(data){

                                            // if user selected Uebernehmen und uebertragen send transfer form
                                            if($('#bulk_action').val() == 3) {
                                                $('#transferProcessForm').submit();
                                            } else {
                                                // else reload table
                                                table.ajax.reload(null, false);
                                            }

                                            //table.column(0).checkboxes.deselect(); // deselect all checkboxes
                                            $('#dt-check-all').prop('checked', false);
                                            $('#bulk_action').val(''); // reset select field
                                            $('.selectedRow').remove(); // remove temporary hidden fields
                                        },
                                        error:function(e){
                                            console.log(e);
                                            console.log('Ajax Error while assigning');
                                        }
                                    });
                                });

                                $(document).on('change', '#dt-check-all', function(e){

                                    if(this.checked){
                                        $('.dt-checkboxes').each(function(){
                                            this.checked = true;
                                        });
                                    }else{
                                        $('.dt-checkboxes').each(function(){
                                            this.checked = false;
                                        });
                                    }
                                });

                                var lastChecked = null;

                                $(document).on('mousedown', '.dt-checkboxes', function(e){


                                    if(!lastChecked) {
                                        lastChecked = this;
                                        return;
                                    }

                                    if(e.shiftKey) {
                                        var from = $('.dt-checkboxes').index(this);
                                        var to = $('.dt-checkboxes').index(lastChecked);

                                        var start = Math.min(from, to);
                                        var end = Math.max(from, to) + 0;

                                        $('.dt-checkboxes').slice(start, end)
                                            .filter(':not(:disabled)')
                                            //.prop('checked', lastChecked.checked).parent().parent().addClass('selected')
                                            .prop('checked', true)
                                            .parent().parent().addClass('selected');

                                        console.log(table.column(0).checkboxes.selected());

                                    }

                                    lastChecked = this;

                                    if(e.altKey){

                                        $('.dt-checkboxes')
                                            .filter(':not(:disabled)')
                                            .each(function () {
                                                var $checkbox = $(this);
                                                $checkbox.prop('checked', !$checkbox.is(':checked'));
                                            });
                                    }

                                });

                                // cut column values
                                $.fn.dataTable.render.ellipsis = function ( cutoff, wordbreak, escapeHtml ) {
                                    var esc = function ( t ) {
                                        return t
                                            .replace( /&/g, '&amp;' )
                                            .replace( /</g, '&lt;' )
                                            .replace( />/g, '&gt;' )
                                            .replace( /"/g, '&quot;' );
                                    };

                                    return function ( d, type, row ) {
                                        // Order, search and type get the original data
                                        if ( type !== 'display' ) {
                                            return d;
                                        }

                                        if ( typeof d !== 'number' && typeof d !== 'string' ) {
                                            return d;
                                        }

                                        d = d.toString(); // cast numbers

                                        if ( d.length < cutoff ) {
                                            return d;
                                        }

                                        var shortened = d.substr(0, cutoff-1);

                                        // Find the last white space character in the string
                                        if ( wordbreak ) {
                                            shortened = shortened.replace(/\s([^\s]*)$/, '');
                                        }

                                        // Protect against uncontrolled HTML input
                                        if ( escapeHtml ) {
                                            shortened = esc( shortened );
                                        }

                                        return '<span class="ellipsis" title="'+esc(d)+'">'+shortened+'&#8230;</span>';
                                    };
                                };

                                $('#inputSearch, #inputPageLen').on( 'keyup', function (e) {

                                    var keycode = (e.keyCode ? e.keyCode : e.which);
                                    if(keycode == '13'){
                                        $('#filterAuctionObjectForm').submit();
                                    }
                                });

                                // assign status
                                function dynamicAssignStatus(id, selectObject) {

                                    var auctionObjectStageId = id;
                                    var status = selectObject.value;

                                    // Ajax request
                                    $.ajax({
                                        url: '/ajax/post-ajax-auction-object-stage-assignment-status',
                                        type: 'POST',
                                        beforeSend: function (xhr) {
                                            var token = $('meta[name="csrf_token"]').attr('content');

                                            if (token) {
                                                return xhr.setRequestHeader('X-CSRF-TOKEN', token);
                                            }
                                        },
                                        data: {
                                            auction_object_id : auctionObjectStageId,
                                            status : status
                                        },
                                        success:function(data){
                                            table.ajax.reload(null, false);
                                        },error:function(e){
                                            console.log(e);
                                            console.log('Ajax Error while assigning');
                                        }
                                    });
                                }

                                $(document).on('change', '.dt-checkboxes-select-all input', function(e){

                                    if ($(this).prop('checked')) {
                                        $('.dt-checkboxes').parent().parent().addClass('selected');
                                    } else {
                                        $('.dt-checkboxes').parent().parent().removeClass('selected');
                                    }
                                });

                                $(document).on('change', '.dt-checkboxes', function(e){

                                    if ($(this).prop('checked')) {
                                        $(this).parent().parent().addClass('selected');
                                    } else {
                                        $(this).parent().parent().removeClass('selected');
                                    }
                                });

                                $(document).on('click', '#btnStartTransferProcess', function(e){

                                    $('#transferProcessForm').submit();
                                });

                                /*if($.urlParam('ps') == 1) {

                                    $('#btnStartTransferProcess').prop("disabled",true);
                                    $('#btnStartTransferProcess .button-text').hide();
                                    $('#btnStartTransferProcess .message-running-service').show();

                                    setTimeout(function(){
                                        $('#btnStartTransferProcess .button-text').show();
                                        $('#btnStartTransferProcess .message-running-service').hide();
                                        $('#btnStartTransferProcess').prop("disabled",false);
                                    }, 5000);
                                }*/

                                function submitFilterForm(fieldKey) {

                                    if(fieldKey == 1) {
                                        // reset status dropdown
                                        $('#selectFilterObjectStatus').prop('selectedIndex', 0);

                                        // reset auction dropdown
                                        $('#selectedFilterAuctionName').prop('selectedIndex', 0);
                                    }
                                    else if(fieldKey == 2) {
                                        // reset auction dropdown
                                        $('#selectedFilterAuctionName').prop('selectedIndex', 0);
                                    }

                                    $('#filterAuctionObjectForm')[0].submit();
                                }

                            </script>

                        </div>
                    </div>
                </div>


            </div>
        </div><!-- Row -->
    </div><!-- Main Wrapper -->


@stop
