@extends('layouts.main')
@section('title', 'Kunstobjekte verwalten')
@section('headline', 'Kunstobjekte verwalten')
@section('content')

    <div id="main-wrapper">
        <div class="row">
            <div class="col-md-12">

                <div class="panel panel-white">
                    <div class="panel-body">
                        <div class="table-responsive">
                            <div class="filter-container" id="filterContainer">
                                {!! Form::open(['action' => 'AuctionObjects\AuctionObjectsOverviewController@index', 'class' => 'form-horizontal', 'id' => 'filterAuctionObjectForm', 'method' => 'get', 'role' => 'form', 'files' => true]) !!}
                                    <select class="form-control" id="selectFilterObjectStatus" name="status" style="width: 175px; float: right;">
                                        <option value="">- Status wählen -</option>
                                        <option value="1" @if($selectedFilterStatus == 1) selected @endif>Exportbereit</option>
                                        <option value="2" @if($selectedFilterStatus == 2) selected @endif>Exportiert</option>
                                        <option value="3" @if($selectedFilterStatus == 3) selected @endif>Prüffall</option>
                                    </select>
                                    <select class="form-control" id="selectFilterObjectLanguage" name="lang" style="margin-right: 20px; width: 175px; float: right;">
                                        <option value="">- Sprache wählen -</option>
                                        <option value="1" @if($selectedFilterLanguage == 1) selected @endif>DE</option>
                                        <option value="2" @if($selectedFilterLanguage == 2) selected @endif>EN</option>
                                        <option value="3" @if($selectedFilterLanguage == 3) selected @endif>FR</option>
                                    </select>
                                    <label style="float: right; padding: 7px 5px 0;">Filtern:</label>
                                {!! Form::close() !!}

                                <script type="text/javascript">
                                    $( "#selectFilterObjectStatus").change(function(event) {

                                        $(this).parent('#filterAuctionObjectForm').submit();
                                    });

                                    $( "#selectFilterObjectLanguage").change(function(event) {

                                        $(this).parent('#filterAuctionObjectForm').submit();
                                    });
                                </script>
                            </div>

                            {{$dataTable->table(['id' => 'data-table-auction-object'])}}

                            <script>
                                $(function() {
                                    $.ajaxSetup({
                                        headers: {
                                            'X-CSRF-TOKEN': '{{csrf_token()}}'
                                        }
                                    });

                                    var editor = new $.fn.dataTable.Editor({
                                        ajax: "/objekte",
                                        table: "#data-table-auction-object",
                                        method: 'POST',
                                        //display: "bootstrap",
                                        idSrc:  'id',
                                        fields: [
                                            //{ "data": "status", "name": "status"},
                                            //{ "data": "lang_code", "name": "l.lang_code"},
                                            { "data": "auction_name", "name": "auction_name"},
                                            { "data": "source_type_name", "name": "source_type_name"},
                                            { "data": "artist_firstname", "name": "artist_firstname"},
                                            { "data": "artist_lastname", "name": "artist_lastname"},
                                            { "data": "artist_born_loc", "name": "artist_born_loc"},
                                            { "data": "artist_born_date", "name": "artist_born_date"},
                                            { "data": "artist_died_date", "name": "artist_died_date"},
                                            { "data": "artist_died_loc", "name": "artist_died_loc"},
                                            { "data": "medium_category", "name": "medium_category"},
                                            { "data": "object_medium", "name": "object_medium"},
                                            { "data": "object_url", "name": "object_url"},
                                            { "data": "auction_no", "name": "auction_no"},
                                            { "data": "lot_no", "name": "lot_no"},
                                            { "data": "object_title", "name": "object_title"},
                                            { "data": "object_date_pre", "name": "object_date_pre"},
                                            { "data": "object_date", "name": "object_date"},
                                            { "data": "object_date_post", "name": "object_date_post"},
                                            { "data": "object_est_from", "name": "object_est_from"},
                                            { "data": "object_est_to", "name": "object_est_to"},
                                            { "data": "object_est_curr", "name": "object_est_curr"},
                                            { "data": "object_result", "name": "object_result"},
                                            { "data": "object_result_curr", "name": "object_result_curr"},
                                            { "data": "object_indicators", "name": "object_indicators"},
                                            { "data": "object_height", "name": "object_height"},
                                            { "data": "object_width", "name": "object_width"},
                                            { "data": "object_depth", "name": "object_depth"},
                                            { "data": "object_size_unit", "name": "object_size_unit"},
                                            { "data": "object_image_url", "name": "object_image_url"},
                                            { "data": "auction_loc", "name": "auction_loc"},
                                            { "data": "auction_date", "name": "auction_date"},
                                            { "data": "source_type", "name": "source_type"},
                                            { "data": "object_id", "name": "object_id"},
                                            //{ "data": "id", "name": "id", className: "col-id"},
                                            //{ "data": "created_at", "name": "created_at"},
                                            //{ "data": "crawled_at", "name": "crawled_at"}
                                        ]
                                    });

                                    $('#data-table-auction-object').on('click', 'tbody td:not(:first-child)', function (e) {
                                        editor.inline(this);
                                    });

                                    {{$dataTable->generateScripts()}}

                                })
                            </script>
                        </div>
                    </div>
                </div>


            </div>
        </div><!-- Row -->
    </div><!-- Main Wrapper -->


@stop
