@extends('layouts.main')
@section('title', 'Kunstobjekt bearbeiten')
@section('headline', 'Kunstobjekt bearbeiten')
@section('content')

    <style>
        #main-wrapper .form-group {
            clear: both;
            margin-bottom: 20px;
        }
    </style>

    <div id="main-wrapper">
        <div class="row">
            <div class="col-md-12">
                <div class="panel panel-white">

                    {{ Form::open(array('route' => array('edit-auction-object', $auctionObject->id), 'class' => 'form-horizontal', 'method' => 'post', 'role' => 'form', 'files' => true )) }}

                    <input type="hidden" name="status" value="{{ $status }}">
                    <input type="hidden" name="lang" value="{{ $lang }}">
                    <input type="hidden" name="st" value="{{ $sourceType }}">
                    <input type="hidden" name="sc" value="{{ $searchColumns }}">
                    <input type="hidden" name="s" value="{{ $search }}">
                    <input type="hidden" name="page" value="{{ $page }}">
                    <input type="hidden" name="len" value="{{ $len }}">
                    <input type="hidden" name="sortc" value="{{ $sortc }}">
                    <input type="hidden" name="sortd" value="{{ $sortd }}">

                    <div class="panel-body">

                        <div class="row">
                            <div class="col-md-6">
                                <div class="form-group {{ $errors->formErrors->has('id') ? 'has-error' : '' }}">
                                    <label for="firstName" class="col-sm-3 control-label">ID:</label>
                                    <div class="col-sm-9">
                                        <input name="id" type="text" class="form-control" id="id" value="{{ $auctionObject->id }}" readonly>
                                    </div>
                                </div>
                            </div>
                            <div class="col-md-6">
                                <div class="form-group {{ $errors->formErrors->has('status') ? 'has-error' : '' }}">
                                    <label for="lastName" class="col-sm-3 control-label">Status:</label>
                                    <div class="col-sm-9">
                                        <select class="form-control" id="status" name="status" readonly>
                                            <option value="">- Bitte wählen -</option>
                                            <option value="1" @if($auctionObject->status == 1) selected @endif>Exportbereit</option>
                                            <option value="2" @if($auctionObject->status == 2) selected @endif>Exportiert</option>
                                            <option value="3" @if($auctionObject->status == 3) selected @endif>Prüffall</option>
                                        </select>
                                    </div>
                                </div>
                            </div>

                            <div class="col-md-6">
                                <div class="form-group {{ $errors->formErrors->has('object_id') ? 'has-error' : '' }}">
                                    <label for="object_id" class="col-sm-3 control-label">Objektnr.:</label>
                                    <div class="col-sm-9">
                                        <input name="object_id" type="text" class="form-control" id="object_id" value="{{ $auctionObject->object_id }}" readonly>
                                    </div>
                                </div>
                            </div>
                            <div class="col-md-6">
                                <div class="form-group {{ $errors->formErrors->has('source_type') ? 'has-error' : '' }}">
                                    <label for="lastName" class="col-sm-3 control-label">Auktionshaus:</label>
                                    <div class="col-sm-9">
                                        <input name="source_type" type="text" class="form-control" id="source_type" value="{{ $auctionObject->source_type }}" readonly>
                                    </div>
                                </div>
                            </div>

                            <div class="col-md-6">
                                <div class="form-group {{ $errors->formErrors->has('t_source_type_id') ? 'has-error' : '' }}">
                                    <label for="t_artist_id" class="col-sm-3 control-label">Auktionshaus (zugew.):</label>
                                    <div class="col-sm-9">
                                        <input name="t_source_type_id" type="hidden" class="form-control" id="t_source_type_id" value="{{ $auctionObject->t_source_type_id }}" readonly>
                                        <input name="t_source_type_id_name" type="text" class="form-control" id="t_source_type_id_name" value="{{ $auctionObject->source_type_name }}" readonly>
                                        {{--<input name="t_source_type_id_name" type="text" class="form-control" id="t_source_type_id_name" value="{{ $auctionObject->source_type_name }}" style="max-width: 90%;" readonly>--}}
                                        {{--<a data-toggle="modal" data-target=".assign-source-type-modal" id="btnSearchSourceType" style="color: #596B8C; cursor: pointer; font-size: 22px; position: absolute; right: 25px; top: 0px;">
                                            <i class="fa fa-search-plus" aria-hidden="true"></i>
                                        </a>
                                        <div class="modal fade assign-source-type-modal" tabindex="-1" role="dialog" aria-labelledby="assignSourceTypeModalLabel" aria-hidden="true">
                                            <div class="modal-dialog modal-lg">
                                                <div class="modal-content">
                                                    <div class="modal-header">
                                                        <button type="button" class="close" data-dismiss="modal" aria-label="Close"><span aria-hidden="true">&times;</span></button>
                                                        <h4 class="modal-title" id="artistModalTitle">Kunsthaus auswählen und zuweisen</h4>
                                                    </div>
                                                    <div class="modal-body">
                                                        <div class="table-responsive">
                                                            <table id="data-table-assign-source-type" class="data-table display table table-data-width nowrap">
                                                                <thead>
                                                                <tr>
                                                                    <th class="col-action">Aktionen</th>
                                                                    <th>Name</th>
                                                                    <th>Ort</th>
                                                                    <th>URL</th>
                                                                    <th>ID</th>
                                                                </tr>
                                                                </thead>
                                                            </table>

                                                            <script type="text/javascript">
                                                                $('#data-table-assign-source-type').DataTable({
                                                                    processing: true,
                                                                    serverSide: true,
                                                                    ordering: true,
                                                                    "autoWidth": false,
                                                                    "pageLength": 10,
                                                                    "lengthMenu": [ 10, 20, 50, 100 ],
                                                                    "ajax": {
                                                                        "url": "/ajax/ajax-assign-source-type-overview",
                                                                        "type": "GET",
                                                                        "dataSrc": "data",
                                                                    },
                                                                    "deferRender": true,
                                                                    "columns": [
                                                                        {
                                                                            "mRender": function ( data, type, row ) {
                                                                                return '<a href="javascript:void(0)" title="Auktionshaus zuweisen" onclick="selectSourceType('+row.id+', \''+row.name+'\')"><i class="fa fa-plus-circle" aria-hidden="true"></i></a>';
                                                                            },
                                                                            className: "col-action",
                                                                            "width": "90px"
                                                                        },
                                                                        { "data": "name" },
                                                                        { "data": "location" },
                                                                        { "data": "url" },
                                                                        { "data": "id", "width": "120px" }
                                                                    ],
                                                                    "language": {
                                                                        "url": "/plugins/datatables/i18n/German.json"
                                                                    },
                                                                });
                                                            </script>
                                                        </div>

                                                    </div>
                                                    <div class="modal-footer">
                                                        <button type="button" class="btn btn-info" data-dismiss="modal">Schließen</button>
                                                    </div>
                                                </div>
                                            </div>
                                        </div>--}}
                                    </div>
                                </div>
                            </div>

                            <div class="col-md-6">
                                <div class="form-group {{ $errors->formErrors->has('t_artist_id') ? 'has-error' : '' }}">
                                    <label for="t_artist_id" class="col-sm-3 control-label">Künstler (zugew.):</label>
                                    <div class="col-sm-9">
                                        <input name="t_artist_id" type="hidden" class="form-control" id="t_artist_id" value="{{ $auctionObject->t_artist_id }}" style="max-width: 90%;">
                                        <input name="t_artist_id_name" type="text" class="form-control" id="t_artist_id_name" value="{{ $auctionObject->artist_fullname }}" style="max-width: 90%;" readonly>
                                        <a data-toggle="modal" data-target=".assign-artist-modal" id="btnSearchArtist" style="color: #596B8C; font-size: 22px; position: absolute; right: 25px; top: 0px;">
                                            <i class="fa fa-search-plus" aria-hidden="true"></i>
                                        </a>
                                        <div class="modal fade assign-artist-modal" tabindex="-1" role="dialog" aria-labelledby="assignArtistModalLabel" aria-hidden="true">
                                            <div class="modal-dialog modal-lg">
                                                <div class="modal-content">
                                                    <div class="modal-header">
                                                        <button type="button" class="close" data-dismiss="modal" aria-label="Close"><span aria-hidden="true">&times;</span></button>
                                                        <h4 class="modal-title" id="artistModalTitle">Künstler auswählen und zuweisen</h4>
                                                    </div>
                                                    <div class="modal-body">
                                                        <div class="table-responsive">
                                                            <table id="data-table-assign-artist" class="data-table display table table-data-width nowrap">
                                                                <thead>
                                                                    <tr>
                                                                        <th class="col-action">Aktionen</th>
                                                                        <th>Status</th>
                                                                        <th>Geb.Datum</th>
                                                                        <th>Gest. Datum</th>
                                                                        <th class="col-min-120">Vorname EN</th>
                                                                        <th class="col-min-120">Nachname EN</th>
                                                                        <th class="col-min-120">Vorname DE</th>
                                                                        <th class="col-min-120">Nachname DE</th>
                                                                        <th class="col-min-120">Vorname FR</th>
                                                                        <th class="col-min-120">Nachname FR</th>
                                                                        <th class="col-min-120">ID</th>
                                                                    </tr>
                                                                </thead>
                                                            </table>

                                                            <script type="text/javascript">
                                                                $('#data-table-assign-artist').DataTable({
                                                                    processing: true,
                                                                    serverSide: true,
                                                                    ordering: true,
                                                                    "autoWidth": false,
                                                                    "pageLength": 10,
                                                                    "lengthMenu": [ 10, 20, 50, 100 ],
                                                                    "ajax": {
                                                                        "url": "/ajax/ajax-assign-artist-overview",
                                                                        "type": "GET",
                                                                        "dataSrc": "data",
                                                                    },
                                                                    "deferRender": true,
                                                                    "columns": [
                                                                        {
                                                                            "mRender": function ( data, type, row ) {
                                                                                return '<a href="javascript:void(0)" title="Künstler zuweisen" onclick="selectArtist('+row.id+', \''+row.firstname_de+' '+row.lastname_de+'\')"><i class="fa fa-plus-circle" aria-hidden="true"></i></a>';
                                                                            },
                                                                            className: "col-action",
                                                                            "width": "90px"
                                                                        },
                                                                        {
                                                                            "data": "status",
                                                                            "render": function (val, type, row) {
                                                                                if(val == 0) {
                                                                                    return 'Neu';
                                                                                } else if(val == 1) {
                                                                                    return 'Geprüft';
                                                                                } else if(val == 2) {
                                                                                    return 'Nicht Künstler';
                                                                                } else if(val == 3) {
                                                                                    return 'Online-Geprüft';
                                                                                } else {
                                                                                    return '';
                                                                                }
                                                                            }
                                                                        },
                                                                        { "data": "born_date" },
                                                                        { "data": "died_date" },
                                                                        { "data": "firstname_en" },
                                                                        { "data": "lastname_en" },
                                                                        { "data": "firstname_de" },
                                                                        { "data": "lastname_de" },
                                                                        { "data": "firstname_fr" },
                                                                        { "data": "lastname_fr" },
                                                                        { "data": "id", "width": "120px" }
                                                                    ],
                                                                    "language": {
                                                                        "url": "/plugins/datatables/i18n/German.json"
                                                                    },
                                                                });
                                                            </script>
                                                        </div>

                                                    </div>
                                                    <div class="modal-footer">
                                                        <button type="button" class="btn btn-info" data-dismiss="modal">Schließen</button>
                                                    </div>
                                                </div>
                                            </div>
                                        </div>
                                    </div>
                                </div>
                            </div>

                            <div class="col-md-6">
                                <div class="form-group {{ $errors->formErrors->has('t_medium_category_id') ? 'has-error' : '' }}">
                                    <label for="t_medium_category_id" class="col-sm-3 control-label">Grobtechnik:</label>
                                    <div class="col-sm-9">
                                        <select class="form-control" id="t_medium_category_id" name="t_medium_category_id">
                                            <option value="">- Bitte wählen -</option>
                                            @foreach($mediumCategories as $mediumCategory)
                                                <option value="{{ $mediumCategory->id }}" @if($mediumCategory->id == $auctionObject->t_medium_category_id) selected @endif>{{ $mediumCategory->name }}</option>
                                            @endforeach
                                        </select>
                                        {{--<input name="t_medium_category_id" type="text" class="form-control" id="t_medium_category_id" value="{{ $auctionObject->t_medium_category_id }}" style="max-width: 90%;">
                                        <a data-toggle="modal" data-target=".assign-medium-modal" id="btnSearchMedium" style="color: #596B8C; font-size: 22px; position: absolute; right: 25px; top: 0px;">
                                            <i class="fa fa-search-plus" aria-hidden="true"></i>
                                        </a>
                                        <div class="modal fade assign-medium-modal" tabindex="-1" role="dialog" aria-labelledby="assignMediumModalLabel" aria-hidden="true">
                                            <div class="modal-dialog modal-lg">
                                                <div class="modal-content">
                                                    <div class="modal-header">
                                                        <button type="button" class="close" data-dismiss="modal" aria-label="Close"><span aria-hidden="true">&times;</span></button>
                                                        <h4 class="modal-title" id="mediumModalTitle">Grobtechnik auswählen und zuweisen</h4>
                                                    </div>
                                                    <div class="modal-body">
                                                        <div class="table-responsive">
                                                            <table class="data-table display table table-data-width nowrap" id="data-table-assign-medium-category">
                                                                <thead>
                                                                <tr>
                                                                    <th class="col-action">Aktionen</th>
                                                                    <th>Name</th>
                                                                    <th class="col-id">ID</th>
                                                                </tr>
                                                                </thead>
                                                            </table>

                                                            <script type="text/javascript">
                                                                $('#data-table-assign-medium-category').DataTable({
                                                                    processing: true,
                                                                    serverSide: true,
                                                                    ordering: true,
                                                                    "autoWidth": false,
                                                                    "pageLength": 10,
                                                                    "lengthMenu": [ 10, 20, 50, 100 ],
                                                                    //iDisplayLength: 10,
                                                                    "ajax": {
                                                                        "url": "/ajax/ajax-assign-medium-category-overview",
                                                                        "type": "GET",
                                                                        "dataSrc": "data",
                                                                    },
                                                                    "columns": [
                                                                        {
                                                                            "mRender": function ( data, type, row ) {
                                                                                return '<a href="javascript:void(0)" title="Grobtechnik zuweisen" onclick="selectMediumCategory('+row.id+')"><i class="fa fa-plus-circle" aria-hidden="true"></i></a>';
                                                                            },
                                                                            className: "col-action",
                                                                            "width": "90px"
                                                                        },
                                                                        { "data": "name" },
                                                                        { "data": "id", className: "col-id", "width": "120px" },
                                                                    ],
                                                                    "deferRender": true,
                                                                    "language": {
                                                                        "url": "/plugins/datatables/i18n/German.json"
                                                                    },
                                                                });
                                                            </script>
                                                        </div>

                                                    </div>
                                                    <div class="modal-footer">
                                                        <button type="button" class="btn btn-info" data-dismiss="modal">Schließen</button>
                                                    </div>
                                                </div>
                                            </div>
                                        </div>--}}
                                    </div>
                                </div>
                            </div>

                            <div class="col-md-6">
                                <div class="form-group {{ $errors->formErrors->has('t_language_id') ? 'has-error' : '' }}">
                                    <label for="t_language_id" class="col-sm-3 control-label">Sprache:</label>
                                    <div class="col-sm-9">
                                        <input name="t_language_id" type="text" class="form-control" id="t_language_id" value="{{ $auctionObject->t_language_id }}" readonly>
                                    </div>
                                </div>
                            </div>

                            <div class="col-md-6">
                                <div class="form-group {{ $errors->formErrors->has('lot_no') ? 'has-error' : '' }}">
                                    <label for="lot_no" class="col-sm-3 control-label">Lot Nr.:</label>
                                    <div class="col-sm-9">
                                        <input name="lot_no" type="text" class="form-control" id="lot_no" value="{{ $auctionObject->lot_no }}" readonly>
                                    </div>
                                </div>
                            </div>
                            <div class="col-md-6">
                                <div class="form-group {{ $errors->formErrors->has('auction_no') ? 'has-error' : '' }}">
                                    <label for="auction_no" class="col-sm-3 control-label">Auktionsnr.:</label>
                                    <div class="col-sm-9">
                                        <input name="auction_no" type="text" class="form-control" id="auction_no" value="{{ $auctionObject->auction_no }}" readonly>
                                    </div>
                                </div>
                            </div>

                            <div class="col-md-6">
                                <div class="form-group {{ $errors->formErrors->has('auction_name') ? 'has-error' : '' }}">
                                    <label for="auction_name" class="col-sm-3 control-label">Auktion:</label>
                                    <div class="col-sm-9">
                                        <input name="auction_name" type="text" class="form-control" id="auction_name" value="{{ $auctionObject->auction_name }}" readonly>
                                    </div>
                                </div>
                            </div>
                            <div class="col-md-6">
                                <div class="form-group {{ $errors->formErrors->has('auction_loc') ? 'has-error' : '' }}">
                                    <label for="auction_loc" class="col-sm-3 control-label">Auktionsort:</label>
                                    <div class="col-sm-9">
                                        <input name="auction_loc" type="text" class="form-control" id="auction_loc" value="{{ $auctionObject->auction_loc }}" readonly>
                                    </div>
                                </div>
                            </div>

                            <div class="col-md-6">
                                <div class="form-group {{ $errors->formErrors->has('auction_date') ? 'has-error' : '' }}">
                                    <label for="auction_date" class="col-sm-3 control-label">Auktionsdat.:</label>
                                    <div class="col-sm-9">
                                        <input name="auction_date" type="text" class="form-control" id="auction_date" value="{{ $auctionObject->auction_date }}" readonly>
                                    </div>
                                </div>
                            </div>
                            <div class="col-md-6">
                                <div class="form-group {{ $errors->formErrors->has('artist_firstname') ? 'has-error' : '' }}">
                                    <label for="artist_firstname" class="col-sm-3 control-label">Künstler VN:</label>
                                    <div class="col-sm-9">
                                        <input name="artist_firstname" type="text" class="form-control" id="artist_firstname" value="{{ $auctionObject->artist_firstname }}" readonly>
                                    </div>
                                </div>
                            </div>

                            <div class="col-md-6">
                                <div class="form-group {{ $errors->formErrors->has('artist_lastname') ? 'has-error' : '' }}">
                                    <label for="artist_lastname" class="col-sm-3 control-label">Künstler NN:</label>
                                    <div class="col-sm-9">
                                        <input name="artist_lastname" type="text" class="form-control" id="artist_lastname" value="{{ $auctionObject->artist_lastname }}" readonly>
                                    </div>
                                </div>
                            </div>
                            <div class="col-md-6">
                                <div class="form-group {{ $errors->formErrors->has('artist_born_loc') ? 'has-error' : '' }}">
                                    <label for="artist_born_loc" class="col-sm-3 control-label">Künstler geb. Ort:</label>
                                    <div class="col-sm-9">
                                        <input name="artist_born_loc" type="text" class="form-control" id="artist_born_loc" value="{{ $auctionObject->artist_born_loc }}" readonly>
                                    </div>
                                </div>
                            </div>

                            <div class="col-md-6">
                                <div class="form-group {{ $errors->formErrors->has('artist_born_date') ? 'has-error' : '' }}">
                                    <label for="artist_born_date" class="col-sm-3 control-label">Künstler geb. Dat.:</label>
                                    <div class="col-sm-9">
                                        <input name="artist_born_date" type="text" class="form-control" id="artist_born_date" value="{{ $auctionObject->artist_born_date }}" readonly>
                                    </div>
                                </div>
                            </div>
                            <div class="col-md-6">
                                <div class="form-group {{ $errors->formErrors->has('artist_died_date') ? 'has-error' : '' }}">
                                    <label for="artist_died_date" class="col-sm-3 control-label">Künstler gest. Dat.:</label>
                                    <div class="col-sm-9">
                                        <input name="artist_died_date" type="text" class="form-control" id="artist_died_date" value="{{ $auctionObject->artist_died_date }}" readonly>
                                    </div>
                                </div>
                            </div>

                            <div class="col-md-6">
                                <div class="form-group {{ $errors->formErrors->has('artist_died_loc') ? 'has-error' : '' }}">
                                    <label for="artist_died_loc" class="col-sm-3 control-label">Künstler gest. Ort:</label>
                                    <div class="col-sm-9">
                                        <input name="artist_died_loc" type="text" class="form-control" id="artist_died_loc" value="{{ $auctionObject->artist_died_loc }}" readonly>
                                    </div>
                                </div>
                            </div>
                            <div class="col-md-6">
                                <div class="form-group {{ $errors->formErrors->has('object_title') ? 'has-error' : '' }}">
                                    <label for="object_title" class="col-sm-3 control-label">Titel:</label>
                                    <div class="col-sm-9">
                                        <input name="object_title" type="text" class="form-control" id="object_title" value="{{ $auctionObject->object_title }}" readonly>
                                    </div>
                                </div>
                            </div>

                            <div class="col-md-6">
                                <div class="form-group {{ $errors->formErrors->has('object_medium') ? 'has-error' : '' }}">
                                    <label for="object_medium" class="col-sm-3 control-label">Technik:</label>
                                    <div class="col-sm-9">
                                        <input name="object_medium" type="text" class="form-control" id="object_medium" value="{{ $auctionObject->object_medium }}" readonly>
                                    </div>
                                </div>
                            </div>
                            <div class="col-md-6">
                                <div class="form-group {{ $errors->formErrors->has('object_date_pre') ? 'has-error' : '' }}">
                                    <label for="object_date_pre" class="col-sm-3 control-label">Entst.Txt 1:</label>
                                    <div class="col-sm-9">
                                        <input name="object_date_pre" type="text" class="form-control" id="object_date_pre" value="{{ $auctionObject->object_date_pre }}" readonly>
                                    </div>
                                </div>
                            </div>

                            <div class="col-md-6">
                                <div class="form-group {{ $errors->formErrors->has('object_date') ? 'has-error' : '' }}">
                                    <label for="object_date" class="col-sm-3 control-label">Entstehung:</label>
                                    <div class="col-sm-9">
                                        <input name="object_date" type="text" class="form-control" id="object_date" value="{{ $auctionObject->object_date }}" readonly>
                                    </div>
                                </div>
                            </div>
                            <div class="col-md-6">
                                <div class="form-group {{ $errors->formErrors->has('object_date_post') ? 'has-error' : '' }}">
                                    <label for="object_date_post" class="col-sm-3 control-label">Entst.Txt 2:</label>
                                    <div class="col-sm-9">
                                        <input name="object_date_post" type="text" class="form-control" id="object_date_post" value="{{ $auctionObject->object_date_post }}" readonly>
                                    </div>
                                </div>
                            </div>

                            <div class="col-md-6">
                                <div class="form-group {{ $errors->formErrors->has('object_height') ? 'has-error' : '' }}">
                                    <label for="object_height" class="col-sm-3 control-label">Höhe:</label>
                                    <div class="col-sm-9">
                                        <input name="object_height" type="text" class="form-control" id="object_height" value="{{ $auctionObject->object_height }}" readonly>
                                    </div>
                                </div>
                            </div>
                            <div class="col-md-6">
                                <div class="form-group {{ $errors->formErrors->has('object_width') ? 'has-error' : '' }}">
                                    <label for="object_width" class="col-sm-3 control-label">Breite:</label>
                                    <div class="col-sm-9">
                                        <input name="object_width" type="text" class="form-control" id="object_width" value="{{ $auctionObject->object_width }}" readonly>
                                    </div>
                                </div>
                            </div>

                            <div class="col-md-6">
                                <div class="form-group {{ $errors->formErrors->has('object_depth') ? 'has-error' : '' }}">
                                    <label for="object_depth" class="col-sm-3 control-label">Tiefe:</label>
                                    <div class="col-sm-9">
                                        <input name="object_depth" type="text" class="form-control" id="object_depth" value="{{ $auctionObject->object_depth }}" readonly>
                                    </div>
                                </div>
                            </div>
                            <div class="col-md-6">
                                <div class="form-group {{ $errors->formErrors->has('object_size_unit') ? 'has-error' : '' }}">
                                    <label for="object_size_unit" class="col-sm-3 control-label">Einheit:</label>
                                    <div class="col-sm-9">
                                        <input name="object_size_unit" type="text" class="form-control" id="object_size_unit" value="{{ $auctionObject->object_size_unit }}" readonly>
                                    </div>
                                </div>
                            </div>

                            <div class="col-md-6">
                                <div class="form-group {{ $errors->formErrors->has('object_est_from') ? 'has-error' : '' }}">
                                    <label for="object_est_from" class="col-sm-3 control-label">SP von:</label>
                                    <div class="col-sm-9">
                                        <input name="object_est_from" type="text" class="form-control" id="object_est_from" value="{{ $auctionObject->object_est_from }}" readonly>
                                    </div>
                                </div>
                            </div>
                            <div class="col-md-6">
                                <div class="form-group {{ $errors->formErrors->has('object_est_to') ? 'has-error' : '' }}">
                                    <label for="object_est_to" class="col-sm-3 control-label">SP bis:</label>
                                    <div class="col-sm-9">
                                        <input name="object_est_to" type="text" class="form-control" id="object_est_to" value="{{ $auctionObject->object_est_to }}" readonly>
                                    </div>
                                </div>
                            </div>

                            <div class="col-md-6">
                                <div class="form-group {{ $errors->formErrors->has('t_currency_est_id') ? 'has-error' : '' }}">
                                    <label for="t_currency_est_id" class="col-sm-3 control-label">Geltende Währungs-ID:</label>
                                    <div class="col-sm-9">
                                        <input name="t_currency_est_id" type="text" class="form-control" id="t_currency_est_id" value="{{ $auctionObject->t_currency_est_id }}" readonly>
                                    </div>
                                </div>
                            </div>
                            <div class="col-md-6">
                                <div class="form-group {{ $errors->formErrors->has('object_sold') ? 'has-error' : '' }}">
                                    <label for="object_sold" class="col-sm-3 control-label">Objekt verkauft:</label>
                                    <div class="col-sm-9">
                                        <input name="object_sold" type="text" class="form-control" id="object_sold" value="{{ $auctionObject->object_sold }}" readonly>
                                    </div>
                                </div>
                            </div>

                            <div class="col-md-6">
                                <div class="form-group {{ $errors->formErrors->has('object_result') ? 'has-error' : '' }}">
                                    <label for="object_result" class="col-sm-3 control-label">Erlös:</label>
                                    <div class="col-sm-9">
                                        <input name="object_result" type="text" class="form-control" id="object_result" value="{{ $auctionObject->object_result }}" readonly>
                                    </div>
                                </div>
                            </div>
                            <div class="col-md-6">
                                <div class="form-group {{ $errors->formErrors->has('t_currency_result_id') ? 'has-error' : '' }}">
                                    <label for="t_currency_result_id" class="col-sm-3 control-label">Währungs-ID:</label>
                                    <div class="col-sm-9">
                                        <input name="t_currency_result_id" type="text" class="form-control" id="t_currency_result_id" value="{{ $auctionObject->t_currency_result_id }}" readonly>
                                    </div>
                                </div>
                            </div>

                            <div class="col-md-6">
                                <div class="form-group {{ $errors->formErrors->has('object_url') ? 'has-error' : '' }}">
                                    <label for="object_url" class="col-sm-3 control-label">Pfad:</label>
                                    <div class="col-sm-9">
                                        <input name="object_url" type="text" class="form-control" id="object_url" value="{{ $auctionObject->object_url }}" readonly>
                                    </div>
                                </div>
                            </div>
                            <div class="col-md-6">
                                <div class="form-group {{ $errors->formErrors->has('object_image_url') ? 'has-error' : '' }}">
                                    <label for="object_image_url" class="col-sm-3 control-label">Bildpfad:</label>
                                    <div class="col-sm-9">
                                        <input name="object_image_url" type="text" class="form-control" id="object_image_url" value="{{ $auctionObject->object_image_url }}" readonly>
                                    </div>
                                </div>
                            </div>

                            <div class="col-md-6">
                                <div class="form-group {{ $errors->formErrors->has('object_indicators') ? 'has-error' : '' }}">
                                    <label for="object_indicators" class="col-sm-3 control-label">Katalog.:</label>
                                    <div class="col-sm-9">
                                        <input name="object_indicators" type="text" class="form-control" id="object_indicators" value="{{ $auctionObject->object_indicators }}" readonly>
                                    </div>
                                </div>
                            </div>
                            <div class="col-md-6">
                                <div class="form-group {{ $errors->formErrors->has('crawled_at') ? 'has-error' : '' }}">
                                    <label for="crawled_at" class="col-sm-3 control-label">Auslesedat.:</label>
                                    <div class="col-sm-9">
                                        <input name="crawled_at" type="text" class="form-control" id="crawled_at" value="{{ $auctionObject->crawled_at }}" readonly>
                                    </div>
                                </div>
                            </div>

                            <div class="col-md-6">
                                <div class="form-group {{ $errors->formErrors->has('created_at') ? 'has-error' : '' }}">
                                    <label for="created_at" class="col-sm-3 control-label">Anlagedat.:</label>
                                    <div class="col-sm-9">
                                        <input name="created_at" type="text" class="form-control" id="created_at" value="{{ $auctionObject->created_at }}" readonly>
                                    </div>
                                </div>
                            </div>
                            <div class="col-md-6">
                                <div class="form-group {{ $errors->formErrors->has('hash_value') ? 'has-error' : '' }}">
                                    <label for="hash_value" class="col-sm-3 control-label">Hash Wert:</label>
                                    <div class="col-sm-9">
                                        <input name="hash_value" type="text" class="form-control" id="hash_value" value="{{ $auctionObject->hash_value }}" readonly>
                                    </div>
                                </div>
                            </div>
                        </div>

                        <div class="row" style="margin-top: 30px;">
                            <div class="col-md-6">
                                <a class="btn btn-default" type="button" href="{{ route('auction-objects', ['status'=>$status, 'lang'=>$lang, 'st'=>$sourceType, 'sc'=>$searchColumns, 's'=>$search, 'page'=>$page, 'len'=>$len, 'sortc'=>$sortc, 'sortd'=>$sortd]) }}"><i class="fa fa-times" aria-hidden="true"></i>&nbsp; Abbrechen & zurück</a>
                            </div>
                            <div class="col-md-6">
                                {{--<a class="btn btn-primary pull-right" type="button" href="{{ route('auction-objects') }}"><i class="fa fa-times" aria-hidden="true"></i>&nbsp; Änderungen speichern</a>--}}
                                <button class="btn btn-primary pull-right" type="submit"><i class="fa fa-floppy-o" aria-hidden="true"></i>&nbsp; Änderungen speichern</button>
                            </div>
                        </div>

                    </div>

                    {!! Form::close() !!}

                </div>
            </div>
        </div>
    </div>


@stop
