@extends('layouts.main')
@section('title', 'Historisierte Kunstobjekte verwalten')
@section('headline', 'Historisierte Kunstobjekte verwalten')
@section('content')

    {{--<div class="page-title">
        <h3 class="breadcrumb-header">@yield('headline')</h3>
    </div>--}}
    <div id="main-wrapper">
        <div class="row">
            <div class="col-md-12">

                <div class="panel panel-white">
                    <div class="panel-heading clearfix">
                    </div>
                    <div class="panel-body">
                        <div class="table-responsive">
                            <div class="filter-container" id="filterContainer">
                                {!! Form::open(['action' => 'AuctionObjects\AuctionObjectsErrorOverviewController@index', 'class' => 'form-horizontal', 'id' => 'filterAuctionObjectForm', 'method' => 'get', 'role' => 'form', 'files' => true]) !!}
                                    <input name="filtered" id="filtered" type="hidden" value="1">
                                    <div id="pageLen" style="float: right;">
                                        <input class="form-control" id="inputPageLen" name="len" type="text" maxlength="3" value="@if($pageLength){{$pageLength}}@else{{auth()->user()->table_page_length}}@endif" style="float: left; width: 50px;"> <label style="float: right; padding: 7px 5px 0;">Einträge anzeigen</label>
                                    </div>
                                    <select class="form-control" id="selectFilterObjectLanguage" name="lang" style="margin-right: 20px; width: 175px; float: right;">
                                        <option value="">- Sprache wählen -</option>
                                        @foreach($languages as $language)
                                            <option value="{{ $language->id }}" @if($selectedFilterLanguage == $language->id) selected @endif>{{ $language->lang_code }}</option>
                                        @endforeach
                                    </select>
                                    <label style="float: right; padding: 7px 5px 0;">Filtern:</label>
                                {!! Form::close() !!}

                                <script type="text/javascript">
                                    $( "#selectFilterObjectStatus").change(function(event) {

                                        $(this).parent('#filterAuctionObjectForm').submit();
                                    });

                                    $( "#selectFilterObjectLanguage").change(function(event) {

                                        $(this).parent('#filterAuctionObjectForm').submit();
                                    });
                                </script>
                            </div>

                            <table id="data-table-auction-objects" class="cell-border data-table display table table-data-width nowrap">
                                <thead>
                                    <tr>
                                        <th>Status</th>
                                        <th>Spr.</th>
                                        <th>Auktion</th>
                                        <th>Auktionshaus</th>
                                        <th>Künstler</th>
                                        <th>Künstler VN</th>
                                        <th>Künstler NN</th>
                                        <th>K. Geb.Ort</th>
                                        <th>K. Geb.</th>
                                        <th>K. Gest.</th>
                                        <th>K. Gest.Ort</th>
                                        {{--<th>Grobtechnik</th>--}}
                                        <th>Technik</th>
                                        <th>Pfad</th>
                                        <th>Auktionsnr.</th>
                                        <th>Lot Nr.</th>
                                        <th>Titel</th>
                                        <th>Entst.Txt 1</th>
                                        <th>Entstehung</th>
                                        <th>Entst.Txt 2</th>
                                        <th>SP von</th>
                                        <th>SP bis</th>
                                        <th>SP Währ.</th>
                                        <th>Erlös</th>
                                        <th>Erlös Währ.</th>
                                        <th>Katalog.</th>
                                        <th>Höhe</th>
                                        <th>Breite</th>
                                        <th>Tiefe</th>
                                        <th>Einheit</th>
                                        <th>Bildpfad</th>
                                        <th>Auktionsort</th>
                                        <th>Auktionsdat.</th>
                                        <th>Auktionshaus</th>
                                        <th>Objektnr.</th>
                                        <th class="col-id">ID</th>
                                        <th>Anlagedat.</th>
                                        <th>Auslesedat.</th>
                                    </tr>
                                </thead>
                            </table>

                            <script type="text/javascript">
                                var filterStatus = @if(!is_null($selectedFilterStatus)) {{$selectedFilterStatus}} @else null @endif;
                                var filterLanguage = @if($selectedFilterLanguage) {{$selectedFilterLanguage}} @else null @endif;

                                var pageParam = ($.urlParam('page') == '') ? null : $.urlParam('page');
                                var lenParam = ($.urlParam('len') == '') ? 10 : $.urlParam('len');
                                var sortcParam = ($.urlParam('sortc') == null || $.urlParam('sortc') == '') ? 36 : $.urlParam('sortc');
                                var sortdParam = ($.urlParam('sortd') == null || $.urlParam('sortd') == '') ? 'asc' : $.urlParam('sortd');
                                var displayStart = 0;

                                if (pageParam != null) {

                                    displayStart = (pageParam - 1) * lenParam;
                                }

                                $('#data-table-auction-objects').DataTable({
                                    fixedHeader: {
                                        header: true,
                                        headerOffset: $('.page-header').outerHeight()
                                    },
                                    processing: true,
                                    serverSide: true,
                                    ordering: true,
                                    autoWidth: false,
                                    "displayStart": displayStart,
                                    "pageLength": {{ $pageLength }},
                                    "lengthMenu": [ 10, 25, 50, 100 ],
                                    "lengthChange": false,
                                    "order": [[ sortcParam, sortdParam ]],
                                    "ajax": {
                                        "url": "/ajax/ajax-auction-objects-error-overview",
                                        "type": "POST",
                                        "headers": {'X-CSRF-TOKEN': $('meta[name="csrf_token"]').attr('content')},
                                        "dataSrc": "data",
                                        "data": {
                                            'status': filterStatus,
                                            'lang': filterLanguage,
                                        },
                                    },
                                    "deferRender": true,
                                    "columns": [
                                        /*{
                                            "mRender": function ( data, type, row ) {
                                                return '<a class="action-icon" href="/objekt-bearbeiten/'+row.id+'"><i class="fa fa-pencil" aria-hidden="true"></i></a>';
                                            },
                                            className: "col-action",
                                            orderable: false,
                                        },*/
                                        {
                                            "data": "status",
                                            "name": "ao.status",
                                            "searchable": false,
                                            "render": function (val, type, row) {
                                                if(val == 1) {
                                                    return 'Bereit';
                                                } else if(val == 2) {
                                                    return 'Exportiert';
                                                } else if(val == 3) {
                                                    return 'Prüffall';
                                                } else if(val == 4)  {
                                                    return 'Fehlerhaft';
                                                }  else {
                                                    return '';
                                                }
                                            }
                                        },
                                        { "data": "lang_code", "name": "l.lang_code", "searchable": true },
                                        { "data": "auction_name", "name": "ao.auction_name", "searchable": true },
                                        { "data": "source_type_name", "name": "source_type_name", "searchable": false },
                                        {
                                            "data": "artist_fullname_de",
                                            "name": "artist_fullname_de",
                                            orderable: false,
                                            "searchable": false,
                                        },
                                        { "data": "artist_firstname", "name": "ao.artist_firstname", "searchable": true },
                                        { "data": "artist_lastname", "name": "ao.artist_lastname", "searchable": true },
                                        { "data": "artist_born_loc", "name": "ao.artist_born_loc", "searchable": false },
                                        {
                                            "data": "artist_born_date",
                                            "name": "artist_born_date",
                                            "searchable": false,
                                        },
                                        {
                                            "data": "artist_died_date",
                                            "name": "artist_died_date",
                                            "searchable": false,
                                        },
                                        { "data": "artist_died_loc", "name": "ao.artist_died_loc", "searchable": false },
                                        //{ "data": "medium_category", "name": "medium_category", "searchable": false },
                                        { "data": "object_medium", "name": "ao.object_medium", "searchable": false },
                                        {
                                            "mRender": function ( data, type, row ) {
                                                return '<a href="'+row.object_url+'" target="_blank">'+row.object_url+'</a>';
                                            }
                                        },
                                        { "data": "auction_no", "name": "ao.auction_no", "searchable": true },
                                        { "data": "lot_no", "name": "ao.lot_no", "searchable": true },
                                        { "data": "object_title", "name": "ao.object_title", "searchable": true },
                                        { "data": "object_date_pre", "name": "ao.object_date_pre", "searchable": false },
                                        { "data": "object_date", "name": "ao.object_date", "searchable": false },
                                        { "data": "object_date_post", "name": "ao.object_date_post", "searchable": false },
                                        { "data": "object_est_from", "name": "ao.object_est_from", "searchable": false },
                                        { "data": "object_est_to", "name": "ao.object_est_to", "searchable": false },
                                        { "data": "object_est_curr", "name": "ao.object_est_curr", "searchable": false },
                                        { "data": "object_result", "name": "ao.object_result", "searchable": false },
                                        { "data": "object_result_curr", "name": "ao.object_result_curr", "searchable": false },
                                        { "data": "object_indicators", "name": "ao.object_indicators", "searchable": false },
                                        { "data": "object_height", "name": "ao.object_height", "searchable": false },
                                        { "data": "object_width", "name": "ao.object_width", "searchable": false },
                                        { "data": "object_depth", "name": "ao.object_depth", "searchable": false },
                                        { "data": "object_size_unit", "name": "ao.object_size_unit", "searchable": false },
                                        {
                                            "mRender": function ( data, type, row ) {
                                                return '<a href="'+row.object_image_url+'" target="_blank">'+row.object_image_url+'</a>';
                                            }
                                        },
                                        { "data": "auction_loc", "name": "ao.auction_loc", "searchable": false },
                                        { "data": "auction_date", "name": "auction_date", "searchable": false },
                                        { "data": "source_type", "name": "ao.source_type", "searchable": true },
                                        { "data": "object_id", "name": "ao.object_id", "searchable": false },
                                        { "data": "id", "name": "ao.id", "searchable": true, "orderable": true },
                                        { "data": "created_at", "name": "created_at", "searchable": false },
                                        { "data": "crawled_at", "name": "crawled_at", "searchable": false },
                                    ],
                                    "columnDefs": [
                                        {
                                            targets: 2, // Auktion
                                            render: $.fn.dataTable.render.ellipsis( 20, false )
                                        },
                                        {
                                            targets: 5, // Kuenstler VN
                                            render: $.fn.dataTable.render.ellipsis( 20, true )
                                        },
                                        {
                                            targets: 6, // Kuenstler NN
                                            render: $.fn.dataTable.render.ellipsis( 20, true )
                                        },
                                        {
                                            targets: 11, // Technik
                                            render: $.fn.dataTable.render.ellipsis( 30, true )
                                        },
                                        {
                                            targets: 15, // Titel
                                            render: $.fn.dataTable.render.ellipsis( 30, true )
                                        },
                                        {
                                            targets: 24, // Katalog.
                                            render: $.fn.dataTable.render.ellipsis( 30, true )
                                        },
                                        {
                                            targets: 30, // Auktionsort.
                                            render: $.fn.dataTable.render.ellipsis( 30, true )
                                        },
                                        {
                                            targets: 32, // Auktionshaus
                                            render: $.fn.dataTable.render.ellipsis( 30, true )
                                        }
                                    ],
                                    "language": {
                                        "url": "/plugins/datatables/i18n/German.json",
                                        "processing": "<img src='/images/loading.gif'>",
                                    },
                                    "fnInitComplete": function (settings, json) {
                                        $('#filterContainer').insertAfter('#data-table-auction-objects_filter');
                                        $('#buttonLine').insertAfter('#data-table-auction-objects_filter');
                                        $('#filterContainer').show();
                                    },
                                });

                                $('.table-responsive').on('scroll', function(e) {
                                    var left = $(this).scrollLeft();
                                    var left = left - 17;
                                    $('.fixedHeader-floating').css('left', -left);
                                });

                                // cut column values
                                $.fn.dataTable.render.ellipsis = function ( cutoff, wordbreak, escapeHtml ) {
                                    var esc = function ( t ) {
                                        return t
                                            .replace( /&/g, '&amp;' )
                                            .replace( /</g, '&lt;' )
                                            .replace( />/g, '&gt;' )
                                            .replace( /"/g, '&quot;' );
                                    };

                                    return function ( d, type, row ) {
                                        // Order, search and type get the original data
                                        if ( type !== 'display' ) {
                                            return d;
                                        }

                                        if ( typeof d !== 'number' && typeof d !== 'string' ) {
                                            return d;
                                        }

                                        d = d.toString(); // cast numbers

                                        if ( d.length < cutoff ) {
                                            return d;
                                        }

                                        var shortened = d.substr(0, cutoff-1);

                                        // Find the last white space character in the string
                                        if ( wordbreak ) {
                                            shortened = shortened.replace(/\s([^\s]*)$/, '');
                                        }

                                        // Protect against uncontrolled HTML input
                                        if ( escapeHtml ) {
                                            shortened = esc( shortened );
                                        }

                                        return '<span class="ellipsis" title="'+esc(d)+'">'+shortened+'&#8230;</span>';
                                    };
                                };
                            </script>

                        </div>
                    </div>
                </div>


            </div>
        </div><!-- Row -->
    </div><!-- Main Wrapper -->


@stop
