@extends('layouts.login')
@section('title', 'Login')
@section('headline', 'Login')
@section('content')

    <div id="main-wrapper">
        <div class="row">
            <div class="col-md-3 col-login-box-alt">
                <div class="panel panel-white login-box">
                    <div class="panel-body">
                        <a class="logo-name">ArtSpotter</a>

                        <p class="m-t-md">Passwort zurücksetzen</p>

                        @if (session('status'))
                            <div class="alert alert-success" role="alert">
                                {{ session('status') }}
                            </div>
                        @endif

                        <form method="POST" action="{{ route('password.email') }}">
                            @csrf

                            <div class="form-group">
                                <input id="email" type="email" class="form-control @error('email') is-invalid @enderror" name="email" placeholder="E-Mail Adresse" value="{{ old('email') }}" required autocomplete="email" autofocus>

                                @error('email')
                                <span class="invalid-feedback" role="alert">
                                        <strong>{{ $message }}</strong>
                                    </span>
                                @enderror
                            </div>

                            <div class="form-group">
                                <button type="submit" class="btn btn-primary btn-block">
                                    Link zum Zurücksetzen zusenden
                                </button>
                            </div>
                        </form>
                    </div>
                </div>
            </div>
        </div>
    </div><!-- Main Wrapper -->
@endsection