@extends('layouts.main')
@section('title', 'Dashboard')
@section('headline', 'Dashboard')

@section('content')

    <div class="page-title">
        <h3 class="breadcrumb-header">@yield('headline')</h3>
    </div>
    <div id="main-wrapper">
        <div class="row" style="margin: 5px;">
            <script type="text/javascript">
                var cntAuctionObjectStatus1 = {{ $cntAuctionObjectStatus1 }};
                var cntAuctionObjectStatus2 = {{ $cntAuctionObjectStatus2 }};
                var cntAuctionObjectStatus3 = {{ $cntAuctionObjectStatus3 }};

                var cntAuctionObjectLangDE = {{ $cntAuctionObjectLangDE }}
                var cntAuctionObjectLangEN = {{ $cntAuctionObjectLangEN }}
                var cntAuctionObjectLangFR = {{ $cntAuctionObjectLangFR }}

                var cntAuctionObjectErrorLangDE = {{ $cntAuctionObjectErrorLangDE }}
                var cntAuctionObjectErrorLangEN = {{ $cntAuctionObjectErrorLangEN }}
                var cntAuctionObjectErrorLangFR = {{ $cntAuctionObjectErrorLangFR }}
                var cntAuctionObjectErrorLangAll = {{ $cntAuctionObjectErrorLangAll }}

                var cntArtistStatus1 = {{ $cntArtistStatus1 }};
                var cntArtistStatus2 = {{ $cntArtistStatus2 }};
                var cntArtistStatus3 = {{ $cntArtistStatus3 }};

                $(document).ready(function() {

                    "use strict";

                    new Chart(
                        document.getElementById("chart1"),
                        {
                            "type":"pie",
                            "data":{"labels":["Exportbereit","Exportiert","Prüffall"],"datasets":[{"label":"Kunstobjekte nach Status","data":[cntAuctionObjectStatus1,cntAuctionObjectStatus2,cntAuctionObjectStatus3],"backgroundColor":["rgb(236, 94, 105)","rgb(0, 112, 224)","rgb(241, 194, 5)"]}]}
                        }
                    );

                    new Chart(
                        document.getElementById("chart2"),
                        {
                            "type":"doughnut",
                            "data":{"labels":["DE","EN","FR"],"datasets":[{"label":"Kunstobjekte nach Sprache","data":[cntAuctionObjectLangDE,cntAuctionObjectLangEN,cntAuctionObjectLangFR],"backgroundColor":["rgb(236, 94, 105)","rgb(0, 112, 224)","rgb(241, 194, 5)"]}]}
                        }
                    );

                    new Chart(
                        document.getElementById("chart3"),
                        {
                            "type":"doughnut",
                            "data":{"labels":["DE","EN","FR"],"datasets":[{"label":"Fehlerhafte Kunstobjekte","data":[cntAuctionObjectErrorLangDE,cntAuctionObjectErrorLangEN,cntAuctionObjectErrorLangFR],"backgroundColor":["rgb(236, 94, 105)","rgb(0, 112, 224)","rgb(241, 194, 5)"]}]}
                        }
                    );

                    new Chart(
                        document.getElementById("chart4"),
                        {
                            "type":"pie",
                            "data":{"labels":["Neu","Geprüft","Nicht Künstler"],"datasets":[{"label":"My First Dataset","data":[cntArtistStatus1,cntArtistStatus2,cntArtistStatus3],"backgroundColor":["rgb(236, 94, 105)","rgb(0, 112, 224)","rgb(241, 194, 5)"]}]}
                        }
                    );
                });
            </script>
            <div class="col-md-6" style="padding-right: 10px; padding-left: 10px;">
                <div class="panel panel-white no-minheight" style="background: #eee; padding: 20px 0;">
                    <div class="panel-heading clearfix">
                        <h4 class="panel-title text-center">Kunstobjekte nach Status ({{ number_format(($cntAuctionObjectStatus1 + $cntAuctionObjectStatus2 + $cntAuctionObjectStatus3),0,',','.') }})</h4>
                    </div>
                    <div class="panel-body">
                        <canvas id="chart1"></canvas>
                    </div>
                </div>
            </div>
            <div class="col-md-6" style="padding-right: 10px; padding-left: 10px;">
                <div class="panel panel-white no-minheight" style="background: #eee; padding: 20px 0;">
                    <div class="panel-heading clearfix">
                        <h4 class="panel-title text-center">Kunstobjekte nach Sprachen ({{ number_format(($cntAuctionObjectLangDE + $cntAuctionObjectLangEN + $cntAuctionObjectLangFR),0,',','.') }})</h4>
                    </div>
                    <div class="panel-body">
                        <canvas id="chart2"></canvas>
                    </div>
                </div>
            </div>
            <div class="col-md-6" style="padding-right: 10px; padding-left: 10px;">
                <div class="panel panel-white no-minheight" style="background: #eee; padding: 20px 0;">
                    <div class="panel-heading clearfix">
                        <h4 class="panel-title text-center">Fehlerhafte Kunstobjekte nach Sprachen ({{ number_format(($cntAuctionObjectErrorLangAll),0,',','.') }})</h4>
                    </div>
                    <div class="panel-body">
                        <canvas id="chart3"></canvas>
                    </div>
                </div>
            </div>
            <div class="col-md-6" style="padding-right: 10px; padding-left: 10px;">
                <div class="panel panel-white no-minheight" style="background: #eee; padding: 20px 0;">
                    <div class="panel-heading clearfix">
                        <h4 class="panel-title text-center">Künstler ({{ number_format(($cntArtistStatus1 + $cntArtistStatus2 + $cntArtistStatus3),0,',','.') }})</h4>
                    </div>
                    <div class="panel-body">
                        <canvas id="chart4"></canvas>
                    </div>
                </div>
            </div>
        </div>
    </div>

@stop
