@extends('layouts.main')
@section('title', 'Vorname bearbeiten')
@section('headline', 'Vorname bearbeiten')
@section('content')

    <style>
        #main-wrapper .form-group {
            clear: both;
            margin-bottom: 20px;
        }
    </style>

    {{--<div class="page-title">
        <h3 class="breadcrumb-header">Künstler bearbeiten</h3>
    </div>--}}
    <div id="main-wrapper">
        <div class="row">
            <div class="col-md-12">
                <div class="panel panel-white">

                    {{ Form::open(array('route' => array('edit-gender-lookup', $genderLookup->id), 'class' => 'form-horizontal', 'method' => 'post', 'role' => 'form', 'files' => true )) }}

                        <input type="hidden" name="page" value="{{ $page }}">
                        <input type="hidden" name="len" value="{{ $len }}">
                        <input type="hidden" name="sortc" value="{{ $sortc }}">
                        <input type="hidden" name="sortd" value="{{ $sortd }}">

                        <div class="panel-body">
                            <div class="row">
                                <div class="col-md-6">
                                    <div class="form-group {{ $errors->formErrors->has('id') ? 'has-error' : '' }}">
                                        <label for="genderLookupId" class="col-sm-3 control-label">Vorname ID:</label>
                                        <div class="col-sm-9">
                                            <input name="genderLookupId" type="text" class="form-control" id="genderLookupId" value="{{ $genderLookup->id }}" disabled>
                                        </div>
                                    </div>
                                </div>
                                <div class="col-md-6">
                                    <div class="form-group {{ $errors->formErrors->has('firstname') ? 'has-error' : '' }}">
                                        <label for="firstname" class="col-sm-3 control-label">Vorname:</label>
                                        <div class="col-sm-9">
                                            <input name="firstname" type="text" class="form-control" id="firstname" value="{{ $genderLookup->firstname }}">
                                        </div>
                                    </div>
                                </div>
                                <div class="col-md-6">
                                    <div class="form-group {{ $errors->formErrors->has('country') ? 'has-error' : '' }}">
                                        <label for="country" class="col-sm-3 control-label">Land (ISO Ländercode):</label>
                                        <div class="col-sm-9">
                                            <input name="country" type="text" class="form-control" id="country" value="{{ $genderLookup->country }}" maxlength="2">
                                        </div>
                                    </div>
                                </div>
                                <div class="col-md-6">
                                    <div class="form-group {{ $errors->formErrors->has('gender') ? 'has-error' : '' }}">
                                        <label for="gender" class="col-sm-3 control-label">Geschlecht: <span>*</span></label>
                                        <div class="col-sm-9">
                                            <select class="form-control" name="gender" id="gender">
                                                <option value="">- Bitte wählen -</option>
                                                <option value="1" @if($genderLookup->gender == 1) selected @endif>weiblich</option>
                                                <option value="2" @if($genderLookup->gender == 2) selected @endif>männlich</option>
                                                <option value="3" @if($genderLookup->gender == 3) selected @endif>mehrdeutig</option>
                                            </select>
                                        </div>
                                    </div>
                                </div>
                            </div>

                            <div class="row" style="margin-top: 30px;">
                                <div class="col-md-6">
                                     <a class="btn btn-default" type="button" href="{{ route('gender-lookup', ['page'=>$page, 'len'=>$len, 'sortc'=>$sortc, 'sortd'=>$sortd]) }}"><i class="fa fa-times" aria-hidden="true"></i>&nbsp; Abbrechen & zurück</a>
                                </div>
                                <div class="col-md-6">
                                    <button class="btn btn-primary pull-right" type="submit"><i class="fa fa-floppy-o" aria-hidden="true"></i>&nbsp; Änderungen speichern</button>
                                </div>
                            </div>
                        </div>
                    {!! Form::close() !!}

                </div>
            </div>
        </div>
    </div>


@stop
