<!DOCTYPE html>
<html lang="de">
<head>
    <meta charset="utf-8">
    <meta http-equiv="X-UA-Compatible" content="IE=edge">
    <meta name="viewport" content="width=device-width, initial-scale=1">
    <meta name="csrf_token" content="{{ csrf_token() }}" />

    <!-- Title -->
    <title>@yield('title') - ArtSpotter</title>

    <!-- Styles -->
    <link href="https://fonts.googleapis.com/css?family=Poppins:300,400,500,600,700" rel="stylesheet">
    <link href="/plugins/bootstrap/css/bootstrap.min.css" rel="stylesheet">
    <link href="/plugins/font-awesome/css/font-awesome.min.css" rel="stylesheet">
    <link href="/plugins/icomoon/style.css" rel="stylesheet">
    <link href="/plugins/waves/waves.min.css" rel="stylesheet">
    <link href="/plugins/uniform/css/default.css" rel="stylesheet">
    <link href="/plugins/datatables/css/jquery.datatables.min.css" rel="stylesheet" type="text/css"/>
    <link href="/plugins/datatables/css/jquery.datatables_themeroller.css" rel="stylesheet" type="text/css"/>
    {{--<link href="//gyrocode.github.io/jquery-datatables-checkboxes/1.2.11/css/dataTables.checkboxes.css" type="text/css" />--}}
    <link href="https://cdn.datatables.net/buttons/1.5.6/css/buttons.dataTables.min.css" rel="stylesheet" type="text/css"/>
    <link href="https://cdn.datatables.net/select/1.3.0/css/select.dataTables.min.css" rel="stylesheet" type="text/css"/>
    <link href="https://cdn.datatables.net/fixedheader/3.1.6/css/fixedHeader.dataTables.min.css" rel="stylesheet" type="text/css"/>
    <link href="/plugins/bootstrap-datepicker/css/datepicker3.css" rel="stylesheet" type="text/css"/>
    <link href="/plugins/switchery/switchery.min.css" rel="stylesheet"/>

    <!-- Theme Styles -->
    <link href="/css/metrotheme.css" rel="stylesheet">
    <link href="/css/custom.css" rel="stylesheet">

    <!-- HTML5 shim and Respond.js for IE8 support of HTML5 elements and media queries -->
    <!-- WARNING: Respond.js doesn't work if you view the page via file:// -->
    <!--[if lt IE 9]>
    <script src="https://oss.maxcdn.com/html5shiv/3.7.3/html5shiv.min.js"></script>
    <script src="https://oss.maxcdn.com/respond/1.4.2/respond.min.js"></script>
    <![endif]-->
    <script src="/plugins/jquery/jquery-3.1.0.min.js"></script>
    <script src="/plugins/bootstrap/js/bootstrap.min.js"></script>
    <script src="/plugins/jquery-slimscroll/jquery.slimscroll.min.js"></script>
    <script src="/plugins/waves/waves.min.js"></script>
    <script src="/plugins/datatables/js/jquery.datatables.min.js"></script>
    <script src="/plugins/datatables/js/datatables.fixedHeader.min.js"></script>
    <script src="/plugins/editor/js/dataTables.editor.min.js"></script>
    {{--<script src="//gyrocode.github.io/jquery-datatables-checkboxes/1.2.11/js/dataTables.checkboxes.min.js"></script>--}}
    <script src="//cdn.datatables.net/plug-ins/1.10.20/dataRender/ellipsis.js"></script>
    {{--<script src=" https://cdnjs.cloudflare.com/ajax/libs/moment.js/2.18.1/moment.min.js"></script>--}}
    <script src="/plugins/bootstrap-datepicker/js/bootstrap-datepicker.js"></script>
    <script src="/plugins/uniform/js/jquery.uniform.standalone.js"></script>
    <script src="/plugins/switchery/switchery.min.js"></script>
    <script src="/plugins/chartjs/chart.min.js"></script>
    <script src="/js/metrotheme.js"></script>
    <script src="/js/pages/table-data.js"></script>
    <script src="/js/custom.js"></script>
</head>
<body id="<?php echo str_replace(".","-",Route::currentRouteName()) ?>" class="page-header-fixed page-no-sidebar">

<!-- Page Container -->
<div class="page-container">

    <!-- Page Content -->
    <div class="page-content">

        <!-- Page Header -->
        <div class="page-header">
            <div class="search-form">
                <form action="#" method="GET">
                    <div class="input-group">
                        <input type="text" name="search" class="form-control search-input" placeholder="Suchbegriff eingeben...">
                        <span class="input-group-btn">
                            <button class="btn btn-default" id="close-search" type="button"><i class="icon-close"></i></button>
                        </span>
                    </div>
                </form>
            </div>
            <nav class="navbar navbar-default">
                <div class="container-fluid">
                    <!-- Brand and toggle get grouped for better mobile display -->
                    <div class="navbar-header">
                        <div class="logo-sm">
                            <a href="javascript:void(0)" id="sidebar-toggle-button"><i class="fa fa-bars"></i></a>
                            <a class="logo-box" href="index.html"><span>Art Spotter</span></a>
                        </div>
                        <button type="button" class="navbar-toggle collapsed" data-toggle="collapse" data-target="#bs-example-navbar-collapse-1" aria-expanded="false">
                            <i class="fa fa-angle-down"></i>
                        </button>
                    </div>

                    <!-- Collect the nav links, forms, and other content for toggling -->
                    <div class="collapse navbar-collapse" id="bs-example-navbar-collapse-1">
                        <ul class="nav navbar-nav">
                            @if(session('feSettingsMaintenance')==1)

                            @else
                                <li><a href="javascript:void(0)" id="toggle-fullscreen"><i class="fa fa-expand"></i></a></li>

                                <li class="@if(Route::currentRouteName() == 'auction-objects-stage') active @endif cluster1 cluster1-1">
                                    <a href="{{ route('auction-objects-stage') }}">Vorselektion</a>
                                </li>
                                <li class="@if(Route::currentRouteName() == 'auction-objects' || Route::currentRouteName() == 'edit-auction-object') active @endif cluster1 cluster1-2">
                                    <a href="{{ route('auction-objects') }}">Redaktion Crawler</a>
                                </li>
                                <li class="@if(Route::currentRouteName() == 'auction-objects-import') active @endif cluster2 cluster2-1">
                                    <a href="#" class="dropdown-toggle" data-toggle="dropdown" role="button" aria-haspopup="true" aria-expanded="false">Schnittstellen</a>
                                    <ul class="dropdown-menu">
                                        <li><a href="{{ route('auction-objects-import') }}">Artnet</a></li>
                                    </ul>
                                </li>
                                <li class="@if(Route::currentRouteName() == 'auction-objects-imported') active @endif cluster2 cluster2-2">
                                    <a href="{{ route('auction-objects-imported') }}">Redaktion Import</a>
                                </li>
                                <li class="@if(Route::currentRouteName() == 'artists' || Route::currentRouteName() == 'create-artist' || Route::currentRouteName() == 'edit-artist') active @endif">
                                    <a href="{{ route('artists', ['filtered'=>1, 'status'=>0]) }}">Künstler</a>
                                </li>
                                <li class="@if(Route::currentRouteName() == 'gender-lookup' || Route::currentRouteName() == 'create-gender-lookup' || Route::currentRouteName() == 'edit-gender-lookup') active @endif">
                                    <a href="{{ route('gender-lookup') }}">Vornamen</a>
                                </li>
                                <li class="dropdown @if(Route::currentRouteName() == 'source-types' || Route::currentRouteName() == 'create-source-type' || Route::currentRouteName() == 'edit-source-type') active @endif">
                                    <a href="{{ route('source-types') }}">Auktionshäuser</a>
                                </li>
                                <li class="@if(Route::currentRouteName() == 'medium-categories' || Route::currentRouteName() == 'create-medium-category' || Route::currentRouteName() == 'edit-medium-category' || Route::currentRouteName() == 'mediums' || Route::currentRouteName() == 'create-medium' || Route::currentRouteName() == 'edit-medium') active @endif cluster3 cluster3-1">
                                    <a href="#" class="dropdown-toggle" data-toggle="dropdown" role="button" aria-haspopup="true" aria-expanded="false">Techniken</a>
                                    <ul class="dropdown-menu">
                                        <li><a href="{{ route('medium-categories', ['id' => Auth::user()->id]) }}">Grobtechniken</a></li>
                                        <li><a href="{{ route('mediums') }}">Suchwörter</a></li>
                                    </ul>
                                </li>

                                <li class="@if(Route::currentRouteName() == 'auction-objects-history') active @endif">
                                    <a href="{{ route('auction-objects-history') }}">Objekt Historie</a>
                                </li>
                                <li class="@if(Route::currentRouteName() == 'auction-objects-error') active @endif">
                                    <a href="{{ route('auction-objects-error') }}">Objekt Fehler</a>
                                </li>
                                <li class="@if(Route::currentRouteName() == 'dashboard') active @endif cluster4 cluster4-1">
                                    <a href="{{ route('dashboard') }}">Dashboard</a>
                                </li>
                                @if(Auth::user()->user_role_id == 1)
                                    <li class="@if(Route::currentRouteName() == 'users' || Route::currentRouteName() == 'create-user' || Route::currentRouteName() == 'edit-user') active @endif">
                                        <a href="{{ route('users') }}">Benutzer</a>
                                    </li>
                                @endif
                            @endif
                        </ul>

                        <ul class="nav navbar-nav navbar-right">
                            <li class="dropdown">
                                <a href="#" class="dropdown-toggle" data-toggle="dropdown" role="button" aria-haspopup="true" aria-expanded="false"><img src="/images/avatars/avatar_placeholder.png" alt="" class="img-circle"></a>
                                <ul class="dropdown-menu">
                                    <li><a href="{{ route('edit-user', ['id' => Auth::user()->id]) }}">Profil</a></li>
                                    @if(Auth::user()->user_role_id == 1)
                                        <li>
                                            {{ Form::open(array('route' => array('set-maintenance-mode'), 'class' => 'form-horizontal', 'method' => 'post', 'role' => 'form', 'files' => true )) }}
                                                <a style="display: inline-block">Wartungsmodus <input name="maintenance_mode" type="checkbox" value="1" onchange="this.form.submit()" @if(session('feSettingsMaintenance')==1) checked @else @endif></a>
                                            {!! Form::close() !!}
                                        </li>
                                    @endif
                                    <li><a href="{{ route('artist-simulator') }}">Simulator</a></li>
                                    <li role="separator" class="divider"></li>
                                    <li><a href="{{ route('logout') }}">Abmelden</a></li>
                                </ul>
                            </li>
                        </ul>
                    </div><!-- /.navbar-collapse -->
                </div><!-- /.container-fluid -->
            </nav>
        </div><!-- /Page Header -->

        <!-- Page Inner -->
        <div class="page-inner">

            @yield('content')

        </div>
        <!-- /Page Inner -->

        <div class="page-footer">
            <div id="version-label">v.{{ Session::get('softwareVersion') }}</div>
        </div>

    </div><!-- /Page Content -->
</div><!-- /Page Container -->

<!-- Javascripts -->

</body>
</html>
