@extends('layouts.main')
@section('title', 'Suchwort anlegen')
@section('headline', 'Suchwort anlegen')
@section('content')

    <style>
        #main-wrapper .form-group {
            clear: both;
            margin-bottom: 20px;
        }
    </style>

    <div id="main-wrapper">
        <div class="row">
            <div class="col-md-12">
                <div class="panel panel-white">

                    {!! Form::open(['action' => 'Medium\MediumController@store', 'class' => 'form-horizontal', 'method' => 'post', 'role' => 'form', 'files' => true]) !!}
                        <div class="panel-body">
                            <div class="row">
                                <div class="col-md-6">
                                    <div class="form-group {{ $errors->formErrors->has('searchword_de') ? 'has-error' : '' }}">
                                        <label for="searchword_de" class="col-sm-3 control-label">Suchwort DE:</label>
                                        <div class="col-sm-9">
                                            <input name="searchword_de" type="text" class="form-control" id="searchword_de" value="{{ old('searchword_de') }}">
                                        </div>
                                    </div>
                                </div>
                                <div class="col-md-6">
                                    <div class="form-group {{ $errors->formErrors->has('searchword_en') ? 'has-error' : '' }}">
                                        <label for="searchword_en" class="col-sm-3 control-label">Suchwort EN:</label>
                                        <div class="col-sm-9">
                                            <input name="searchword_en" type="text" class="form-control" id="searchword_en" value="{{ old('searchword_en') }}">
                                        </div>
                                    </div>
                                </div>
                                <div class="col-md-6">
                                    <div class="form-group {{ $errors->formErrors->has('searchword_fr') ? 'has-error' : '' }}">
                                        <label for="searchword_fr" class="col-sm-3 control-label">Suchwort FR:</label>
                                        <div class="col-sm-9">
                                            <input name="searchword_fr" type="text" class="form-control" id="searchword_fr" value="{{ old('searchword_fr') }}">
                                        </div>
                                    </div>
                                </div>
                                <div class="col-md-6">
                                    <div class="form-group {{ $errors->formErrors->has('t_medium_category_id') ? 'has-error' : '' }}">
                                        <label for="t_medium_category_id" class="col-sm-3 control-label">Grobtechnik:</label>
                                        <div class="col-sm-9">
                                            <input name="t_medium_category_id" type="text" class="form-control" id="t_medium_category_id" value="{{ old('t_medium_category_id') }}" style="max-width: 90%;">
                                            <a data-toggle="modal" data-target=".assign-medium-modal" id="btnSearchMedium" style="color: #596B8C; font-size: 22px; position: absolute; right: 25px; top: 0px;">
                                                <i class="fa fa-search-plus" aria-hidden="true"></i>
                                            </a>
                                            <div class="modal fade assign-medium-modal" tabindex="-1" role="dialog" aria-labelledby="assignMediumModalLabel" aria-hidden="true">
                                                <div class="modal-dialog modal-lg">
                                                    <div class="modal-content">
                                                        <div class="modal-header">
                                                            <button type="button" class="close" data-dismiss="modal" aria-label="Close"><span aria-hidden="true">&times;</span></button>
                                                            <h4 class="modal-title" id="mediumModalTitle">Grobtechnik auswählen und zuweisen</h4>
                                                        </div>
                                                        <div class="modal-body">
                                                            <div class="table-responsive">
                                                                <table class="data-table display table table-data-width nowrap" id="data-table-assign-medium-category">
                                                                    <thead>
                                                                    <tr>
                                                                        <th class="col-action">Aktionen</th>
                                                                        <th>Grobtechnik</th>
                                                                        <th class="col-id">ID</th>
                                                                    </tr>
                                                                    </thead>
                                                                    <tbody>
                                                                    @foreach($mediumCategories as $mediumCategory)
                                                                        <tr>
                                                                            <td class="col-action">
                                                                                <a href="javascript:void(0)" title="Grobtechnik zuweisen" onclick="selectMediumCategory({{ $mediumCategory->id }})"><i class="fa fa-plus-circle" aria-hidden="true"></i></a>
                                                                            </td>
                                                                            <td>{{ $mediumCategory->name }}</td>
                                                                            <td class="col-id">{{ $mediumCategory->id }}</td>
                                                                        </tr>
                                                                    @endforeach
                                                                    </tbody>
                                                                </table>

                                                                <script type="text/javascript">
                                                                    $('#data-table-assign-medium-category').DataTable({
                                                                        "autoWidth": false,
                                                                        "columns": [
                                                                            { "width": "90px" },
                                                                            null,
                                                                            { "width": "90px" },
                                                                        ],
                                                                        "pageLength": 15,
                                                                        "lengthMenu": [ 15, 30, 50, 75, 100 ],
                                                                        "language": {
                                                                            "url": "/plugins/datatables/i18n/German.json"
                                                                        },
                                                                        "fnInitComplete": function (settings, json) {
                                                                            $('#filterContainer').prependTo('.dataTables_wrapper');
                                                                            $('#buttonLine').prependTo('.dataTables_wrapper');
                                                                        },
                                                                        "processing": true,
                                                                    });
                                                                </script>
                                                            </div>

                                                        </div>
                                                        <div class="modal-footer">
                                                            <button type="button" class="btn btn-info" data-dismiss="modal">Schließen</button>
                                                        </div>
                                                    </div>
                                                </div>
                                            </div>
                                        </div>
                                    </div>
                                </div>
                            </div>

                            <div class="row" style="margin-top: 30px;">
                                <div class="col-md-6">
                                     <a class="btn btn-default" type="button" href="{{ route('mediums') }}"><i class="fa fa-times" aria-hidden="true"></i>&nbsp; Abbrechen & zurück</a>
                                </div>
                                <div class="col-md-6">
                                    <button class="btn btn-primary pull-right" type="submit"><i class="fa fa-floppy-o" aria-hidden="true"></i>&nbsp; Änderungen speichern</button>
                                </div>
                            </div>
                        </div>
                    {!! Form::close() !!}

                </div>
            </div>
        </div>
    </div>


@stop