@extends('layouts.main')
@section('title', 'Filialen verwalten')
@section('headline', 'Filialen verwalten')
@section('content')

    <div class="page-title">
        <h3 class="breadcrumb-header">@yield('headline')</h3>
    </div>
    <div id="main-wrapper">
        <div class="row">
            <div class="col-md-12">
                @if($alert == 'successDelete')
                    <div class="alert alert-success" role="alert">
                        Der Datensatz wurde erfolgreich gelöscht!
                    </div>
                @elseif($alert == 'errorDelete')
                    <div class="alert alert-danger" role="alert">
                        Beim Löschen des Datensatzes ist ein Fehler aufgetreten!
                    </div>
                @endif
                <div class="panel panel-white">
                    <div class="panel-body">
                        <div class="table-responsive">
                            <table id="artobjects" class="data-table display table table-data-width">
                                <thead>
                                    <tr>
                                        <th>ID</th>
                                        <th>name</th>
                                        <th>location</th>
                                        <th>leading_lang</th>
                                        <th class="col-action">Aktionen</th>
                                    </tr>
                                </thead>
                                <tbody>
                                    @foreach($sourceTypes as $sourceType)
                                    <tr>
                                        <td>{{ $sourceType->id }}</td>
                                        <td><a class="link_sublist" href="#"><i class="fa fa-external-link" aria-hidden="true"></i> {{ $sourceType->name }}</a></td>
                                        <td>{{ $sourceType->location }}</td>
                                        <td>{{ $sourceType->leading_lang }}</td>
                                        <td class="col-action">
                                            <a href="{{ route('edit-source-type', ['id' => $sourceType->id]) }}"><i class="fa fa-pencil" aria-hidden="true"></i></a>
                                            <a href="javascript:confirmDeleteSourceType({{ $sourceType->id }})" title="Kunsthaus löschen"><i class="fa fa-trash" aria-hidden="true"></i></a>
                                        </td>
                                    </tr>
                                    @endforeach
                                </tbody>
                            </table>

                            {!! Form::open(['action' => 'SourceTypes\SourceTypeController@destroy', 'class' => 'form-horizontal', 'id' => 'deleteSourceTypeForm', 'method' => 'post', 'role' => 'form', 'files' => true]) !!}
                                <input type="hidden" id="deleteSourceTypeId" name="source_type_id" value="">
                            {!! Form::close() !!}

                        </div>
                    </div>
                </div>


            </div>
        </div><!-- Row -->
    </div><!-- Main Wrapper -->


@stop